## 版本信息 V2.0

## 部署方案
序号 | 模块 | 操作 | 备注 | 完成 | 责任人
---|---|---|---|---|---
1 | 后台 | 部署脚本 | 升级前备份数据库| | 李成

## 回滚方案
序号 | 模块 | 操作 | 备注 | 上线序号
---|---|---|---|---
1 | 后台 | 回滚脚本 | 回滚时需注意与前端版本一致 | 1

### 部署脚本
```SQL
--加索引
ALTER TABLE `t_order` ADD INDEX idx_region_id (`region_id`);

--电工信息
ALTER TABLE `t_supplier_staff` ADD `insure_files` varchar(1024) COMMENT '电工保险单据';
ALTER TABLE `t_supplier_staff` ADD `idcard_files` varchar(1024) COMMENT '电工身份证';

--订单超时（包含刷数据）
ALTER TABLE `t_system_info` ADD `order_status` int(11) COMMENT '订单当前状态';
ALTER TABLE `t_system_info` ADD `overtime_flag` int(11) DEFAULT 0 COMMENT '是否超时：0：否，1：是';
--刷历史数据暂时就不管了，因为状态刷不了
--update t_system_info set overtime_flag=1 where type=0;
--update t_system_info set order_status = 7 where title LIKE '%商未录入勘测信息，请及时查看%';
--update t_system_info set order_status = ? where title LIKE '%已勘测/整改完成，请及时审核%';
--update t_system_info set order_status = ? where title LIKE '%录入预约安装信息，请及时查看%';
--update t_system_info set order_status = ? where title LIKE '%务商未录入安装信息，请及时查看%';
--update t_system_info set order_status = ? where title LIKE '%订单已安装/整改完成，请及时审核%';

--信息配置表
CREATE TABLE `t_info_config` (
                                 `id` VARCHAR (50) NOT NULL,
                                 `type` INT (11) COMMENT '字典表id',
                                 `name` VARCHAR (100) NOT NULL COMMENT '值',
                                 `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                 `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                                 `is_del` INT (11) NOT NULL DEFAULT 0 COMMENT '0:正常 1:删除',
                                 PRIMARY KEY (`id`)
) ENGINE = INNODB DEFAULT CHARSET = utf8 COMMENT = '基本信息配置表';

INSERT INTO `t_info_config` VALUES ('1', '14', '中通速递', '2021-08-24 14:43:46', '2021-08-24 14:43:50', '0');
INSERT INTO `t_info_config` VALUES ('2', '14', '邮政速递', '2021-08-24 14:45:41', '2021-08-24 14:45:43', '0');
INSERT INTO `t_info_config` VALUES ('3', '14', '圆通速递', '2021-08-24 14:46:20', '2021-08-24 14:46:24', '0');
INSERT INTO `t_info_config` VALUES ('4', '14', '韵达速递', '2021-08-24 14:46:54', '2021-08-24 14:46:56', '0');
INSERT INTO `t_info_config` VALUES ('5', '14', '百世汇通', '2021-08-24 14:47:21', '2021-08-24 14:47:24', '0');
INSERT INTO `t_info_config` VALUES ('6', '14', '申通快递', '2021-08-24 14:47:46', '2021-08-24 14:47:48', '0');
INSERT INTO `t_info_config` VALUES ('7', '14', '顺丰速运', '2021-08-24 14:48:11', '2021-08-24 14:48:14', '0');

INSERT INTO `t_info_config` VALUES ('b96c8a49-675c-482d-8567-2438d040df00', '10', '一般', '2021-08-24 14:48:11', '2021-08-24 14:48:14', '0');
INSERT INTO `t_info_config` VALUES ('b96c8a49-675c-482d-8567-2438d040dfaa', '10', '紧急', '2021-08-24 14:48:12', '2021-08-24 14:48:14', '0');


--新增安装服务商需要审批
ALTER TABLE `t_supplier` ADD `check_status` int(11) DEFAULT 0 COMMENT '审核状态：0：未审核，1：审核通过，2：审核不通过';
ALTER TABLE `t_supplier` ADD `check_remark` varchar(300) COMMENT '审核备注';
ALTER TABLE `t_supplier` ADD `business_license` varchar(1024) COMMENT '营业执照';
ALTER TABLE `t_supplier` ADD `install_license` varchar(1024) COMMENT '安装资质';
ALTER TABLE `t_supplier` ADD `tuv_cert` varchar(1024) COMMENT '莱茵认证';
ALTER TABLE `t_supplier` ADD `install_insurance` varchar(1024) COMMENT '安装工程一切责任险';
ALTER TABLE `t_supplier` ADD `employer_insurance` varchar(1024) COMMENT '雇主责任险';


--将历史数据刷为审核通过
update t_supplier set check_status=1;

--订单删除
ALTER TABLE `t_settlement_detail` ADD `is_del` int(11) DEFAULT 0 COMMENT '是否删除：0：否，1：是';
ALTER TABLE `t_settlement_detail_supplier` ADD `is_del` int(11) DEFAULT 0 COMMENT '是否删除：0：否，1：是';

CREATE TABLE `t_order_delete` (
                                  `id` varchar(64) NOT NULL COMMENT '订单编号',
                                  `oem_id` int(11) DEFAULT NULL COMMENT '主机厂ID',
                                  `oem_agent_id` int(11) DEFAULT NULL COMMENT '经销商id',
                                  `oem_agent_info` varchar(128) DEFAULT NULL COMMENT '经销商信息',
                                  `oem_agent_contact_name` varchar(32) DEFAULT NULL COMMENT '经销商联系人',
                                  `oem_agent_contact_phone` varchar(32) DEFAULT NULL COMMENT '经销商联系方式',
                                  `out_order_id` varchar(50) DEFAULT NULL COMMENT '外部订单编号',
                                  `contract_id` int(11) DEFAULT NULL COMMENT '合同编号',
                                  `supplier_contract_id` int(11) DEFAULT NULL COMMENT '服务商合同id',
                                  `user_name` varchar(30) DEFAULT NULL COMMENT '车主姓名',
                                  `user_phone` varchar(20) DEFAULT NULL COMMENT '车主电话',
                                  `user_sex` int(11) DEFAULT NULL COMMENT '车主性别 0-女 1-男 2-未知',
                                  `contact_name` varchar(30) DEFAULT NULL COMMENT '联系人姓名',
                                  `contact_phone` varchar(20) DEFAULT NULL COMMENT '联系电话',
                                  `region_id` varchar(20) DEFAULT NULL COMMENT '区域id',
                                  `warehouse_id` varchar(64) DEFAULT NULL COMMENT '仓库id',
                                  `address` varchar(256) DEFAULT NULL COMMENT '地址',
                                  `vehicle_model` varchar(20) DEFAULT NULL COMMENT '车型号',
                                  `vehicle_chassis_no` varchar(30) DEFAULT NULL COMMENT '车辆底盘号',
                                  `vehicle_vin` varchar(30) DEFAULT NULL COMMENT '车辆识别号',
                                  `vehicle_parking_no` varchar(64) DEFAULT NULL COMMENT '车位号',
                                  `vehicle_parking_status` varchar(64) DEFAULT NULL COMMENT '车位状态',
                                  `survey_before_sale_enable` tinyint(1) DEFAULT NULL COMMENT '是否为售车前预勘测 0:否 1：是',
                                  `manu_dispatch_enable` tinyint(1) DEFAULT NULL COMMENT '是否需要人工派单 0：否 1：是',
                                  `wallbox_model` varchar(80) DEFAULT NULL,
                                  `status` int(11) DEFAULT NULL COMMENT '订单状态',
                                  `type` tinyint(1) DEFAULT NULL COMMENT '类型 1：普通订单 2：移桩订单',
                                  `expand_status` tinyint(1) DEFAULT NULL COMMENT '报装状态 1：通过 2：不通过',
                                  `expand_fail_reason` varchar(128) DEFAULT NULL COMMENT '报装不通过原因',
                                  `expand_fail_operate` int(1) DEFAULT NULL COMMENT '报装不通过后订单后续操作',
                                  `expand_remark` varchar(256) DEFAULT NULL COMMENT '报装备注',
                                  `survey_staff_id` int(11) DEFAULT NULL COMMENT '勘察员工编号',
                                  `survey_finish_time` datetime DEFAULT NULL COMMENT '勘察完成时间',
                                  `survey_reserve_time` datetime DEFAULT NULL COMMENT '预约勘察时间',
                                  `survey_client_name` varchar(32) DEFAULT NULL COMMENT '勘察客户姓名',
                                  `survey_client_phone` varchar(32) DEFAULT NULL COMMENT '勘察客户手机号',
                                  `survey_cams_phone` varchar(32) DEFAULT NULL COMMENT '注册CAMS PLUS 手机号',
                                  `survey_reserve_remark` varchar(256) DEFAULT NULL COMMENT '预约勘察备注',
                                  `install_supplier_id` int(11) DEFAULT NULL COMMENT '安装服务商编号',
                                  `install_staff_id` int(11) DEFAULT NULL COMMENT '安装员工编号',
                                  `install_finish_time` datetime DEFAULT NULL COMMENT '安装完成时间',
                                  `install_reserve_time` datetime DEFAULT NULL COMMENT '预约安装时间',
                                  `install_client_name` varchar(32) DEFAULT NULL COMMENT '安装客户姓名',
                                  `install_client_phone` varchar(32) DEFAULT NULL COMMENT '安装客户手机',
                                  `install_cams_phone` varchar(32) DEFAULT NULL COMMENT '注册CAMS PLUS 手机号(安装)',
                                  `install_reserve_remark` varchar(256) DEFAULT NULL COMMENT '预约安装备注',
                                  `survey_finish_fail_reason` varchar(128) DEFAULT NULL COMMENT '勘察完成审核不通过原因',
                                  `survey_rectify_fail_reason` varchar(128) DEFAULT NULL COMMENT '勘察整改审核不通过原因',
                                  `install_change_fail_reason` varchar(128) DEFAULT NULL COMMENT '安装变更审核不通过原因',
                                  `install_finish_fail_reason` varchar(128) DEFAULT NULL COMMENT '安装完成审核不通过原因',
                                  `install_rectify_fail_reason` varchar(128) DEFAULT NULL COMMENT '安装整改不通过原因',
                                  `close_order_reason` varchar(128) DEFAULT NULL COMMENT '关闭订单原因',
                                  `install_change_attachment_files` varchar(256) DEFAULT NULL COMMENT '变更安装附件',
                                  `survey_reserve_fail_info` varchar(128) DEFAULT NULL COMMENT '预约勘察异常信息',
                                  `install_reserve_fail_info` varchar(128) DEFAULT NULL COMMENT '预约安装异常信息',
                                  `files` varchar(400) DEFAULT NULL COMMENT '附件地址',
                                  `description` varchar(200) DEFAULT NULL COMMENT '备注',
                                  `score` decimal(11,2) DEFAULT NULL COMMENT '评分',
                                  `visit_content` varchar(255) DEFAULT NULL COMMENT '回访内容，客户意见或建议',
                                  `invoice_time` datetime DEFAULT NULL COMMENT '发票日期',
                                  `estate_type` tinyint(1) DEFAULT NULL COMMENT '小区类型',
                                  `has_independent_parking` tinyint(1) DEFAULT NULL COMMENT '是否独立车位 0：否 1：是',
                                  `install_position` tinyint(1) DEFAULT NULL COMMENT '安装位置 1：室内 2：室外',
                                  `property_agree` tinyint(1) DEFAULT NULL COMMENT '物业态度 0：不同意 1：同意',
                                  `electric_expand` tinyint(1) DEFAULT NULL COMMENT '是否需要电力报装 0：否 1：是',
                                  `need_erect_pile` tinyint(1) DEFAULT NULL COMMENT '是否需要立柱 0：否 1：是',
                                  `dispatch_time` datetime DEFAULT NULL COMMENT '派单时间',
                                  `survey_submit_examine_time` datetime DEFAULT NULL COMMENT '提交勘测审核时间',
                                  `survey_approve_time` datetime DEFAULT NULL COMMENT '勘测审核通过时间',
                                  `install_submit_examine_time` datetime DEFAULT NULL COMMENT '安装提交审核时间',
                                  `install_approve_time` datetime DEFAULT NULL COMMENT '安装审核通过时间',
                                  `return_visit_time` datetime DEFAULT NULL COMMENT '回访时间',
                                  `close_time` datetime DEFAULT NULL COMMENT '订单关闭时间',
                                  `create_account` varchar(50) DEFAULT NULL COMMENT '创建人',
                                  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                  `modify_account` varchar(50) DEFAULT NULL COMMENT '修改人',
                                  `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                                  `item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号',
                                  `survey_wallbox_model` varchar(50) DEFAULT NULL COMMENT '墙盒品牌（勘测）',
                                  `survey_item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号（勘测）',
                                  `install_wallbox_model` varchar(50) DEFAULT NULL COMMENT '墙盒品牌（安装）',
                                  `install_item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号（安装）',
                                  `survey_follow_time` datetime DEFAULT NULL COMMENT '预约勘察下次跟进时间',
                                  `install_follow_time` datetime DEFAULT NULL COMMENT '预约安装下次跟进时间',
                                  `address_lat` varchar(50) DEFAULT NULL COMMENT '地址纬度',
                                  `address_lng` varchar(50) DEFAULT NULL COMMENT '地址经度',
                                  `connect_person` varchar(100) DEFAULT NULL COMMENT '首联人',
                                  `want_home_time` datetime DEFAULT NULL COMMENT '客户希望上门时间',
                                  `install_emergency_level` int(1) DEFAULT '1' COMMENT '安装紧急程度 1:一般 2:紧急',
                                  `remark` varchar(250) DEFAULT NULL COMMENT '其他说明',
                                  `is_connect` int(1) DEFAULT NULL COMMENT '是否联系上客户：0-否，1：是',
                                  `is_need_survey` int(1) DEFAULT NULL COMMENT '是否需要勘测：0-否，1：是',
                                  PRIMARY KEY (`id`),
                                  KEY `idx_region_id` (`region_id`),
                                  KEY `index_install_supplier_id` (`install_supplier_id`),
                                  KEY `idx_survey_follow_time` (`survey_follow_time`),
                                  KEY `idx_install_follow_time` (`install_follow_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='订单表';

CREATE TABLE `t_operate_log_delete` (
                                        `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                        `type` tinyint(2) NOT NULL COMMENT '类型(1：订单2：主机厂附件上传 3:安装服务商变更)',
                                        `third_party_id` varchar(32) DEFAULT NULL COMMENT '第三方id',
                                        `pre_name` varchar(64) DEFAULT NULL COMMENT '变更前名称',
                                        `pre_value` varchar(128) DEFAULT NULL COMMENT '变更前值',
                                        `name` varchar(64) DEFAULT NULL COMMENT '名称',
                                        `value` varchar(128) DEFAULT NULL COMMENT '值',
                                        `desc` varchar(200) DEFAULT NULL COMMENT '描述',
                                        `create_account` int(11) DEFAULT NULL COMMENT '创建人id',
                                        `create_account_name` varchar(32) DEFAULT NULL COMMENT '创建人姓名',
                                        `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                        PRIMARY KEY (`id`),
                                        KEY `third_party_id` (`third_party_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `t_order_install_delete` (
                                          `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
                                          `order_id` varchar(200) DEFAULT NULL COMMENT '订单编号',
                                          `third_user_id` varchar(64) DEFAULT NULL COMMENT '第三方用户id',
                                          `pay_status` tinyint(1) DEFAULT NULL COMMENT '支付状态 0：未支付 1：已支付',
                                          `vehicle_chassis_number` varchar(64) DEFAULT NULL COMMENT '车辆底盘号',
                                          `wallbox_no` varchar(30) DEFAULT NULL COMMENT '设备编号',
                                          `wallbox_quantity` int(11) DEFAULT NULL COMMENT '墙盒设备数量',
                                          `wallbox_item_id` varchar(64) DEFAULT NULL COMMENT '墙盒设备型号（对应物料id）',
                                          `house_type` tinyint(1) DEFAULT NULL COMMENT '住宅类型',
                                          `parking_type` tinyint(1) DEFAULT NULL COMMENT '车位类型',
                                          `address` varchar(128) DEFAULT NULL COMMENT '施工地址',
                                          `electric_expand` tinyint(1) DEFAULT NULL COMMENT '是否进行电力报装 0:否1：是',
                                          `expand_method` tinyint(1) DEFAULT NULL COMMENT '1:代报装 2：自主报装',
                                          `install_power_type` varchar(50) DEFAULT NULL COMMENT '电源点类型',
                                          `install_power_remark` varchar(200) DEFAULT NULL COMMENT '电源点说明',
                                          `install_power_position` varchar(50) DEFAULT NULL COMMENT '电源接入点位置(配线箱编号)',
                                          `parking_no` varchar(32) DEFAULT NULL COMMENT '车位号',
                                          `real_install_type` int(11) DEFAULT NULL COMMENT '实际安装方式',
                                          `real_cable_type` varchar(10) DEFAULT NULL COMMENT '实际电缆规格',
                                          `real_cable_meter` varchar(10) DEFAULT NULL COMMENT '实际长度电缆（米）',
                                          `real_cable_install_type` int(11) DEFAULT NULL COMMENT '电缆敷设方式 1-PVC电工管 2-JDG镀锌管 3-电缆桥架 4-其他',
                                          `predict_over_item` varchar(1024) DEFAULT NULL COMMENT '增项费用 json存储',
                                          `predict_total_fee` decimal(10,2) DEFAULT NULL COMMENT '增项总费用',
                                          `expand_fee` decimal(10,2) DEFAULT NULL COMMENT '报装费用',
                                          `debug_check` varchar(1024) DEFAULT NULL COMMENT '调试检查json',
                                          `attachment` varchar(128) DEFAULT NULL COMMENT '附件交付',
                                          `train_content` varchar(256) DEFAULT NULL COMMENT '培训内容',
                                          `install_remark` varchar(200) DEFAULT NULL COMMENT '安装备注',
                                          `user_wallbox_pic` varchar(256) DEFAULT NULL COMMENT '用户与墙盒合影',
                                          `wallbox_nameplate_pic` varchar(256) DEFAULT NULL COMMENT '墙盒铭牌',
                                          `void_open_pic` varchar(256) DEFAULT NULL COMMENT '空开',
                                          `leakage_protect_pic` varchar(256) DEFAULT NULL COMMENT '漏保',
                                          `client_rate` int(1) DEFAULT NULL COMMENT '客户评分',
                                          `client_signature` varchar(128) DEFAULT NULL COMMENT '客户签字',
                                          `install_attachment_files` varchar(256) DEFAULT NULL COMMENT '安装附件',
                                          `create_account` varchar(50) DEFAULT NULL COMMENT '创建人',
                                          `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                          `modify_account` varchar(50) DEFAULT NULL COMMENT '修改人',
                                          `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='订单安装表';

CREATE TABLE `t_order_install_item_delete` (
                                               `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
                                               `order_id` varchar(50) NOT NULL COMMENT '订单编号',
                                               `type` tinyint(1) DEFAULT NULL COMMENT '1：勘察 2：安装 3：安装变更',
                                               `item_type` int(11) NOT NULL COMMENT '物料类型 1-物料 2-增项 3-充电桩',
                                               `item_id` varchar(50) NOT NULL COMMENT '物料编号',
                                               `item_name` varchar(50) NOT NULL COMMENT '项目名称',
                                               `item_model` varchar(50) DEFAULT NULL COMMENT '型号',
                                               `item_warehouse_id` varchar(64) DEFAULT NULL COMMENT '仓库id(弃用)',
                                               `contract_item_id` int(11) NOT NULL COMMENT '对应的合同itemId',
                                               `qunatity` decimal(14,2) NOT NULL COMMENT '数量',
                                               `fee` decimal(10,2) NOT NULL COMMENT '总费用',
                                               `description` varchar(200) DEFAULT NULL COMMENT '备注说明',
                                               `create_account` varchar(50) DEFAULT NULL COMMENT '创建人',
                                               `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                               `modify_account` varchar(50) DEFAULT NULL COMMENT '修改人',
                                               `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                                               PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='订单安装项目表';

CREATE TABLE `t_order_survey_delete` (
                                         `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
                                         `order_id` varchar(200) DEFAULT NULL COMMENT '订单编号',
                                         `house_type` int(11) DEFAULT NULL COMMENT '住宅类型 1-普通高层 2-商业两住 3-别墅 4-公司 5-厂房 6-自建房 7-其他',
                                         `parking_type` int(11) DEFAULT NULL COMMENT '车位类型 1-自主产权 2-长期租赁 3-不固定 4-其他',
                                         `parking_info` varchar(200) DEFAULT NULL COMMENT '车位描述 （车库位置、车位号或其他）',
                                         `parking_condition` int(11) DEFAULT NULL COMMENT '车位环境 1-地上 2-地下',
                                         `install_type` int(11) DEFAULT NULL COMMENT '安装方式 1-壁挂 2-立式 3-其他',
                                         `type` tinyint(1) DEFAULT NULL COMMENT '类型 1：勘察 3：安装变更',
                                         `property_company` varchar(50) DEFAULT NULL COMMENT '物业公司',
                                         `property_contact` varchar(20) DEFAULT NULL COMMENT '物业联系人',
                                         `property_phone` varchar(20) DEFAULT NULL COMMENT '物业电话',
                                         `property_agree` int(11) DEFAULT NULL COMMENT '物业态度 1-同意 2-不同意',
                                         `property_reason` varchar(100) DEFAULT NULL COMMENT '物业不同意原因',
                                         `power_type` varchar(32) DEFAULT NULL COMMENT '电力来源',
                                         `upper_circuit_breaker` varchar(20) DEFAULT NULL COMMENT '上端断路器规格（A）',
                                         `upper_line` varchar(20) DEFAULT NULL COMMENT '上端线径规格（mm2）',
                                         `allow_power` varchar(10) DEFAULT NULL COMMENT '可安装功率大小（KW）',
                                         `cable_type` varchar(10) DEFAULT NULL COMMENT '电缆规格（3X6、3X10、3X16 ）',
                                         `signal_type` int(11) DEFAULT NULL COMMENT '信号类型 1-移动 2-电信 3-联通',
                                         `signal_intensity` varchar(10) DEFAULT NULL COMMENT '信号强度（dBm）',
                                         `over_standard` int(11) DEFAULT NULL COMMENT '费用是否超标 1-超标 0-未超标',
                                         `cable_meter` varchar(10) DEFAULT NULL COMMENT '电缆施工长度',
                                         `cable_install_type` int(11) DEFAULT NULL COMMENT '电缆敷设方式 1-PVC电工管 2-JDG镀锌管 3-电缆桥架 4-其他',
                                         `prepare_info` varchar(100) DEFAULT NULL COMMENT '资料准备 json存储 (安装申请、产权复印件、身份证复印件、使用权证明书)',
                                         `survey_result` int(11) DEFAULT NULL COMMENT '勘察结论 1-同意安装 2-不满足安装 3-待定',
                                         `predict_over_item` varchar(200) DEFAULT NULL COMMENT '增项费用预估 json存储',
                                         `survey_remark` varchar(200) DEFAULT NULL COMMENT '勘察备注',
                                         `pictures` varchar(1024) DEFAULT NULL COMMENT '图片链接 多张逗号分割',
                                         `plan_info` varchar(256) DEFAULT NULL COMMENT '方案说明',
                                         `survey_attachment` varchar(128) DEFAULT NULL COMMENT '附件url',
                                         `address` varchar(128) DEFAULT NULL COMMENT '勘测地址',
                                         `latitude` varchar(64) DEFAULT NULL COMMENT '纬度',
                                         `longitude` varchar(64) DEFAULT NULL COMMENT '经度',
                                         `survey_date` date DEFAULT NULL COMMENT '勘测日期',
                                         `contact_name` varchar(32) DEFAULT NULL COMMENT '联系人姓名',
                                         `contact_phone` varchar(32) DEFAULT NULL COMMENT '联系人电话',
                                         `parking_position_no` varchar(32) DEFAULT NULL COMMENT '车位号',
                                         `install_position` tinyint(1) DEFAULT NULL COMMENT '室内/室外 1/2',
                                         `open_air` tinyint(1) DEFAULT NULL COMMENT '是否露天 0：否 1：是',
                                         `transformer_specific_value` varchar(32) DEFAULT NULL COMMENT '变压器额定值',
                                         `access_circuit_capacity` varchar(32) DEFAULT NULL COMMENT '可接入主断路器容量',
                                         `measured_phase_voltage` varchar(32) DEFAULT NULL COMMENT '实测相电压',
                                         `measured_phase_current` varchar(32) DEFAULT NULL COMMENT '实测相电流',
                                         `need_erect_pile` tinyint(1) DEFAULT NULL COMMENT '是否需要立柱 0：否 1：是',
                                         `need_special_construction` tinyint(1) DEFAULT NULL COMMENT '是否需要特殊施工 0：否 1：是',
                                         `create_account` varchar(50) DEFAULT NULL COMMENT '创建人',
                                         `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                         `modify_account` varchar(50) DEFAULT NULL COMMENT '修改人',
                                         `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='订单勘测表';

CREATE TABLE `t_system_info_delete` (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `title` varchar(64) DEFAULT NULL COMMENT '标题',
                                        `content` varchar(356) DEFAULT NULL COMMENT '内容',
                                        `third_party_id` varchar(64) DEFAULT NULL COMMENT '第三方id',
                                        `status` tinyint(1) DEFAULT NULL COMMENT '状态 0：未读 1：已读',
                                        `type` tinyint(1) DEFAULT NULL COMMENT '0：异常通知 1：正常通知',
                                        `account_id` int(11) DEFAULT NULL COMMENT '所属账号id',
                                        `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                        `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                        `order_status` int(11) DEFAULT NULL COMMENT '订单当前状态',
                                        `overtime_flag` int(11) DEFAULT '0' COMMENT '是否超时：0：否，1：是',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `t_user_pay_bill_delete` (
                                          `id` varchar(50) NOT NULL COMMENT '账单编号',
                                          `user_id` varchar(50) DEFAULT NULL COMMENT '用户编号',
                                          `user_phone` varchar(30) DEFAULT NULL COMMENT '用户手机号',
                                          `amount` decimal(12,2) DEFAULT NULL COMMENT '金额',
                                          `info` varchar(100) DEFAULT NULL COMMENT '备注',
                                          `pay_type` int(11) DEFAULT NULL COMMENT '支付类型 0-未知 3-微信',
                                          `business_type` int(11) DEFAULT NULL COMMENT '业务类型 1-增项账单',
                                          `pay_account` varchar(100) DEFAULT NULL COMMENT '支付账号',
                                          `pay_trade_no` varchar(100) DEFAULT NULL COMMENT '支付交易号',
                                          `pay_time` datetime DEFAULT NULL COMMENT '支付时间',
                                          `ref_id` varchar(50) DEFAULT NULL COMMENT '关联编号',
                                          `status` int(11) DEFAULT NULL COMMENT '状态 0-未支付 1-已支付',
                                          `source` int(11) DEFAULT NULL COMMENT '付费来源 1-公众号 2-扫码付款 3-APP支付',
                                          `create_account` varchar(50) DEFAULT NULL COMMENT '创建人',
                                          `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                          `modify_account` varchar(50) DEFAULT NULL COMMENT '修改人',
                                          `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                                          PRIMARY KEY (`id`),
                                          KEY `ref_id` (`ref_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户支付账单表';


ALTER TABLE `t_order` ADD `item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号';
ALTER TABLE `t_order` ADD `survey_wallbox_model` varchar(50) DEFAULT NULL COMMENT '墙盒型号（勘测）';
ALTER TABLE `t_order` ADD `survey_item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号（勘测）';
ALTER TABLE `t_order` ADD `install_wallbox_model` varchar(50) DEFAULT NULL COMMENT '墙盒型号（安装）';
ALTER TABLE `t_order` ADD `install_item_model` varchar(50) DEFAULT NULL COMMENT '墙盒设备型号（安装）';
ALTER TABLE `t_order` modify column wallbox_model varchar(50);
ALTER TABLE `t_order` ADD `address_lat` varchar(50) DEFAULT NULL COMMENT '地址纬度';
ALTER TABLE `t_order` ADD `address_lng` varchar(50) DEFAULT NULL COMMENT '地址经度';
ALTER TABLE `t_order` ADD `connect_person` varchar(100) DEFAULT NULL COMMENT '首联人';
ALTER TABLE `t_order` ADD `want_home_time` datetime DEFAULT NULL COMMENT '客户希望上门时间';
ALTER TABLE `t_order` ADD `install_emergency_level` int(1) DEFAULT '1' COMMENT '安装紧急程度 1:一般 2:紧急';
ALTER TABLE `t_order` ADD `remark` varchar(250) DEFAULT NULL COMMENT '其他说明';
ALTER TABLE `t_order` ADD `is_connect` int(1) DEFAULT NULL COMMENT '是否联系上客户：0-否，1：是';
ALTER TABLE `t_order` ADD `is_need_survey` int(1) DEFAULT NULL COMMENT '是否需要勘测：0-否，1：是';



ALTER TABLE `t_dictionary` ADD `is_settle` int(1) DEFAULT 1 COMMENT '是否结算：0：否，1：是';
ALTER TABLE `t_dictionary` ADD `device_len` int(11) DEFAULT 0 COMMENT '设备编号长度(0:不限)';
ALTER TABLE `t_dictionary` ADD `multiple` int(1) DEFAULT 1 COMMENT '是否多个值0：否，1：是';



insert into t_dictionary (id,type,`name`,`status`) VALUES ('11','infoConfig','首联人',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('13','infoConfig','纸质票开票提醒邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('14','infoConfig','快递公司(发票微服务固定配置勿动)',1);
INSERT INTO t_dictionary (`id`, `type`, `name`, `value`, `status`, `multiple`) VALUES ('105', 'infoConfig', '小程序勘测、安装签到提前提醒(分钟)', '30', 1, 0);
INSERT INTO t_dictionary (`id`, `type`, `name`, `value`, `status`, `multiple`) VALUES ('106', 'infoConfig', '小程序勘测、安装签到范围(米)', '500', 1, 0);

insert into t_dictionary (id,type,`name`,`status`) VALUES ('201','infoConfig','勘测时效提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('202','infoConfig','勘测审核时效提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('203','infoConfig','安装预约时效（不报装）提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('204','infoConfig','安装时效（不报装）提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('205','infoConfig','安装审核时效提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('206','infoConfig','客户低评分提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('207','infoConfig','安装预约时效（报装）提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('208','infoConfig','安装时效（报装）提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('209','infoConfig','勘测签到超时提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('210','infoConfig','安装签到超时提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('211','infoConfig','勘测签到即将超时提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('212','infoConfig','安装签到即将超时提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('213','infoConfig','下次预约勘测跟进超时提醒-抄送邮箱',1);
insert into t_dictionary (id,type,`name`,`status`) VALUES ('214','infoConfig','下次预约安装跟进超时提醒-抄送邮箱',1);

ALTER TABLE `t_cams_account` ADD `alarm_id` varchar(255) DEFAULT NULL COMMENT '超时提醒id';
ALTER TABLE `t_cams_account` MODIFY region_id text;

CREATE TABLE `t_dispatch_config` (
                                     `id` VARCHAR (50) NOT NULL COMMENT 'ID',
                                     `region_id` INT (11) NOT NULL COMMENT '区域id',
                                     `supplier_id` VARCHAR (50) DEFAULT NULL COMMENT '安装服务商编号',
                                     `dispatch_num` INT (11) DEFAULT NULL COMMENT '派单数量',
                                     `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                     `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                                     `is_del` INT (11) NOT NULL DEFAULT 0 COMMENT '0:正常 1:删除',
                                     PRIMARY KEY (`id`)
) ENGINE = INNODB DEFAULT CHARSET = utf8 COMMENT = '派单比例配置表';

ALTER TABLE `t_order` ADD `survey_follow_time` datetime DEFAULT NULL COMMENT '预约勘察下次跟进时间';
ALTER TABLE `t_order` ADD `install_follow_time` datetime DEFAULT NULL COMMENT '预约安装下次跟进时间';

ALTER TABLE `t_order` ADD INDEX idx_survey_follow_time (`survey_follow_time`);
ALTER TABLE `t_order` ADD INDEX idx_install_follow_time (`install_follow_time`);

CREATE TABLE `t_invoice` (
                             `order_id` VARCHAR (50) NOT NULL COMMENT '订单编号',
                             `additional_cost_invoice_status` INT (11) DEFAULT NULL COMMENT '增项费用开票状态0:未开票 1:已开票',
                             `additional_cost_invoice_number` VARCHAR (50) DEFAULT NULL COMMENT '增项费用发票号',
                             `package_device_invoice_status` INT (11) DEFAULT NULL COMMENT '套包内（设备）开票状态0:未开票 1:已开票',
                             `package_device_invoice_number` VARCHAR (50) DEFAULT NULL COMMENT '套包内（设备）发票号',
                             `package_device_receive_status` INT (11) DEFAULT NULL COMMENT '套包内（设备）收款状态0:未收款 1:已收款',
                             `package_install_invoice_status` INT (11) DEFAULT NULL COMMENT '套包内（安装）开票状态0:未开票 1:已开票',
                             `package_install_invoice_number` VARCHAR (50) DEFAULT NULL COMMENT '套包内（安装）发票号',
                             `package_install_receive_status` INT (11) DEFAULT NULL COMMENT '套包内（安装）收款状态0:未收款 1:已收款',
                             `supplier_receive_invoice_status` INT (11) DEFAULT NULL COMMENT '服务商收票状态：0：未收票，1：已收票',
                             `supplier_invoice_number` VARCHAR (50) DEFAULT NULL COMMENT '服务商发票号',
                             `supplier_pay_status` INT (11) DEFAULT NULL COMMENT '服务商付款状态：0：未付款，1：已付款',
                             `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                             `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
                             `is_del` INT (11) NOT NULL DEFAULT 0 COMMENT '0:正常 1:删除',
                             PRIMARY KEY (`order_id`)
) ENGINE = INNODB DEFAULT CHARSET = utf8 COMMENT = '发票表';


INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0907', '09', NULL, NULL, '墙盒品牌', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0907', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('090701', '0907', NULL, NULL, '新增', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '090701', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('090702', '0907', NULL, NULL, '修改', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '090702', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0908', '09', NULL, NULL, '参数配置', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0908', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('090801', '0908', NULL, NULL, '配置', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '090801', NULL, NULL);
--INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('040135', '0401', NULL, NULL, '首联登记', NULL, '1', '1', NULL, '0');
--INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '040135', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('040136', '0401', NULL, NULL, '删除', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '040136', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('200101', '2001', NULL, NULL, '发起结算', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '200101', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('060108', '0601', NULL, NULL, '自动派单配置', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '060108', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('060109', '0601', NULL, NULL, '审核', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '060109', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('200301', '2003', NULL, NULL, '套包内开票', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '200301', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('200302', '2003', NULL, NULL, '开票', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '200302', NULL, NULL);
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('200303', '2003', NULL, NULL, '发货', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '200303', NULL, NULL);

INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('040137', '0401', NULL, NULL, '导出安装验收单', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '040137', NULL, NULL);

INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('040138', '0401', NULL, NULL, ' 批量更新套包内开票状态', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '040138', NULL, NULL);

INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('040139', '0401', NULL, NULL, ' 批量更新服务商收票状态', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '040139', NULL, NULL);

delete from wb_menu where id in (0801,0802,0803,0804);
delete from wb_role_menu where menu_id in (0801,0802,0803,0804);

INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0801', '08', NULL, NULL, '接单时效统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0802', '08', NULL, NULL, '勘测时效统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0803', '08', NULL, NULL, '安装时效统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0804', '08', NULL, NULL, '安装完成率统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0810', '08', NULL, NULL, '报告通过率统计', NULL, '0', '1', NULL, '0');

INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0801', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0802', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0803', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0804', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0810', NULL, NULL);

INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0805', '08', NULL, NULL, '接单时效统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0806', '08', NULL, NULL, '勘测时效统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0807', '08', NULL, NULL, '安装时效统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0808', '08', NULL, NULL, '安装完成率统计', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0811', '08', NULL, NULL, '报告通过率统计', NULL, '0', '1', NULL, '0');

INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '4', '0805', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '4', '0806', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '4', '0807', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '4', '0808', NULL, NULL);
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '4', '0811', NULL, NULL);

INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('0809', '08', NULL, NULL, '电桩安装报表', NULL, '0', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '0809', NULL, NULL);

INSERT INTO `wb_menu` (`id`, `parent_id`, `icon`, `e_name`, `c_name`, `path`, `type`, `status`, `create_time`, `app_type`) VALUES ('040140', '0401', NULL, NULL, '订单明细导出', NULL, '1', '1', NULL, '0');
INSERT INTO `wb_role_menu` ( `role_id`, `menu_id`, `create_account_id`, `create_time`) VALUES ( '1', '040140', NULL, NULL);

```

### 回滚脚本
1. 回退发版前版本