## 表结构修改SQL

2023年10月9日17点01分

基于feature-2.0.1分支

###SQL脚本
```SQL
DROP TABLE IF EXISTS t_auxiliary_materials;
CREATE TABLE t_auxiliary_materials(
`id` INT(11) NOT NULL AUTO_INCREMENT  COMMENT 'id' ,
`material_code` VARCHAR(255)    COMMENT '物料编码' ,
`material_name` VARCHAR(255)    COMMENT '物料名称' ,
`measurement_unit` VARCHAR(255)    COMMENT '计量单位' ,
`apply_quantity` VARCHAR(255)    COMMENT '申请数量' ,
`approved_quantity` VARCHAR(255)    COMMENT '批准数量' ,
`currenty_sap` VARCHAR(255)    COMMENT 'SAP当前库存数' ,
`month_amount_sap` VARCHAR(255)    COMMENT '近一个月用量（SAP）' ,
`year_amount` VARCHAR(255)    COMMENT '近一年用量' ,
`apply_status` VARCHAR(255)    COMMENT '申请状态  已申请  已驳回  已通过  已关闭' ,
`team` VARCHAR(255)    COMMENT '申请团队' ,
`logistic_status` VARCHAR(255)    COMMENT '物流状态  未发货  已发货' ,
`receiving_status` VARCHAR(255)    COMMENT '收货状态  未收货  已收货' ,
`recipents` VARCHAR(255)    COMMENT '收货人' ,
`receive_address` VARCHAR(255)    COMMENT '收货地址' ,
`receive_phone` VARCHAR(255)    COMMENT '联系电话' ,
`apply_time` DATETIME    COMMENT '申请时间' ,
`check_user` VARCHAR(255)    COMMENT '审核人' ,
`check_user_name` VARCHAR(255)    COMMENT '审核人姓名' ,
`check_time` DATETIME    COMMENT '审核时间' ,
`check_suggestion` VARCHAR(255)    COMMENT '审核意见' ,
`CREATED_BY` VARCHAR(255)    COMMENT '创建人' ,
`CREATED_TIME` DATETIME    COMMENT '创建时间' ,
`UPDATED_BY` VARCHAR(255)    COMMENT '更新人' ,
`UPDATED_TIME` DATETIME    COMMENT '更新时间' ,
`install_order` VARCHAR(255)    COMMENT '安装单号' ,
`specification` VARCHAR(255)    COMMENT '规格型号' ,
`logistic_order` VARCHAR(255)    COMMENT '物流单号' ,
`apply_inventory` VARCHAR(255)    COMMENT '申请时库存' ,
`apply_order` VARCHAR(255)    COMMENT '申请单号' ,
`warehouse_id` VARCHAR(255)    COMMENT '绑定仓库id' ,
PRIMARY KEY (id)
)  COMMENT = '辅材申请';

DROP TABLE IF EXISTS t_received_note;
CREATE TABLE t_received_note(
`id` INT(11) NOT NULL AUTO_INCREMENT  COMMENT 'id' ,
`received_order` VARCHAR(255)    COMMENT '收货单号' ,
`install_order` VARCHAR(255)    COMMENT '安装单号' ,
`product_batch` VARCHAR(255)    COMMENT '产品批次' ,
`material_category` VARCHAR(255)    COMMENT '物料类别' ,
`material_code` VARCHAR(255)    COMMENT '物料编码' ,
`arrival_warehouse` VARCHAR(255)    COMMENT '到货仓库' ,
`arrival_warehouse_id` INT(11)    COMMENT '到货仓库id' ,
`receiver` VARCHAR(255)    COMMENT '收货人' ,
`receiving_time` DATETIME    COMMENT '收货时间' ,
`arrival_quantity` INT(10)    COMMENT '到货数量' ,
`auxiliary_id` INT    COMMENT '辅料申请单号' ,
`CREATED_BY` VARCHAR(255)    COMMENT '创建人' ,
`CREATED_TIME` DATETIME    COMMENT '创建时间' ,
`UPDATED_BY` VARCHAR(255)    COMMENT '更新人' ,
`UPDATED_TIME` DATETIME    COMMENT '更新时间' ,
PRIMARY KEY (id)
)  COMMENT = '收货单';

DROP TABLE IF EXISTS t_delivery;
CREATE TABLE t_delivery(
`id` INT(11) NOT NULL AUTO_INCREMENT  COMMENT 'id' ,
`delivery_order` VARCHAR(255)    COMMENT '发货单号' ,
`install_order` VARCHAR(255)    COMMENT '安装单号' ,
`product_batch` VARCHAR(255)    COMMENT '产品批次' ,
`quantity` INT    COMMENT '发货数量' ,
`material_category` VARCHAR(255)    COMMENT '物料类别' ,
`material_code` VARCHAR(255)    COMMENT '物料编码' ,
`material_name` VARCHAR(255)    COMMENT '物料名称' ,
`material_company` VARCHAR(255)    COMMENT '物料厂商' ,
`logistic_order` VARCHAR(255)    COMMENT '物流单号' ,
`logistic_company` VARCHAR(255)    COMMENT '物流服务商' ,
`logistic_status` VARCHAR(255)    COMMENT '物流状态  未发货  已发货' ,
`CREATED_BY` VARCHAR(255)    COMMENT '创建人' ,
`CREATED_TIME` DATETIME    COMMENT '创建时间' ,
`UPDATED_BY` VARCHAR(255)    COMMENT '更新人' ,
`UPDATED_TIME` DATETIME    COMMENT '更新时间' ,
PRIMARY KEY (id)
)  COMMENT = '发货单';

DROP TABLE IF EXISTS t_reject;
CREATE TABLE t_reject(
`id` INT(11) NOT NULL AUTO_INCREMENT  COMMENT 'id' ,
`reject_order` VARCHAR(255)    COMMENT '退货单号' ,
`install_order` VARCHAR(255)    COMMENT '安装单号' ,
`product_batch` VARCHAR(255)    COMMENT '产品批次' ,
`quantity` INT    COMMENT '退货数量' ,
`material_category` VARCHAR(255)    COMMENT '物料类别' ,
`material_code` VARCHAR(255)    COMMENT '物料编码' ,
`material_name` VARCHAR(255)    COMMENT '物料名称' ,
`material_company` VARCHAR(255)    COMMENT '物料厂商' ,
`logistic_order` VARCHAR(255)    COMMENT '物流单号' ,
`logistic_company` VARCHAR(255)    COMMENT '物流服务商' ,
`warehouse_name` VARCHAR(255)    COMMENT '退货仓库' ,
`warehouse_id` INT(11)    COMMENT '退货仓库id' ,
`reason` VARCHAR(255)    COMMENT '退货原因' ,
`status` VARCHAR(255)    COMMENT '退货状态 已申请 已驳回 已通过 已关闭' ,
`check_time` DATETIME    COMMENT '审批时间' ,
`check_user` VARCHAR(255)    COMMENT '审核人' ,
`check_user_name` VARCHAR(255)    COMMENT '审核人姓名' ,
`check_suggestion` VARCHAR(255)    COMMENT '审核意见' ,
`CREATED_BY` VARCHAR(255)    COMMENT '创建人' ,
`CREATED_TIME` DATETIME    COMMENT '创建时间' ,
`UPDATED_BY` VARCHAR(255)    COMMENT '更新人' ,
`UPDATED_TIME` DATETIME    COMMENT '更新时间' ,
PRIMARY KEY (id)
)  COMMENT = '退货单';


