package com.starcharge.wios.Import.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.starcharge.warehouse.dto.materials.MaterialsDTO;
import com.starcharge.wios.Import.Import;
import com.starcharge.wios.service.WarehouseService;

/**
 * 合同增项导入
 * 
 * @author xgl
 * @version [版本号, 2020年10月24日]
 */
@Service
public class ContractItemExpandImport implements Import {
    
    @Autowired
    private WarehouseService warehouseService;
    
    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>)list.get(i);
            String model = childList.get(0);// 规格型号
            String code = childList.get(1);// 物料编码
            String name = childList.get(2);// 物料名称
            if (StringUtils.isEmpty(model) || StringUtils.isEmpty(code) || StringUtils.isEmpty(name)) {
                childList.add("error:参数不能未空");
                continue;
            }
            
            List<MaterialsDTO> itemList = warehouseService.qryMaterialsCount(name, code, model, 2);
            if (itemList.isEmpty()) {
                childList.add("error:增项不存在");
                continue;
            } else {
                childList.set(0, model + "_" + itemList.get(0).getId());
            }
        }
        return list;
    }
    
}
