package com.starcharge.wios.Import.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.starcharge.wios.Import.Import;
import com.starcharge.wios.dao.RegionDao;
import com.starcharge.wios.dao.entity.Region;

/**
 * 主机厂合同区域价格导入
 * 
 * @author xgl
 * @version [版本号, 2020年10月22日]
 */
@Service
public class OemContractPriceImport implements Import {
    
    @Autowired
    private RegionDao regionDao;
    
    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>)list.get(i);
            String regionName = childList.get(0);// 区域名称
            if (StringUtils.isEmpty(regionName)) {
                childList.add("error:参数不能未空");
                continue;
            }
            Region region = regionDao.selectSingleByName(regionName);
            if (region == null) {
                childList.add("error:区域不存在");
                continue;
            } else {
                childList.set(0, regionName + "_" + region.getIdTree());
            }
        }
        return list;
    }
    
}
