package com.starcharge.wios.Import.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.starcharge.wios.Import.Import;
import com.starcharge.wios.auth.dao.AccountMapper;
import com.starcharge.wios.auth.dao.model.AccountCriteria;
import com.starcharge.wios.dao.SupplierDao;
import com.starcharge.wios.dao.entity.Supplier;

@Service
public class SupplierImport implements Import {
    
    @Autowired
    private SupplierDao supplierDao;
    
    @Autowired
    private AccountMapper accountMapper;
    
    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>)list.get(i);
            String code = childList.get(0);// 编码
            String supplierName = childList.get(1);// 服务商名称
            String account = childList.get(7);// 管理账户
            String type = childList.get(8);// 类别
            if (StringUtils.isEmpty(code) || StringUtils.isEmpty(supplierName) || StringUtils.isEmpty(account)
                || StringUtils.isEmpty(type)) {
                childList.add("error:缺少参数");
                continue;
            }
            List<Supplier> supplierList = supplierDao.selectOnly(code, supplierName);
            if (!supplierList.isEmpty()) {
                childList.add("error:编码或服务商名称已存在");
                continue;
            }
            
            AccountCriteria accountCriteria = new AccountCriteria();
            accountCriteria.createCriteria().andAccountEqualTo(account);
            int count = accountMapper.countByExample(accountCriteria);
            if (count > 0) {
                childList.add("error:登录账户已存在");
                continue;
            }
            
            if (!"A".equals(type) && !"B".equals(type) && !"C".equals(type)) {
                childList.add("error:类型只能是ABC中的一个");
            }
        }
        return list;
    }
    
}
