package com.starcharge.wios.Import.impl;


import cn.hutool.core.util.StrUtil;
import com.starcharge.wios.Import.Import;
import com.starcharge.wios.dao.OrderDao;
import com.starcharge.wios.dao.SupplierDao;
import com.starcharge.wios.dao.entity.Order;
import com.starcharge.wios.dao.entity.Supplier;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

@Service
public class SupplierInvoiceImport implements Import {
    @Autowired
    private OrderDao orderDao;

    @Autowired
    private SupplierDao supplierDao;


    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>) list.get(i);
            String outOrderId = childList.get(1);// 车企安装单号
            String supplierReceiveInvoiceStatus = childList.get(15);// 服务商收票状态
            String supplierPayStatus = childList.get(17);// 服务商付款状态

            if (StringUtils.isEmpty(outOrderId)) {
                childList.add("error:缺少车企安装单号");
                continue;
            }

            Order order = orderDao.selectByOutOrderId(outOrderId);
            if (order == null) {
                childList.add("error:订单不存在");
                continue;
            }else{
                childList.set(1, outOrderId + "_" + order.getId());
            }

            Supplier supplier=supplierDao.selectById(order.getInstallSupplierId());
            if("A".equals(supplier.getLevel())){
                childList.add("error:自建服务商团队不需要结算");
                continue;
            }

            if(StrUtil.isNotBlank(supplierReceiveInvoiceStatus)){
                childList.set(15,supplierReceiveInvoiceStatus+"_1");
            }else{
                childList.set(15,supplierReceiveInvoiceStatus+"_0");
            }

            if(StrUtil.isNotBlank(supplierPayStatus)){
                childList.set(17,supplierPayStatus+"_1");
            }else{
                childList.set(17,supplierPayStatus+"_0");
            }
        }
        return list;
    }

}
