package com.starcharge.wios.Import.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.starcharge.wios.Import.Import;
import com.starcharge.wios.dao.OrderDao;
import com.starcharge.wios.dao.entity.Order;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

@Service
public class VwInvoiceImport implements Import {
    @Autowired
    private OrderDao orderDao;

    @SuppressWarnings("unchecked")
    @Override
    public List<?> handle(List<Object> list) {
        for (int i = 1; i < list.size(); i++) {
            List<String> childList = (List<String>) list.get(i);
            String outOrderId = childList.get(1);// 车企安装单号
            String packageDeviceInvoiceStatus = childList.get(10);// 套包内（设备）开票状态
            String packageDeviceReceiveStatus = childList.get(12);// 套包内（设备）收款状态
            String packageInstallInvoiceStatus = childList.get(14);// 车套包内（安装）开票状态
            String packageInstallReceiveStatus = childList.get(16);// 套包内（安装）收款状态
            if (StringUtils.isEmpty(outOrderId)) {
                childList.add("error:缺少车企安装单号");
                continue;
            }

            Order order = orderDao.selectByOutOrderId(outOrderId);
            if (order == null) {
                childList.add("error:订单不存在");
                continue;
            }else{
                childList.set(1, outOrderId + "_" + order.getId());
            }

            if(StrUtil.isNotBlank(packageDeviceInvoiceStatus)){
                childList.set(10,packageDeviceInvoiceStatus+"_1");
            }else{
                childList.set(10,packageDeviceInvoiceStatus+"_0");
            }

            if(StrUtil.isNotBlank(packageDeviceReceiveStatus)){
                childList.set(12,packageDeviceReceiveStatus+"_1");
            }else{
                childList.set(12,packageDeviceReceiveStatus+"_0");
            }

            if(StrUtil.isNotBlank(packageInstallInvoiceStatus)){
                childList.set(14,packageInstallInvoiceStatus+"_1");
            }else{
                childList.set(14,packageInstallInvoiceStatus+"_0");
            }

            if(StrUtil.isNotBlank(packageInstallReceiveStatus)){
                childList.set(16,packageInstallReceiveStatus+"_1");
            }else{
                childList.set(16,packageInstallReceiveStatus+"_0");
            }
        }
        return list;
    }

}
