package com.starcharge.wios.app.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;

public class AppOrderDTO {

    @ApiModelProperty(value = "工单号")
    private String orderId;// 工单号
    
    @ApiModelProperty(value = "地址")
    private String address;// 地址
    
    @ApiModelProperty(value = "用户姓名")
    private String userName;// 用户姓名
    
    @ApiModelProperty(value = "车主性别 0-女 1-男")
    private Integer userSex;
    
    @ApiModelProperty(value = "订单状态(全部)")
    private Integer status;// 订单状态
    
    @ApiModelProperty(value = "订单状态(1:接单 2：预约 3：勘察 4：安装 5：评价)")
    private Integer relativeStatus;// 订单状态(1:接单 2：预约 3：勘察 4：安装 5：评价)
    
    @ApiModelProperty(value = "订单状态说明")
    private String statusText;// 状态说明
    
    @ApiModelProperty(value = "时间")
    private String time;// 时间
    
    @ApiModelProperty(value = "派单时间")
    private String dispatchTime;// 派单时间
    
    @ApiModelProperty(value = "勘测预约时间")
    private String surveyReserveTime;// 勘测预约时间
    
    @ApiModelProperty(value = "开始勘测时间")
    private String surveyStartTime;// 开始勘测时间
    
    @ApiModelProperty(value = "安装预约时间")
    private String installReserveTime;// 安装预约时间
    
    @ApiModelProperty(value = "开始安装时间")
    private String installStartTime;// 开始安装时间
    
    @ApiModelProperty(value = "回访时间")
    private String returnVisitTime;// 回访时间
    
    @ApiModelProperty(value = "联系人")
    private String contactName;// 联系人
    
    @ApiModelProperty(value = "联系电话")
    private String contactPhone;// 联系电话
    
    @ApiModelProperty(value = "账单费用")
    private BigDecimal fee;
    
    @ApiModelProperty(value = "安装完成时间")
    private String installFinishTime;
    
    @ApiModelProperty(value = "账单id")
    private String billId;
    
    @ApiModelProperty(value = "账单状态 0-未支付 1-已支付")
    private Integer billStatus;
    
    @ApiModelProperty(value = "报装状态 1：通过 2：不通过")
    private Integer expandStatus;
    
    @ApiModelProperty(value = "报装不通过后订单后续操作 1：换其他用电类型继续安装  2：不安装了")
    private Integer expandFailOperate;
    
    public String getOrderId() {
        return orderId;
    }
    
    public String getAddress() {
        return address;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public String getTime() {
        return time;
    }
    
    public String getContactName() {
        return contactName;
    }
    
    public String getContactPhone() {
        return contactPhone;
    }
    
    public BigDecimal getFee() {
        return fee;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public void setTime(String time) {
        this.time = time;
    }
    
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }
    
    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }
    
    public String getStatusText() {
        return statusText;
    }
    
    public void setStatusText(String statusText) {
        this.statusText = statusText;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public Integer getRelativeStatus() {
        return relativeStatus;
    }
    
    public void setRelativeStatus(Integer relativeStatus) {
        this.relativeStatus = relativeStatus;
    }
    
    public String getBillId() {
        return billId;
    }
    
    public Integer getBillStatus() {
        return billStatus;
    }
    
    public void setBillId(String billId) {
        this.billId = billId;
    }
    
    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }
    
    public Integer getExpandStatus() {
        return expandStatus;
    }
    
    public Integer getExpandFailOperate() {
        return expandFailOperate;
    }
    
    public void setExpandStatus(Integer expandStatus) {
        this.expandStatus = expandStatus;
    }
    
    public void setExpandFailOperate(Integer expandFailOperate) {
        this.expandFailOperate = expandFailOperate;
    }
    
    public String getInstallFinishTime() {
        return installFinishTime;
    }
    
    public void setInstallFinishTime(String installFinishTime) {
        this.installFinishTime = installFinishTime;
    }
    
    public Integer getUserSex() {
        return userSex;
    }
    
    public void setUserSex(Integer userSex) {
        this.userSex = userSex;
    }
    
    public String getDispatchTime() {
        return dispatchTime;
    }
    
    public String getSurveyReserveTime() {
        return surveyReserveTime;
    }
    
    public String getSurveyStartTime() {
        return surveyStartTime;
    }
    
    public String getInstallReserveTime() {
        return installReserveTime;
    }
    
    public String getInstallStartTime() {
        return installStartTime;
    }
    
    public String getReturnVisitTime() {
        return returnVisitTime;
    }
    
    public void setDispatchTime(String dispatchTime) {
        this.dispatchTime = dispatchTime;
    }
    
    public void setSurveyReserveTime(String surveyReserveTime) {
        this.surveyReserveTime = surveyReserveTime;
    }
    
    public void setSurveyStartTime(String surveyStartTime) {
        this.surveyStartTime = surveyStartTime;
    }
    
    public void setInstallReserveTime(String installReserveTime) {
        this.installReserveTime = installReserveTime;
    }
    
    public void setInstallStartTime(String installStartTime) {
        this.installStartTime = installStartTime;
    }
    
    public void setReturnVisitTime(String returnVisitTime) {
        this.returnVisitTime = returnVisitTime;
    }
    
}
