package com.starcharge.wios.app.dto;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class AppOrderInstallDTO {

    // @ApiModelProperty(value = "外部订单号")
    // private String outOrderId;// 外部订单号
    
    @ApiModelProperty(value = "地址")
    private String address;// 地址
    
    @ApiModelProperty(value = "工单号")
    private String orderId;// 工单号
    
    @ApiModelProperty(value = "安装完成时间")
    private String installFinishTime;// 安装完成时间
    
    @ApiModelProperty(value = "增项费用明细")
    private List<AdditionFeeItem> additionFeeList;// 费用明细
    
    @ApiModelProperty(value = "增项总费用")
    private BigDecimal additionTotalFee = BigDecimal.ZERO;// 增项总费用
    
    @ApiModelProperty(value = "报装费用")
    private BigDecimal expandFee = BigDecimal.ZERO;// 报装费用
    
    @ApiModelProperty(value = "总费用")
    private BigDecimal totalFee;// 总费用
    
    @ApiModelProperty(value = "账单id")
    private String billId;
    
    @ApiModelProperty(value = "账单状态 0-未支付 1-已支付")
    private Integer billStatus;
    
    @ApiModelProperty(value = "账单支付时间")
    private String billPayTime;
    
    @ApiModelProperty(value = "用户手机号")
    private String billUserPhone;
    
    @ApiModelProperty(value = "账单支付方式 0-未知 3-微信")
    private Integer billPayMethod;
    
    @ApiModelProperty(value = "工单状态")
    private Integer orderStatus;
    
    @ApiModelProperty(value = "工单状态说明")
    private String orderStatusText;
    
    @ApiModelProperty(value = "评价详情")
    private OrderScore orderScore;
    
    public class AdditionFeeItem {

        @ApiModelProperty(value = "项目名称")
        private String name;// 项目名称
        
        @ApiModelProperty(value = "数量")
        private Integer quantity;// 数量
        
        @ApiModelProperty(value = "费用")
        private BigDecimal fee;// 费用
        
        public String getName() {
            return name;
        }
        
        public Integer getQuantity() {
            return quantity;
        }
        
        public BigDecimal getFee() {
            return fee;
        }
        
        public void setName(String name) {
            this.name = name;
        }
        
        public void setQuantity(Integer quantity) {
            this.quantity = quantity;
        }
        
        public void setFee(BigDecimal fee) {
            this.fee = fee;
        }
    }
    
    public class OrderScore {

        @ApiModelProperty(value = "综合分数")
        private Double score;
        
        @ApiModelProperty(value = "评价内容")
        private String content;
        
        @ApiModelProperty(value = "评价图片，多个逗号分割")
        private String files;
        
        @ApiModelProperty(value = "评价时间")
        private String time;
        
        public Double getScore() {
            return score;
        }
        
        public String getContent() {
            return content;
        }
        
        public String getFiles() {
            return files;
        }
        
        public String getTime() {
            return time;
        }
        
        public void setScore(Double score) {
            this.score = score;
        }
        
        public void setContent(String content) {
            this.content = content;
        }
        
        public void setFiles(String files) {
            this.files = files;
        }
        
        public void setTime(String time) {
            this.time = time;
        }
        
    }
    
    public String getAddress() {
        return address;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public BigDecimal getTotalFee() {
        return totalFee;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public void setTotalFee(BigDecimal totalFee) {
        this.totalFee = totalFee;
    }
    
    public BigDecimal getExpandFee() {
        return expandFee;
    }
    
    public void setExpandFee(BigDecimal expandFee) {
        this.expandFee = expandFee;
    }
    
    public BigDecimal getAdditionTotalFee() {
        return additionTotalFee;
    }
    
    public void setAdditionTotalFee(BigDecimal additionTotalFee) {
        this.additionTotalFee = additionTotalFee;
    }
    
    public List<AdditionFeeItem> getAdditionFeeList() {
        return additionFeeList;
    }
    
    public void setAdditionFeeList(List<AdditionFeeItem> additionFeeList) {
        this.additionFeeList = additionFeeList;
    }
    
    public String getBillId() {
        return billId;
    }
    
    public Integer getBillStatus() {
        return billStatus;
    }
    
    public void setBillId(String billId) {
        this.billId = billId;
    }
    
    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }
    
    public String getBillPayTime() {
        return billPayTime;
    }
    
    public Integer getBillPayMethod() {
        return billPayMethod;
    }
    
    public Integer getOrderStatus() {
        return orderStatus;
    }
    
    public String getOrderStatusText() {
        return orderStatusText;
    }
    
    public void setBillPayTime(String billPayTime) {
        this.billPayTime = billPayTime;
    }
    
    public void setBillPayMethod(Integer billPayMethod) {
        this.billPayMethod = billPayMethod;
    }
    
    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }
    
    public void setOrderStatusText(String orderStatusText) {
        this.orderStatusText = orderStatusText;
    }
    
    public OrderScore getOrderScore() {
        return orderScore;
    }
    
    public void setOrderScore(OrderScore orderScore) {
        this.orderScore = orderScore;
    }
    
    public String getInstallFinishTime() {
        return installFinishTime;
    }
    
    public void setInstallFinishTime(String installFinishTime) {
        this.installFinishTime = installFinishTime;
    }
    
    public String getBillUserPhone() {
        return billUserPhone;
    }
    
    public void setBillUserPhone(String billUserPhone) {
        this.billUserPhone = billUserPhone;
    }
    
    
}
