package com.starcharge.wios.auth.daoex;

import java.util.List;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import com.ihidea.core.base.CoreDao;
import com.starcharge.wios.auth.bo.AccountBo;
import com.starcharge.wios.auth.dao.model.Account;
import com.starcharge.wios.auth.dao.model.AccountRole;
import com.starcharge.wios.auth.vo.AccountVo;

/**
 * 员工账户拓展mapper
 *
 * @author zhucheng
 * @date 2020/5/19 17:29
 */
public interface AccountMapperEx extends CoreDao {
    
    /**
     * 查询账户信息forUpdate
     *
     * @param id id
     * @return entity
     */
    Account selectByPrimaryKeyForUpdate(Integer id);
    
    /**
     * 批量新增账户/角色关联关系
     *
     * @param accountRoleList 账户/角色关联关系集合
     * @return 新增成功的条数
     */
    @Insert("<script>insert into wb_account_role(account_id, role_id, create_account_id, create_time) values "
        + "<foreach collection='accountRoleList' item='item' index='index' separator=','>("
        + "#{item.accountId,jdbcType=INTEGER}, #{item.roleId,jdbcType=INTEGER}, "
        + "#{item.createAccountId,jdbcType=INTEGER}, #{item.createTime,jdbcType=TIMESTAMP}" + ")</foreach></script>")
    int batchInsertAccountRole(@Param("accountRoleList") List<AccountRole> accountRoleList);
    
    List<AccountVo> getListForOem(AccountBo condition);
    
    List<Account> selectByIds(List<Integer> ids);
    
    List<AccountVo> selectByParentIds(@Param("parentIds") List<Integer> parentIds, @Param("account") String account,
        @Param("name") String name);
}