package com.starcharge.wios.bo;

import com.ihidea.core.support.exception.ServiceException;
import com.starcharge.wios.dao.entity.Order;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.StringUtils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

public class OrderBo extends Order {

    @ApiModelProperty(hidden = true)
    private String createStartTime;
    
    @ApiModelProperty(hidden = true)
    private String createEndTime;

    @ApiModelProperty(hidden = true)
    private String regionIdTree;
    
    @ApiModelProperty(value = "评分大于")
    private Integer scoreGt;
    
    @ApiModelProperty(value = "评分小于等于")
    private Integer scoreLt;
    
    @ApiModelProperty(value = "勘察完成开始时间")
    private String surveyFinishStartTime;
    
    @ApiModelProperty(value = "勘察完成结束时间")
    private String surveyFinishEndTime;
    
    @ApiModelProperty(value = "安装完成开始时间")
    private String installFinishStartTime;
    
    @ApiModelProperty(value = "安装完成结束时间")
    private String installFinishEndTime;
    
    @ApiModelProperty(hidden = true)
    private List<Integer> oemIdList;
    
    @ApiModelProperty(hidden = true)
    private List<Integer> statusNotInList;
    
    @ApiModelProperty(value = "订单状态，多个逗号分割")
    private String statusIn;
    
    @ApiModelProperty(hidden = true)
    private List<Integer> statusInList;
    
    @ApiModelProperty(value = "订单id，多个逗号分割")
    private String idIn;
    
    @ApiModelProperty(hidden = true)
    private List<String> idInList;
    
    @ApiModelProperty(hidden = true)
    private String address;
    
    @ApiModelProperty(hidden = true)
    private String description;
    
    @ApiModelProperty(hidden = true)
    private String userSex;
    
    @ApiModelProperty(hidden = true)
    private String vehicleChassisNo;
    
    @ApiModelProperty(hidden = true)
    private String vehicleModel;
    
    @ApiModelProperty(hidden = true)
    private String vehicleParkingNo;
    
    @ApiModelProperty(hidden = true)
    private String vehicleParkingStatus;
    
    @ApiModelProperty(hidden = true)
    private String vehicleVin;
    
    @ApiModelProperty(hidden = true)
    private String wallboxModel;
    
    @ApiModelProperty(hidden = true)
    private List<Integer> regionIdList;

    // 勘察员工编号或安装员工编号
    @ApiModelProperty(hidden = true)
    private Integer staffId;
    
    @ApiModelProperty(hidden = true)
    private String oemName;// 经销商名称
    
    @ApiModelProperty(hidden = true)
    private String supplierName;// 服务商名称
    
    @ApiModelProperty(value = "0:未报装")
    private Integer expandStatusInt;// 0:未报装

    @ApiModelProperty(value = "季度第一个月")
    private String quarterFirstMonth;

    @ApiModelProperty(value = "季度最后一个月")
    private String quarterLastMonth;

    @ApiModelProperty(value = "月份 yyyy-MM")
    private String month;
    
    private Integer fromExport;
    
    private String invoiceTimeStr;

    @ApiModelProperty(hidden = true)
    List<Integer> filterOemIds;

    @ApiModelProperty(hidden = true)
    List<String> filterSupplierIds;

    @ApiModelProperty(hidden = true)
    private Integer isClosed;

    @ApiModelProperty(hidden = true)
    private String wallboxNo;

    @ApiModelProperty(value = "超时类型")
    private Integer overtimeType;

    public Integer getOvertimeType() {
        return overtimeType;
    }

    public void setOvertimeType(Integer overtimeType) {
        this.overtimeType = overtimeType;
    }

    public String getRegionIdTree() {
        return regionIdTree;
    }

    public void setRegionIdTree(String regionIdTree) {
        this.regionIdTree = regionIdTree;
    }

    public String getCreateStartTime() {
        return createStartTime;
    }
    
    public String getCreateEndTime() {
        return createEndTime;
    }
    
    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }
    
    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }
    
    public String getSurveyFinishStartTime() {
        return surveyFinishStartTime;
    }
    
    public String getSurveyFinishEndTime() {
        return surveyFinishEndTime;
    }
    
    public String getInstallFinishStartTime() {
        return installFinishStartTime;
    }
    
    public String getInstallFinishEndTime() {
        return installFinishEndTime;
    }
    
    public void setSurveyFinishStartTime(String surveyFinishStartTime) {
        this.surveyFinishStartTime = surveyFinishStartTime;
    }
    
    public void setSurveyFinishEndTime(String surveyFinishEndTime) {
        this.surveyFinishEndTime = surveyFinishEndTime;
    }
    
    public void setInstallFinishStartTime(String installFinishStartTime) {
        this.installFinishStartTime = installFinishStartTime;
    }
    
    public void setInstallFinishEndTime(String installFinishEndTime) {
        this.installFinishEndTime = installFinishEndTime;
    }
    
    public List<Integer> getOemIdList() {
        return oemIdList;
    }
    
    public void setOemIdList(List<Integer> oemIdList) {
        this.oemIdList = oemIdList;
    }
    
    public List<Integer> getStatusNotInList() {
        return statusNotInList;
    }
    
    public void setStatusNotInList(List<Integer> statusNotInList) {
        this.statusNotInList = statusNotInList;
    }
    
    public Integer getScoreGt() {
        return scoreGt;
    }
    
    public Integer getScoreLt() {
        return scoreLt;
    }
    
    public void setScoreGt(Integer scoreGt) {
        this.scoreGt = scoreGt;
    }
    
    public void setScoreLt(Integer scoreLt) {
        this.scoreLt = scoreLt;
    }
    
    public List<Integer> getRegionIdList() {
        return regionIdList;
    }
    
    public void setRegionIdList(List<Integer> regionIdList) {
        this.regionIdList = regionIdList;
    }

    public Integer getStaffId() {
        return staffId;
    }

    public void setStaffId(Integer staffId) {
        this.staffId = staffId;
    }
    
    public String getOemName() {
        return oemName;
    }
    
    public String getSupplierName() {
        return supplierName;
    }
    
    public void setOemName(String oemName) {
        this.oemName = oemName;
    }
    
    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
    
    public List<Integer> getStatusInList() {
        return statusInList;
    }
    
    public void setStatusInList(List<Integer> statusInList) {
        this.statusInList = statusInList;
    }
    
    public String getStatusIn() {
        return statusIn;
    }
    
    public void setStatusIn(String statusIn) {
        this.statusIn = statusIn;
    }
    
    public String getIdIn() {
        return idIn;
    }
    
    public void setIdIn(String idIn) {
        this.idIn = idIn;
    }
    
    public List<String> getIdInList() {
        return idInList;
    }
    
    public void setIdInList(List<String> idInList) {
        this.idInList = idInList;
    }
    
    public Integer getExpandStatusInt() {
        return expandStatusInt;
    }
    
    public void setExpandStatusInt(Integer expandStatusInt) {
        this.expandStatusInt = expandStatusInt;
    }
    
    public String getMonth() {
        return month;
    }
    
    public void setMonth(String month) {
        this.month = month;
    }
    
    public Integer getFromExport() {
        return fromExport;
    }
    
    public void setFromExport(Integer fromExport) {
        this.fromExport = fromExport;
    }
    
    public String getInvoiceTimeStr() {
        return invoiceTimeStr;
    }
    
    public void setInvoiceTimeStr(String invoiceTimeStr) {
        this.invoiceTimeStr = invoiceTimeStr;
        if (!StringUtils.isEmpty(invoiceTimeStr)) {
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            try {
                Date invoiceTime = sdf.parse(invoiceTimeStr);
                this.setInvoiceTime(invoiceTime);
            } catch (ParseException e) {
                throw new ServiceException("发票日期格式错误");
            }
        }
    }

    public List<Integer> getFilterOemIds() {
        return filterOemIds;
    }

    public void setFilterOemIds(List<Integer> filterOemIds) {
        this.filterOemIds = filterOemIds;
    }

    public List<String> getFilterSupplierIds() {
        return filterSupplierIds;
    }

    public void setFilterSupplierIds(List<String> filterSupplierIds) {
        this.filterSupplierIds = filterSupplierIds;
    }

    public Integer getIsClosed() {
        return isClosed;
    }

    public void setIsClosed(Integer isClosed) {
        this.isClosed = isClosed;
    }

    public String getWallboxNo() {
        return wallboxNo;
    }

    public void setWallboxNo(String wallboxNo) {
        this.wallboxNo = wallboxNo;
    }

    public String getQuarterFirstMonth() {
        return quarterFirstMonth;
    }

    public void setQuarterFirstMonth(String quarterFirstMonth) {
        this.quarterFirstMonth = quarterFirstMonth;
    }

    public String getQuarterLastMonth() {
        return quarterLastMonth;
    }

    public void setQuarterLastMonth(String quarterLastMonth) {
        this.quarterLastMonth = quarterLastMonth;
    }
}
