package com.starcharge.wios.bo.api;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 基础信息
 *
 * @author tzx
 */
@Data
public class BaseInfo {
    @ApiModelProperty("安装单号")
    private String orderNo;
    @ApiModelProperty("车企单号")
    private String carCompanyOrderNo;
    @ApiModelProperty("当前节点")
    private String currentStage;
    @ApiModelProperty("订单状态")
    private String orderStatus;
    @ApiModelProperty("超时类型")
    private String timeoutType;
    @ApiModelProperty("订单来源")
    private String orderSource;
    @ApiModelProperty("创建时间")
    private String createDate;
    @ApiModelProperty("订单运行时长")
    private String orderRunTime;
    @ApiModelProperty("剩余处理时间")
    private String remainingTime;
    @ApiModelProperty("当前任务受理时间")
    private String currentNodeTime;
    @ApiModelProperty("主机厂")
    private String carFactory;
    @ApiModelProperty("经销商信息")
    private String dealer;
    @ApiModelProperty("车型")
    private String model;
    @ApiModelProperty("区域")
    private String regionId;
    @ApiModelProperty("片区")
    private String area;
    @ApiModelProperty("省份")
    private String province;
    @ApiModelProperty("城市")
    private String city;
    @ApiModelProperty("地址")
    private String address;
    @ApiModelProperty("车主姓名")
    private String carOwnerName;
    @ApiModelProperty("车主电话")
    private String carOwnerTel;
    @ApiModelProperty("车辆底盘号")
    private String vin;
    @ApiModelProperty("墙盒套包类型")
    private String pilePackage;
    @ApiModelProperty("墙盒品牌")
    private String pileBrand;
    @ApiModelProperty("墙盒型号")
    private String itemModel;
    @ApiModelProperty("设备编号")
    private String pileSn;
    @ApiModelProperty("是否为售车前预勘测")
    private String beforeSaleTestFlag;
    @ApiModelProperty("安装服务商")
    private String installServiceCompany;
    @ApiModelProperty("电工")
    private String electronWorker;
    @ApiModelProperty("是否报装")
    private String submitInstallFlag;
    @ApiModelProperty("报装状态")
    private String submitInstallStatus;
    @ApiModelProperty("电缆长度")
    private String lineLength;
    @ApiModelProperty("室内/室外")
    private String outerInnerFlag;
    @ApiModelProperty("是否立柱")
    private String columnFlag;
    @ApiModelProperty("增项收款金额")
    private String additionalAmount;
    @ApiModelProperty("客户评分")
    private String customerRate;
    @ApiModelProperty("状态标签")
    private String statusLabel;
    @ApiModelProperty("备注")
    private String remarks;
    @ApiModelProperty("勘测审核不通过次数")
    private String countOfTestRefuse;
    @ApiModelProperty("安装审核不通过次数")
    private String countOfInstallRefuse;
    @ApiModelProperty("关闭订单原因")
    private String closeOrderReason;
}
