package com.starcharge.wios.controller;

import java.io.IOException;
import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ihidea.core.support.exception.ServiceException;
import com.starcharge.wios.dao.UploadFileDao;
import com.starcharge.wios.dao.entity.UploadFile;
import com.starcharge.wios.utils.AliUtil;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RestController
// @RequestMapping("api")
@Api(tags = {"文件"})
public class AliFileController {
    
    @Autowired
    AliUtil aliUtil;
    
    @Autowired
    private UploadFileDao uploadFileDao;
    
    /**
     * 下载数据
     *
     * @param fileName
     * @throws UnsupportedEncodingException
     */
    @GetMapping(value = "oss/download.do")
    @ApiOperation(value = "文件下载")
    @ApiImplicitParams({@ApiImplicitParam(name = "uploadFileId", value = "id", dataType = "int", paramType = "query", required = true),
    
    })
    public void download(HttpServletResponse response, HttpServletRequest request, Integer uploadFileId) throws Exception {
        if (uploadFileId == null) {
            throw new ServiceException("uplaodFileId不能为空");
        }
        UploadFile file = uploadFileDao.selectById(uploadFileId.intValue());
        if (file == null) {
            throw new ServiceException("文件不存在");
        }
        try {
            String url = file.getUrl();
            String[] urlArr = url.split("\\/");
            String ossFileName = urlArr[urlArr.length - 1];
            aliUtil.download(response, "ds_upload", file.getName(), "wios", ossFileName, request);
        } catch (IOException e) {
            throw new ServiceException(e.getMessage());
        }
    }
    
}
