package com.starcharge.wios.controller;

import com.ihidea.component.api.v2.BaseResponse;
import com.ihidea.core.support.session.SessionInfo;
import com.starcharge.wios.auth.service.TokenService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @projectName:wios
 * @packageName:com.starcharge.wios.controller
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/11/811:13
 */
@RestController
@RequestMapping("api/currentuser")
@Api(tags = "登录用户管理")
public class CurrentUserController {
    @Autowired
    private TokenService tokenService;

    @GetMapping("/info")
    @ApiOperation("当前登录人信息")
    public BaseResponse<SessionInfo> getUser(){
        SessionInfo sessionInfo = tokenService.getUser();
        return new BaseResponse<>(sessionInfo);
    }
}
