package com.starcharge.wios.controller;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.starcharge.wios.auth.dao.RoleMenuMapper;
import com.starcharge.wios.auth.dao.model.Menu;
import com.starcharge.wios.auth.dao.model.RoleMenu;
import com.starcharge.wios.auth.dao.model.RoleMenuCriteria;
import com.starcharge.wios.auth.daoex.MenuMapperEx;
import com.starcharge.wios.service.OemContractService;
import com.starcharge.wios.service.ScoreSupplierService;
import com.starcharge.wios.service.SettlementService;
import com.starcharge.wios.service.SupplierContractService;

import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("mts")
public class TestController {
    @Autowired
    private SettlementService settlementService;
    
    @Autowired
    private ScoreSupplierService scoreSupplierService;
    
    @Autowired
    private OemContractService oemContractService;
    
    @Autowired
    private SupplierContractService supplierContractService;
    
    @Autowired
    MenuMapperEx menuMapperEx;
    
    @Autowired
    RoleMenuMapper rmMapper;
    
    @GetMapping(value = "test1")
    @ApiOperation(value = "test1")
    public String test1(String startDate, String endDate) throws ParseException {
        if (StringUtils.isEmpty(startDate) || StringUtils.isEmpty(endDate)) {
            return "缺少参数";
        }
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Date start = sdf.parse(startDate);
        Date end = sdf.parse(endDate);
        settlementService.generateOemDetail(start, end);
        settlementService.generateSupplierDetail(start, end);
        return "success";
    }
    
    @GetMapping(value = "test2")
    @ApiOperation(value = "test2")
    public String test2(String startDate, String endDate) throws ParseException {
        if (StringUtils.isEmpty(startDate) || StringUtils.isEmpty(endDate)) {
            return "缺少参数";
        }
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Date start = sdf.parse(startDate);
        Date end = sdf.parse(endDate);
        settlementService.generateOemSettlement(start, end);
        settlementService.generateSupplierSettlement(start, end);
        return "success";
    }
    
    @GetMapping(value = "test3")
    @ApiOperation(value = "test3")
    public void test3() {
        scoreSupplierService.beginScoreSupplier();
    }
    
    @GetMapping(value = "test4")
    @ApiOperation(value = "test4")
    public void test4() {
        scoreSupplierService.endScoreSupplier();
    }
    
    @GetMapping(value = "test5")
    @ApiOperation(value = "test5")
    public void test5() throws ParseException {
        oemContractService.contractTiming();
        supplierContractService.contractTiming();
    }
    
    /**
     * 同步admin菜单
     *
     */
    @GetMapping(value = "synAdminMenu")
    @ApiOperation(value = "synAdminMenu")
    @Transactional(propagation = Propagation.REQUIRED, readOnly = false, rollbackFor = Exception.class)
    public void synAdminMenu() {
        List<Menu> menuList = menuMapperEx.findAll();
        RoleMenuCriteria example = new RoleMenuCriteria();
        example.createCriteria().andRoleIdEqualTo(1);
        rmMapper.deleteByExample(example);
        for (Menu m : menuList) {
            RoleMenu record = new RoleMenu();
            record.setMenuId(m.getId());
            record.setRoleId(1);
            rmMapper.insert(record);
        }
    }
}
