package com.starcharge.wios.convert;

import com.starcharge.wios.dao.entity.Delivery;
import com.starcharge.wios.vo.DeliveryAddVo;
import com.starcharge.wios.vo.DeliveryExcelVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.convert
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/818:17
 */
@Mapper
public interface DeliveryConvert {
    DeliveryConvert INSTANCE = Mappers.getMapper(DeliveryConvert.class);

    Delivery convertAddVo(DeliveryAddVo deliveryAddVo);

    List<DeliveryExcelVo> convertExcelVoList(List<Delivery> deliveries);

//    @Mappings({
//            @Mapping(target = "installOrder", expression = "java(excelRowData.get(0))"),
//            @Mapping(target = "productBatch", expression = "java(excelRowData.get(1))"),
//            @Mapping(target = "quantity", expression = "java(com.starcharge.wios.convert.DeliveryConvert.convertQuantity(excelRowData.get(2)))"),
//            @Mapping(target = "materialCategory", expression = "java(excelRowData.get(3))"),
//            @Mapping(target = "materialCode", expression = "java(excelRowData.get(4))"),
//            @Mapping(target = "materialName", expression = "java(excelRowData.get(5))"),
//            @Mapping(target = "materialCompany", expression = "java(excelRowData.get(6))"),
//            @Mapping(target = "logisticOrder", expression = "java(excelRowData.get(7))"),
//            @Mapping(target = "logisticCompany", expression = "java(excelRowData.get(8))"),
//            @Mapping(target = "logisticStatus", expression = "java(excelRowData.get(9))"),
//            @Mapping(target = "team", expression = "java(excelRowData.get(10))")
//    })
//    DeliveryAddVo convertImportAddVo(List<String> excelRowData);

    default DeliveryAddVo convertImportAddVo(List<String> excelRowData){
        DeliveryAddVo deliveryAddVo=new DeliveryAddVo();
        deliveryAddVo.setInstallOrder(excelRowData.get(0));
        deliveryAddVo.setProductBatch(excelRowData.get(1));
        try {
            deliveryAddVo.setQuantity(Integer.parseInt(excelRowData.get(2)));
        }catch (Exception e){
            deliveryAddVo.setQuantity(0);
        }
        deliveryAddVo.setMaterialCategory(excelRowData.get(3));
        deliveryAddVo.setMaterialCode(excelRowData.get(4));
        deliveryAddVo.setMaterialName(excelRowData.get(5));
        deliveryAddVo.setMaterialCompany(excelRowData.get(6));
        deliveryAddVo.setLogisticOrder(excelRowData.get(7));
        deliveryAddVo.setLogisticCompany(excelRowData.get(8));
        deliveryAddVo.setLogisticStatus(excelRowData.get(9));
        deliveryAddVo.setTeam(excelRowData.get(10));
        return deliveryAddVo;
    }
}
