package com.starcharge.wios.dao;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.bo.CamsAccountBo;
import com.starcharge.wios.dao.entity.CamsAccount;
import com.starcharge.wios.dao.mappers.CamsAccountMapper;
import com.starcharge.wios.vo.CamsAccountVo;

/**
 * cams账户
 * 
 * @author xgl
 * @version [版本号, 2020年9月25日]
 */
@Repository
public class CamsAccountDao {
    @Autowired
    private CamsAccountMapper camsAccountMapper;
    
    public int insert(CamsAccount camsAccount) {
        camsAccount.setCreateTime(new Date());
        camsAccount.setStatus(1);
        return camsAccountMapper.insert(camsAccount);
    }
    
    public CamsAccount selectById(int id) {
        return camsAccountMapper.selectById(id);
    }
    
    public int update(int id, CamsAccount camsAccount) {
        camsAccount.setId(id);
        camsAccount.setUpdateTime(new Date());
        return camsAccountMapper.updateDynamic(camsAccount);
    }
    
    public List<CamsAccountVo> selectByExample(CamsAccountBo condition) {
        return camsAccountMapper.selectByExample(condition);
    }

    public List<CamsAccount> selectByAccountIdAndDeptId(Integer accountId, Integer departmentId){
        return camsAccountMapper.selectByAccountIdAndDeptId(accountId, departmentId);
    }

}
