package com.starcharge.wios.dao;

import com.starcharge.wios.auth.service.TokenService;
import com.starcharge.wios.bo.OemBo;
import com.starcharge.wios.dao.entity.InfoConfig;
import com.starcharge.wios.dao.entity.Invoice;
import com.starcharge.wios.dao.entity.InvoiceCriteria;
import com.starcharge.wios.dao.entity.Oem;
import com.starcharge.wios.dao.mappers.InvoiceMapper;
import com.starcharge.wios.dao.mappers.OemMapper;
import com.starcharge.wios.vo.OemVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @Description 发票dao
 * @Param
 * @author liwenxiang
 * @date 2021/8/23 15:20
 * @return
 */
@Repository
public class InvoiceDao {
    
    @Autowired
    private InvoiceMapper invoiceMapper;

    public Invoice selectByPrimaryKey(String orderId){
        return invoiceMapper.selectByPrimaryKey(orderId);
    }

    public List<Invoice> getadditionalCostInvoiceList() {
        return  invoiceMapper.getadditionalCostInvoiceList();
    }

    public int insertSelective(Invoice invoice) {
        return invoiceMapper.insertSelective(invoice);
    }

    public int updateByPrimaryKeySelective(Invoice invoice) {
        return invoiceMapper.updateByPrimaryKeySelective(invoice);
    }

    public List<Invoice> selectByExample(InvoiceCriteria example) {
        return  invoiceMapper.selectByExample(example);
    }

    public int updateInstall(Invoice invoice) {
        Invoice param=new Invoice();
        param.setPackageInstallFeeWithTax(invoice.getPackageInstallFeeWithTax());
        param.setPackageInstallInvoiceDate(invoice.getPackageInstallInvoiceDate());
        param.setPackageInstallInvoiceStatus(invoice.getPackageInstallInvoiceStatus());
        param.setPackageInstallTax(invoice.getPackageInstallTax());
        param.setPackageInstallInvoiceNumber(invoice.getPackageInstallInvoiceNumber());
        param.setPackageInstallReceiveStatus(invoice.getPackageInstallReceiveStatus());
        param.setModifyTime(invoice.getModifyTime());
        param.setOrderId(invoice.getOrderId());
        param.setSubmitItem(invoice.getSubmitItem());
        return invoiceMapper.updateByPrimaryKeySelective(param);
    }

    public int updateDevice(Invoice invoice) {
        Invoice param=new Invoice();
        param.setPackageDeviceFeeWithTax(invoice.getPackageDeviceFeeWithTax());
        param.setPackageDeviceInvoiceDate(invoice.getPackageDeviceInvoiceDate());
        param.setPackageDeviceInvoiceStatus(invoice.getPackageDeviceInvoiceStatus());
        param.setPackageDeviceTax(invoice.getPackageDeviceTax());
        param.setPackageDeviceInvoiceNumber(invoice.getPackageDeviceInvoiceNumber());
        param.setPackageDeviceReceiveStatus(invoice.getPackageDeviceReceiveStatus());
        param.setModifyTime(invoice.getModifyTime());
        param.setOrderId(invoice.getOrderId());
        param.setSubmitItem(invoice.getSubmitItem());
        return invoiceMapper.updateByPrimaryKeySelective(param);
    }

    public int updateSupplier(Invoice invoice) {
        Invoice param=new Invoice();
        param.setSupplierInvoiceDate(invoice.getSupplierInvoiceDate());
        param.setSupplierInvoiceNumber(invoice.getSupplierInvoiceNumber());
        param.setSupplierTax(invoice.getSupplierTax());
        param.setSupplierPayStatus(invoice.getSupplierPayStatus());
        param.setSupplierReceiveInvoiceStatus(invoice.getSupplierReceiveInvoiceStatus());
        param.setSupplierFeeWithTax(invoice.getSupplierFeeWithTax());
        param.setModifyTime(invoice.getModifyTime());
        param.setOrderId(invoice.getOrderId());
        return invoiceMapper.updateByPrimaryKeySelective(param);
    }
}
