package com.starcharge.wios.dao;

import java.util.Date;
import java.util.List;

import com.ihidea.core.support.exception.ServiceException;
import com.ihidea.core.support.session.SessionInfo;
import com.starcharge.wios.auth.service.TokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.bo.MaterialConfigBo;
import com.starcharge.wios.dao.entity.MaterialConfig;
import com.starcharge.wios.dao.mappers.MaterialConfigMapper;
import com.starcharge.wios.vo.MaterialConfigVo;

@Repository
public class MaterialConfigDao {
    
    @Autowired
    private MaterialConfigMapper materialConfigDao;

    @Autowired
    private TokenService tokenService;
    
    public int insert(MaterialConfig materialConfig) {

        SessionInfo user = tokenService.getUser();
        if (user != null){
            materialConfig.setCreateAccount(user.getUserId());
            materialConfig.setUpdateAccount(user.getUserId());
        }else{
            materialConfig.setCreateAccount("1");
            materialConfig.setUpdateAccount("1");
            //throw new ServiceException("用户信息未获取");
        }
        Date date = new Date();
        materialConfig.setCreateTime(date);
        materialConfig.setUpdateTime(date);
        materialConfig.setStatus(1);
        return materialConfigDao.insert(materialConfig);
    }
    
    public int update(int id, MaterialConfig materialConfig) {
        materialConfig.setId(id);

        SessionInfo user = tokenService.getUser();
        if (user != null){
            materialConfig.setUpdateAccount(user.getUserId());
        }else{
            materialConfig.setUpdateAccount("2");
            //throw new ServiceException("用户信息未获取");
        }
        Date date = new Date();
        materialConfig.setUpdateTime(date);
        return materialConfigDao.updateDynamic(materialConfig);
    }
    
    public List<MaterialConfigVo> selectByExample(MaterialConfigBo condition) {
        return materialConfigDao.selectByExample(condition);
    }

    public MaterialConfigVo selectById(MaterialConfigBo condition) {
        return materialConfigDao.selectById(condition.getId());
    }
}
