package com.starcharge.wios.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.OemContractItem;
import com.starcharge.wios.dao.mappers.OemContractItemMapper;
import com.starcharge.wios.vo.OemContractItemVo;

/**
 * 主机厂合同条款
 * 
 * @author xgl
 * @version [版本号, 2020年9月16日]
 */
@Repository
public class OemContractItemDao {
    @Autowired
    private OemContractItemMapper oemContractItemMapper;
    
    public OemContractItem selectById(int id) {
        return oemContractItemMapper.selectById(id);
    }
    
    public List<OemContractItemVo> selectByContractId(int contractId) {
        return oemContractItemMapper.selectByContractId(contractId);
    }
    
    public List<OemContractItemVo> selectByContractIdAndItemId(int contractId, String itemId) {
        return oemContractItemMapper.selectByContractIdAndItemId(contractId, itemId);
    }
    
    public List<OemContractItem> selectByItemId(String itemId) {
        return oemContractItemMapper.selectByItemId(itemId);
    }
    
    public List<OemContractItem> selectPureByContractId(int contractId) {
        return oemContractItemMapper.selectPureByContractId(contractId);
    }
    
    /**
     * 批量添加
     *
     * @param list
     * @return
     */
    public int batchInsert(List<OemContractItem> list) {
        return oemContractItemMapper.batchInsert(list);
    }
    
    public int deleteByContractId(int contractId) {
        return oemContractItemMapper.deleteByContractId(contractId);
    }
}
