package com.starcharge.wios.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.OemContractPrice;
import com.starcharge.wios.dao.mappers.OemContractPriceMapper;
import com.starcharge.wios.vo.OemContractPriceVo;

/**
 * 主机厂合同价格dao
 * 
 * @author xgl
 * @version [版本号, 2020年9月16日]
 */
@Repository
public class OemContractPriceDao {
    @Autowired
    private OemContractPriceMapper oemContractPriceMapper;
    
    public OemContractPrice selectById(int id) {
        return oemContractPriceMapper.selectById(id);
    }
    
    public List<OemContractPriceVo> selectByContractId(int contractId) {
        return oemContractPriceMapper.selectByCId(contractId);
    }
    
    public List<OemContractPrice> selectPureByContractId(int contractId) {
        return oemContractPriceMapper.selectPureByContractId(contractId);
    }
    
    /**
     * 批量添加
     *
     * @param list
     * @return
     */
    public int batchInsert(List<OemContractPrice> list) {
        return oemContractPriceMapper.batchInsert(list);
    }
    
    public int deleteByContractId(int contractId) {
        return oemContractPriceMapper.deleteByContractId(contractId);
    }
}
