package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.OrderInstallItem;
import com.starcharge.wios.dao.mappers.OrderInstallItemMapper;
import com.starcharge.wios.vo.OrderInstallItemVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * 安装订单增项dao
 * 
 * @author xgl
 * @version [版本号, 2020年11月2日]
 */
@Repository
public class OrderInstallItemDao {
    @Autowired
    private OrderInstallItemMapper orderInstallItemMapper;
    
    public OrderInstallItem selectById(int id) {
        return orderInstallItemMapper.selectById(id);
    }
    
    public int insert(OrderInstallItem item) {
        item.setCreateTime(new Date());
        return orderInstallItemMapper.insert(item);
    }
    
    public int batchInsert(List<OrderInstallItem> list) {
        list.stream().forEach(item -> {
            item.setCreateTime(new Date());
        });
        return orderInstallItemMapper.batchInsert(list);
    }
    
    public int delete(String orderId, Integer type) {
        return orderInstallItemMapper.deleteByOrderId(orderId, type);
    }
    
    public List<OrderInstallItemVo> selectByOrderIdAndType(String orderId, Integer type) {
        List<OrderInstallItemVo> list = orderInstallItemMapper.selectByOrderIdAndType(orderId, type);
        // list.forEach(item -> {
        // if (item.getFee() != null && item.getQunatity() != null) {
        // item.setPrice(item.getFee().divide(item.getQunatity()));
        // }
        // });
        return list;
    }

    public List<OrderInstallItem> selectByOrderId(String orderId) {
        return orderInstallItemMapper.selectByOrderId(orderId);
    }

    public void deleteById(Integer id) {
        orderInstallItemMapper.delete(id);
    }
}
