package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.OrderSurvey;
import com.starcharge.wios.dao.mappers.OrderSurveyMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * 勘察订单dao
 * 
 * @author xgl
 * @version [版本号, 2020年9月24日]
 */
@Repository
public class OrderSurveyDao {
    @Autowired
    private OrderSurveyMapper orderSurveyMapper;
    
    public OrderSurvey selectById(int id) {
        return orderSurveyMapper.selectById(id);
    }
    
    public OrderSurvey selectByOrderId(String orderId, Integer type) {
        return orderSurveyMapper.selectByOrderId(orderId, type);
    }
    
    public int insert(OrderSurvey orderSurvey) {
        orderSurvey.setCreateTime(new Date());
        return orderSurveyMapper.insert(orderSurvey);
    }
    
    public int update(int id, OrderSurvey orderSurvey) {
        orderSurvey.setId(id);
        orderSurvey.setModifyTime(new Date());
        return orderSurveyMapper.updateDynamic(orderSurvey);
    }

    public List<OrderSurvey> selectListByOrderId(String orderId) {
        return orderSurveyMapper.selectListByOrderId(orderId);
    }

    public void deleteById(Integer id) {
        orderSurveyMapper.delete(id);
    }
}
