package com.starcharge.wios.dao;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.ihidea.core.support.session.SessionInfo;
import com.starcharge.wios.auth.service.TokenService;
import com.starcharge.wios.dao.entity.ScoreConfig;
import com.starcharge.wios.dao.mappers.ScoreConfigMapper;

@Repository
public class ScoreConfigDao {
    @Autowired
    private ScoreConfigMapper scoreConfigMapper;

    @Autowired
    TokenService tokenService;
    
    public int insert(ScoreConfig scoreConfig) {
        scoreConfig.setCreateAccount(this.getUserId());
        scoreConfig.setCreateTime(new Date());
        scoreConfig.setModifyAccount(this.getUserId());
        scoreConfig.setModifyTime(new Date());
        scoreConfig.setStatus(1L);
        return scoreConfigMapper.insert(scoreConfig);
    }

    public int update( ScoreConfig scoreConfig) {
        scoreConfig.setModifyAccount(this.getUserId());
        scoreConfig.setModifyTime(new Date());
        return scoreConfigMapper.update(scoreConfig);
    }

    public ScoreConfig selectById(Integer id) {
        return scoreConfigMapper.selectById(id);
    }
    
    public List<ScoreConfig> getListByType(String type) {
        return scoreConfigMapper.getListByType(type);
    }

    public String getUserId(){
        SessionInfo user = tokenService.getUser();
        if(user != null){
            return user.getUserId();
        }else{
            return "1";
            //throw new ServiceException("无效的用户，请登录!");
        }
    }
    public ScoreConfig selectByCode(String code) {
        return scoreConfigMapper.selectByCode(code);
    }

    public List<ScoreConfig> selectByPCode(String parentCode) {
        return scoreConfigMapper.selectByPCode(parentCode);
    }
}
