package com.starcharge.wios.dao;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.SecretPhone;
import com.starcharge.wios.dao.mappers.SecretPhoneMapper;

@Repository
public class SecretPhoneDao {
    @Autowired
    private SecretPhoneMapper secretPhoneMapper;
    
    public int insert(SecretPhone secretPhone) {
        secretPhone.setCreateTime(new Date());
        secretPhone.setStatus(1);
        return secretPhoneMapper.insert(secretPhone);
    }
    
    public int delete(String phone) {
        return secretPhoneMapper.delete(phone);
    }
    
    public int updateDynamic(SecretPhone secretPhone) {
        secretPhone.setUpdateTime(new Date());
        return secretPhoneMapper.updateDynamic(secretPhone);
    }
    
    public List<SecretPhone> selectByExample(SecretPhone condition) {
        return secretPhoneMapper.selectByExample(condition);
    }
    
    public List<SecretPhone> selectExpired() {
        return secretPhoneMapper.selectExpired();
    }
    
    public SecretPhone selectByPhone(String phone) {
        return secretPhoneMapper.selectByPhone(phone);
    }
}
