package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.Settlement;
import com.starcharge.wios.dao.mappers.SettlementMapper;
import com.starcharge.wios.vo.SettlementVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * 结算单dao
 * 
 * @author xgl
 * @version [版本号, 2020年9月24日]
 */
@Repository
public class SettlementDao {
    @Autowired
    private SettlementMapper settlementMapper;

    public List<Settlement> getSettlementByCondition(String startDate, String endDate, List<String> oemIdList, int type) {
        return settlementMapper.getSettlementByCondition(startDate,endDate,oemIdList,type);
    }

    public int insert(Settlement settlement) {
        settlement.setCreateTime(new Date());
        settlement.setStatus(1);
        return settlementMapper.insert(settlement);
    }
    
    public int update(int id, Settlement settlement) {
        settlement.setId(id);
        settlement.setUpdateTime(new Date());
        return settlementMapper.updateDynamic(settlement);
    }
    
    public Settlement selectBySettlementId(String settlementId) {
        return settlementMapper.selectBySettlementId(settlementId);
    }
    
    public List<SettlementVo> selectByExample(Settlement condition) {
        return settlementMapper.selectByExample(condition);
    }
}
