package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.SettlementDetail;
import com.starcharge.wios.dao.mappers.SettlementDetailMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public class SettlementDetailDao {
    @Autowired
    private SettlementDetailMapper settlementDetailMapper;
    
    public int insert(SettlementDetail settlementDetail) {
        settlementDetail.setCreateTime(new Date());
        return settlementDetailMapper.insert(settlementDetail);
    }
    
    public List<SettlementDetail> selectByOemId(int oemId, String installFinishStartTime, String installFinishEndTime) {
        return settlementDetailMapper.selectByOemId(oemId, installFinishStartTime, installFinishEndTime);
    }
    
    public List<SettlementDetail> selectBySettlementId(String settlementId) {
        return settlementDetailMapper.selectBySettlementId(settlementId);
    }
    
    public int batchUpdateSettlementId(List<Integer> idList, String settlementId) {
        return settlementDetailMapper.batchUpdateSettlementId(idList, settlementId);
    }

    public void deleteByOrderId(String orderId) {
        settlementDetailMapper.deleteByOrderId(orderId);
    }
}
