package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.SettlementDetailSupplier;
import com.starcharge.wios.dao.mappers.SettlementDetailSupplierMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public class SettlementDetailSupplierDao {
    @Autowired
    private SettlementDetailSupplierMapper sdsMapper;
    
    public int insert(SettlementDetailSupplier sds) {
        sds.setCreateTime(new Date());
        return sdsMapper.insert(sds);
    }
    
    public List<SettlementDetailSupplier> selectBySupplierId(int supplierId, String finishStartTime, String finishEndTime) {
        return sdsMapper.selectBySupplierId(supplierId, finishStartTime, finishEndTime);
    }
    
    public List<SettlementDetailSupplier> selectBySettlementId(String settlementId) {
        return sdsMapper.selectBySettlementId(settlementId);
    }
    
    public int batchUpdateSettlementId(List<Integer> idList, String settlementId) {
        return sdsMapper.batchUpdateSettlementId(idList, settlementId);
    }

    public void deleteByOrderId(String orderId) {
        sdsMapper.deleteByOrderId(orderId);
    }
}
