package com.starcharge.wios.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.SupplierContractItem;
import com.starcharge.wios.dao.mappers.SupplierContractItemMapper;
import com.starcharge.wios.vo.SupplierContractItemVo;

/**
 * 服务商合同条款
 * 
 * @author xgl
 * @version [版本号, 2020年9月18日]
 */
@Repository
public class SupplierContractItemDao {
    @Autowired
    private SupplierContractItemMapper itemMapper;
    
    public SupplierContractItem selectById(int id) {
        return itemMapper.selectById(id);
    }
    
    public List<SupplierContractItemVo> selectByContractId(Integer contractId) {
        return itemMapper.selectByContractId(contractId);
    }
    
    public List<SupplierContractItem> selectPureByContractId(int contractId) {
        return itemMapper.selectPureByContractId(contractId);
    }
    
    public List<SupplierContractItem> selectByItemId(String itemId) {
        return itemMapper.selectByItemId(itemId);
    }
    
    public int batchInsert(List<SupplierContractItem> list) {
        return itemMapper.batchInsert(list);
    }
    
    public int deleteByContractId(int contractId) {
        return itemMapper.deleteByContractId(contractId);
    }
}
