package com.starcharge.wios.dao;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.SupplierContractPackPrice;
import com.starcharge.wios.dao.mappers.SupplierContractPackPriceMapper;
import com.starcharge.wios.vo.SupplierContractPackPriceVo;

@Repository
public class SupplierContractPackPriceDao {
    @Autowired
    private SupplierContractPackPriceMapper packPriceMapper;
    
    public int insert(SupplierContractPackPrice packPrice) {
        packPrice.setCreateTime(new Date());
        return packPriceMapper.insert(packPrice);
    }
    
    public List<SupplierContractPackPriceVo> selectByContractId(Integer contractId) {
        return packPriceMapper.selectByContractId(contractId);
    }
    
    public List<SupplierContractPackPrice> selectPureByContractId(int contractId) {
        return packPriceMapper.selectPureByContractId(contractId);
    }
    
    public int batchInsert(List<SupplierContractPackPrice> packPrices) {
        return packPriceMapper.batchInsert(packPrices);
    }
    
    public int deleteByContractId(int contractId) {
        return packPriceMapper.deleteByContractId(contractId);
    }
}
