package com.starcharge.wios.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.SupplierContractPrice;
import com.starcharge.wios.dao.mappers.SupplierContractPriceMapper;
import com.starcharge.wios.vo.SupplierContractPriceVo;

/**
 * 服务商合同价格
 * 
 * @author xgl
 * @version [版本号, 2020年9月16日]
 */
@Repository
public class SupplierContractPriceDao {
    @Autowired
    private SupplierContractPriceMapper supplierContractPriceMapper;
    
    public SupplierContractPrice selectById(int id) {
        return supplierContractPriceMapper.selectById(id);
    }
    
    public List<SupplierContractPriceVo> selectByContractId(Integer contractId) {
        return supplierContractPriceMapper.selectByContractId(contractId);
    }
    
    public List<SupplierContractPrice> selectPureByContractId(int contractId) {
        return supplierContractPriceMapper.selectPureByContractId(contractId);
    }
    
    public int batchInsert(List<SupplierContractPrice> list) {
        return supplierContractPriceMapper.batchInsert(list);
    }
    
    public int deleteByContractId(int contractId) {
        return supplierContractPriceMapper.deleteByContractId(contractId);
    }
}
