package com.starcharge.wios.dao;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.bo.SupplierStaffBo;
import com.starcharge.wios.dao.entity.SupplierStaff;
import com.starcharge.wios.dao.mappers.SupplierStaffMapper;
import com.starcharge.wios.vo.SupplierStaffVo;

/**
 * 服务商员工
 * 
 * @author xgl
 * @version [版本号, 2020年9月16日]
 */
@Repository
public class SupplierStaffDao {
    
    @Autowired
    private SupplierStaffMapper supplierStaffMapper;
    
    public SupplierStaff selectById(int id) {
        return supplierStaffMapper.selectById(id);
    }
    
    public int insert(SupplierStaff staff) {
        staff.setCreateTime(new Date());
        staff.setStatus(1);
        return supplierStaffMapper.insert(staff);
    }
    
    public List<SupplierStaffVo> selectByExample(SupplierStaffBo condition) {
        return supplierStaffMapper.selectByExample(condition);
    }
    
    public int update(int id, SupplierStaff staff) {
        staff.setId(id);
        staff.setModifyTime(new Date());
        return supplierStaffMapper.updateDynamic(staff);
    }

    public List<SupplierStaff> selectByAccountId(Integer accountId){
        return supplierStaffMapper.selectByAccountId(accountId);
    }
}
