package com.starcharge.wios.dao;

import com.ihidea.core.support.session.SessionInfo;
import com.starcharge.wios.auth.service.TokenService;
import com.starcharge.wios.dao.entity.SystemInfo;
import com.starcharge.wios.dao.mappers.SystemInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * 系统消息dao
 * 
 * @author xgl
 * @version [版本号, 2020年10月15日]
 */
@Repository
public class SystemInfoDao {
    @Autowired
    private SystemInfoMapper systemInfoMapper;
    
    @Autowired
    private TokenService tokenService;
    
    public int insert(SystemInfo systemInfo) {
        systemInfo.setCreateTime(new Date());
        systemInfo.setStatus(0);
        return systemInfoMapper.insert(systemInfo);
    }
    
    public int insertForOrder(String title, int accountId, String orderId, Integer type) {
        SystemInfo systemInfo = new SystemInfo();
        systemInfo.setTitle(title);
        systemInfo.setThirdPartyId(orderId);
        systemInfo.setAccountId(accountId);
        systemInfo.setType(type);
        return insert(systemInfo);
    }

    public int insertForOrder(String title, int accountId, String orderId, Integer type,Integer status,Integer overtimeFlag) {
        SystemInfo systemInfo = new SystemInfo();
        systemInfo.setTitle(title);
        systemInfo.setThirdPartyId(orderId);
        systemInfo.setAccountId(accountId);
        systemInfo.setType(type);
        systemInfo.setOrderStatus(status);
        systemInfo.setOvertimeFlag(overtimeFlag);
        return insert(systemInfo);
    }
    
    public int updateStatus(int id, int status) {
        SystemInfo systemInfo = new SystemInfo();
        systemInfo.setId(id);
        systemInfo.setStatus(status);
        systemInfo.setUpdateTime(new Date());
        return systemInfoMapper.updateDynamic(systemInfo);
    }
    
    public List<SystemInfo> selectByExample(SystemInfo condition) {
        if (tokenService.getUser() != null) {
            condition.setAccountId(Integer.valueOf(tokenService.getUser().getUserId()));
        }
        return systemInfoMapper.selectByExample(condition);
    }
    
    public int selectUnreadQuantity() {
        SessionInfo user = tokenService.getUser();
        if (user == null)
            return 0;
        return systemInfoMapper.selectUnreadQuantity(Integer.valueOf(user.getUserId()));
    }

    public List<SystemInfo> getOrderInOverTime() {
        return systemInfoMapper.getOrderInOverTime();
    }

    public List<SystemInfo> selectListByOrderId(String orderId) {
        return systemInfoMapper.selectListByOrderId(orderId);
    }

    public void deleteByOrderId(String orderId) {
        systemInfoMapper.deleteByOrderId(orderId);
    }
}
