package com.starcharge.wios.dao;

        import java.text.SimpleDateFormat;
        import java.util.ArrayList;
        import java.util.Arrays;
        import java.util.Date;
        import java.util.List;

        import com.ihidea.core.support.exception.ServiceException;
        import com.ihidea.core.support.session.SessionInfo;
        import com.ihidea.core.util.StringUtilsEx;
        import org.springframework.beans.factory.annotation.Autowired;
        import org.springframework.stereotype.Repository;


        import com.starcharge.wios.auth.service.TokenService;
        import com.starcharge.wios.dao.entity.SystemNotice;
        import com.starcharge.wios.dao.mappers.SystemNoticeMapper;

        import com.starcharge.wios.bo.SystemNoticeBo;
        import com.starcharge.wios.vo.SystemNoticeVo;
        import org.springframework.web.util.HtmlUtils;

/**
 * 公告dao
 *
 * @author wty
 * @version [版本号, 2020年10月21日]
 */
@Repository
public class SystemNoticeDao {
    @Autowired
    private SystemNoticeMapper systemNoticeMapper;

    @Autowired
    private TokenService tokenService;

    public SystemNotice selectById(String id) {
        return systemNoticeMapper.selectById(id);
    }

    public void insert(SystemNotice systemNotice) {
        if (systemNotice.getStatus().equals(1)){
            systemNotice.setPublishTime(new Date());
        }
        SessionInfo user = tokenService.getUser();
        if (user != null){
            systemNotice.setCreateAccount(user.getUserId());
            systemNotice.setModifyAccount(user.getUserId());
        }else{
            throw new ServiceException("用户信息未获取");
        }
        Date date = new Date();
        systemNotice.setCreateTime(date);
        systemNotice.setModifyTime(date);
        systemNoticeMapper.insert(systemNotice);
    }

    public List<SystemNoticeVo> getList(SystemNoticeBo condition) {

        return (systemNoticeMapper.getList(condition));

    }

    public SystemNoticeVo getDetail(SystemNoticeBo condition) {
        SystemNoticeVo  systemNoticeVo = systemNoticeMapper.getDetail(condition);
        if (systemNoticeVo.getContent() != null ){
            systemNoticeVo.setContent(HtmlUtils.htmlUnescape(systemNoticeVo.getContent()));
        }
        return (systemNoticeVo);
    }
    public void updateNotice(SystemNoticeBo systemNotice) {
        //发布状态则更新发布时间
        if(systemNotice.getStatus().equals(1)){
            systemNotice.setPublishTime(new Date());
        }
        systemNoticeMapper.updateNotice(systemNotice);

    }
}
