package com.starcharge.wios.dao.entity;

import com.starcharge.wios.validation.CreateEntityGroup;
import com.starcharge.wios.validation.UpdateEntityGroup;
import com.starcharge.wios.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
*@description:: $discription$
*@author:luyc
*@time:2023-10-08 18:07:04 下午
 */
@Data
@ApiModel(value="Delivery", description="发货单")
public class Delivery extends PageVo implements Serializable {
    /**
     * id
     *
     * @mbg.generated
     */
    @ApiModelProperty(required = true,value = "id")
    @NotNull(groups = UpdateEntityGroup.class )
    @Min(value = 1,groups = UpdateEntityGroup.class)
    private Integer id;

    /**
     * 发货单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "发货单号")
    private String deliveryOrder;

    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 产品批次
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "产品批次")
    private String productBatch;

    /**
     * 发货数量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "发货数量")
    private Integer quantity;

    /**
     * 物料类别
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料类别")
    private String materialCategory;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    /**
     * 物料厂商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料厂商")
    private String materialCompany;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 物流服务商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流服务商")
    private String logisticCompany;

    /**
     * 物流状态  未发货  已发货
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流状态  未发货  已发货")
    private String logisticStatus;
    /**
     * 申请团队
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请团队")
    private String team;
    /**
     * 是否产品或辅料
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "是否产品或辅料 1 是 0 否")
    @NotNull(groups = CreateEntityGroup.class)
    @Range(min=0,max = 1,message = "是否产品或辅料只可填0或1",groups = UpdateEntityGroup.class)
    private Integer isproduct;
    /**
     * 创建人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updatedTime;

    private static final long serialVersionUID = 1L;


}