package com.starcharge.wios.dao.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class Department {

    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = true)
    private String name;
    
    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    private Integer regionId;
    
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    
    /**
     * 上级部门id
     */
    @ApiModelProperty(value = "上级部门id", required = true)
    private Integer parentId;
    
    /**
     * 部门id层级
     */
    @ApiModelProperty(hidden = true)
    private String idTree;
    
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    
    /**
     * 状态 1：正常 2：删除
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;
    
    /**
     * 创建账户
     */
    @ApiModelProperty(hidden = true)
    private Integer createAccount;
    
    /**
     * 更新账户
     */
    @ApiModelProperty(hidden = true)
    private Integer updateAccount;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public Integer getRegionId() {
        return regionId;
    }
    
    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }
    
    public String getAddress() {
        return address;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public Integer getParentId() {
        return parentId;
    }
    
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
    
    public String getIdTree() {
        return idTree;
    }
    
    public void setIdTree(String idTree) {
        this.idTree = idTree;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
    public Integer getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(Integer createAccount) {
        this.createAccount = createAccount;
    }
    
    public Integer getUpdateAccount() {
        return updateAccount;
    }
    
    public void setUpdateAccount(Integer updateAccount) {
        this.updateAccount = updateAccount;
    }
}