package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OemContract {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 合同编号
     */
    @ApiModelProperty(value = "合同编号")
    private String code;
    
    /**
     * 主机厂/4s店
     */
    @ApiModelProperty(value = "主机厂/4s店id")
    private String oemId;
    
    /**
     * 设备结算方
     */
    @ApiModelProperty(value = "设备结算方")
    private String deviceSettlementId;
    
    /**
     * 安装服务结算方
     */
    @ApiModelProperty(value = "安装服务结算方")
    private String installSettlementId;
    
    /**
     * 区域编号
     */
    @ApiModelProperty(value = "区域编号")
    private String regionId;
    
    /**
     * 合同开始时间
     */
    @ApiModelProperty(hidden = true)
    private Date startTime;
    
    /**
     * 合同结束时间
     */
    @ApiModelProperty(hidden = true)
    private Date endTime;
    
    /**
     * 销售员
     */
    @ApiModelProperty(value = "销售员")
    private String saleAccount;
    
    /**
     * 结算周期（月）
     */
    @ApiModelProperty(hidden = true)
    private Integer settleInterval;
    
    /**
     * 业务类型 1-安装
     */
    @ApiModelProperty(hidden = true)
    private Integer businessType;
    
    /**
     * 标准米数
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal standardLength;
    
    /**
     * 税率（%）
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal taxRate;
    
    /**
     * 质保期（月）
     */
    @ApiModelProperty(value = "质保期（月）")
    private Integer guaranteePeriod;
    
    /**
     * 状态 0-拟定 9-生效
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 附件，多个用逗号隔开
     */
    @ApiModelProperty(value = "附件，多个用逗号隔开")
    private String fileId;
    
    /**
     * 是否使用cams设备
     */
    @ApiModelProperty(hidden = true)
    private Integer camsDeviceEnable;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getOemId() {
        return oemId;
    }
    
    public void setOemId(String oemId) {
        this.oemId = oemId;
    }
    
    public String getRegionId() {
        return regionId;
    }
    
    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }
    
    public Date getStartTime() {
        return startTime;
    }
    
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
    
    public Date getEndTime() {
        return endTime;
    }
    
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
    
    public String getSaleAccount() {
        return saleAccount;
    }
    
    public void setSaleAccount(String saleAccount) {
        this.saleAccount = saleAccount;
    }
    
    public Integer getSettleInterval() {
        return settleInterval;
    }
    
    public void setSettleInterval(Integer settleInterval) {
        this.settleInterval = settleInterval;
    }
    
    public Integer getBusinessType() {
        return businessType;
    }
    
    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }
    
    public BigDecimal getStandardLength() {
        return standardLength;
    }
    
    public void setStandardLength(BigDecimal standardLength) {
        this.standardLength = standardLength;
    }
    
    public BigDecimal getTaxRate() {
        return taxRate;
    }
    
    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }
    
    public Integer getGuaranteePeriod() {
        return guaranteePeriod;
    }
    
    public void setGuaranteePeriod(Integer guaranteePeriod) {
        this.guaranteePeriod = guaranteePeriod;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getFileId() {
        return fileId;
    }
    
    public void setFileId(String fileId) {
        this.fileId = fileId;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
    
    public String getDeviceSettlementId() {
        return deviceSettlementId;
    }
    
    public String getInstallSettlementId() {
        return installSettlementId;
    }
    
    public void setDeviceSettlementId(String deviceSettlementId) {
        this.deviceSettlementId = deviceSettlementId;
    }
    
    public void setInstallSettlementId(String installSettlementId) {
        this.installSettlementId = installSettlementId;
    }
    
    public Integer getCamsDeviceEnable() {
        return camsDeviceEnable;
    }
    
    public void setCamsDeviceEnable(Integer camsDeviceEnable) {
        this.camsDeviceEnable = camsDeviceEnable;
    }
}