package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OemContractItem {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 合同id
     */
    @ApiModelProperty(value = "合同id")
    private String contractId;
    
    /**
     * 物料/增项编号
     */
    @ApiModelProperty(value = "物料/增项编号")
    private String itemId;
    
    /**
     * 类型 1-充电桩 2-辅料 3-增项
     */
    @ApiModelProperty(value = "类型 1-充电桩 2-辅料 3-增项")
    private String type;
    
    /**
     * 单价（不含税）
     */
    @ApiModelProperty(value = "单价（不含税）")
    private BigDecimal price;
    
    /**
     * 税率（%）
     */
    @ApiModelProperty(value = "税率（%）")
    private BigDecimal taxRate;
    
    /**
     * 单价（含税）
     */
    @ApiModelProperty(value = "单价（含税）")
    private BigDecimal ratePrice;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getContractId() {
        return contractId;
    }
    
    public void setContractId(String contractId) {
        this.contractId = contractId;
    }
    
    public String getItemId() {
        return itemId;
    }
    
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }
    
    public String getType() {
        return type;
    }
    
    public void setType(String type) {
        this.type = type;
    }
    
    public BigDecimal getPrice() {
        return price;
    }
    
    public void setPrice(BigDecimal price) {
        this.price = price;
    }
    
    public BigDecimal getTaxRate() {
        return taxRate;
    }
    
    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }
    
    public BigDecimal getRatePrice() {
        return ratePrice;
    }
    
    public void setRatePrice(BigDecimal ratePrice) {
        this.ratePrice = ratePrice;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}