package com.starcharge.wios.dao.entity;

import cn.hutool.core.util.StrUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class Order {
    /**
     * 订单编号
     */
    @ApiModelProperty(hidden = true)
    private String id;
    
    /**
     * 主机厂id
     */
    @ApiModelProperty(value = "主机厂id", required = true)
    private Integer oemId;
    
    /**
     * 经销商id
     */
    @ApiModelProperty(value = "经销商id")
    private Integer oemAgentId;
    
    @ApiModelProperty(value = "经销商信息")
    private String oemAgentInfo;
    
    @ApiModelProperty(value = "经销商联系人")
    private String oemAgentContactName;
    
    @ApiModelProperty(value = "经销商联系方式")
    private String oemAgentContactPhone;
    
    /**
     * 安装单号
     */
    @ApiModelProperty(value = "安装单号", required = true)
    private String outOrderId;
    
    /**
     * 合同编号
     */
    @ApiModelProperty(hidden = true)
    private Integer contractId;
    
    /**
     * 服务商合同id
     */
    @ApiModelProperty(hidden = true)
    private Integer supplierContractId;
    
    /**
     * 车主姓名
     */
    @ApiModelProperty(value = "车主姓名", required = true)
    private String userName;
    
    /**
     * 车主电话
     */
    @ApiModelProperty(value = "车主电话", required = true)
    private String userPhone;
    
    /**
     * 车主性别 0-女 1-男 2-未知
     */
    @ApiModelProperty(value = "车主性别 0-女 1-男 2-未知")
    private Integer userSex;
    
    /**
     * 联系人姓名
     */
    @ApiModelProperty(hidden = true)
    private String contactName;
    
    /**
     * 联系电话
     */
    @ApiModelProperty(hidden = true)
    private String contactPhone;
    
    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id", required = true)
    private String regionId;
    
    /**
     * 仓库id
     */
    @ApiModelProperty(hidden = true)
    private String warehouseId;
    
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    
    /**
     * 车型号
     */
    @ApiModelProperty(value = "车型")
    private String vehicleModel;
    
    /**
     * 车辆底盘号
     */
    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNo;
    
    /**
     * 车辆识别号
     */
    @ApiModelProperty(value = "车辆识别号")
    private String vehicleVin;
    
    /**
     * 车位号
     */
    @ApiModelProperty(value = "车位号")
    private String vehicleParkingNo;
    
    /**
     * 车位状态
     */
    @ApiModelProperty(value = "车位状态")
    private String vehicleParkingStatus;
    
    /**
     * 是否为售车前预勘测 0:否 1：是
     */
    @ApiModelProperty(value = "是否为售车前预勘测 0:否 1：是")
    private Integer surveyBeforeSaleEnable;
    
    /**
     * 是否需要人工派单 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要人工派单 0：否 1：是")
    private Integer manuDispatchEnable;
    
    /**
     * 墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号")
    private String wallboxModel;

    /**
     * 墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号")
    private String itemModel;

    /**
     *勘测墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（勘测）")
    private String surveyWallboxModel;
    /**
     *勘测墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号（勘测）")
    private String surveyItemModel;

    /**
     *安装墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（安装）")
    private String installWallboxModel;

    /**
     *安装墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号（安装）")
    private String installItemModel;

    /**
     * 订单状态
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 类型 1：普通订单 2：移桩订单
     */
    @ApiModelProperty(value = "类型 1：普通订单 2：移桩订单")
    private Integer type;
    
    /**
     * 报装状态 1：通过 2：不通过
     */
    @ApiModelProperty(hidden = true)
    private Integer expandStatus;
    
    /**
     * 报装不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String expandFailReason;

    /**
     * 报装不通过后订单后续操作
     */
    @ApiModelProperty(hidden = true)
    private Integer expandFailOperate;
    
    /**
     * 报装备注
     */
    @ApiModelProperty(value = "报装备注")
    private String expandRemark;
    
    /**
     * 勘察员工编号
     */
    @ApiModelProperty(hidden = true)
    private Integer surveyStaffId;
    
    /**
     * 勘察完成时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyFinishTime;
    
    /**
     * 预约勘察时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyReserveTime;
    
    /**
     * 勘察客户姓名
     */
    @ApiModelProperty(hidden = true)
    private String surveyClientName;
    
    /**
     * 勘察客户手机号
     */
    @ApiModelProperty(hidden = true)
    private String surveyClientPhone;
    
    /**
     * 注册cams plus 手机号
     */
    @ApiModelProperty(hidden = true)
    private String surveyCamsPhone;
    
    /**
     * 预约勘察备注
     */
    @ApiModelProperty(hidden = true)
    private String surveyReserveRemark;
    
    /**
     * 安装服务商编号
     */
    @ApiModelProperty(hidden = true)
    private Integer installSupplierId;
    
    /**
     * 安装员工编号
     */
    @ApiModelProperty(hidden = true)
    private Integer installStaffId;
    
    /**
     * 安装完成时间
     */
    @ApiModelProperty(hidden = true)
    private Date installFinishTime;
    
    /**
     * 预约安装时间
     */
    @ApiModelProperty(hidden = true)
    private Date installReserveTime;
    
    /**
     * 安装客户姓名
     */
    @ApiModelProperty(hidden = true)
    private String installClientName;
    
    /**
     * 安装客户手机
     */
    @ApiModelProperty(hidden = true)
    private String installClientPhone;
    
    /**
     * 注册cams plus 手机号(安装)
     */
    @ApiModelProperty(hidden = true)
    private String installCamsPhone;
    
    /**
     * 预约安装备注
     */
    @ApiModelProperty(hidden = true)
    private String installReserveRemark;
    
    /**
     * 勘察完成审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String surveyFinishFailReason;
    
    /**
     * 勘察整改审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String surveyRectifyFailReason;
    
    /**
     * 安装变更审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String installChangeFailReason;
    
    /**
     * 安装完成审核不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String installFinishFailReason;
    
    /**
     * 安装整改不通过原因
     */
    @ApiModelProperty(hidden = true)
    private String installRectifyFailReason;
    
    /**
     * 关闭订单原因
     */
    @ApiModelProperty(hidden = true)
    private String closeOrderReason;
    
    /**
     * 变更安装附件
     */
    @ApiModelProperty(hidden = true)
    private String installChangeAttachmentFiles;
    
    /**
     * 预约异常信息
     */
    @ApiModelProperty(hidden = true)
    private String surveyReserveFailInfo;
    
    /**
     * 预约安装异常信息
     */
    @ApiModelProperty(hidden = true)
    private String installReserveFailInfo;
    
    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址")
    private String files;
    
    /**
     * 评分
     */
    @ApiModelProperty(hidden = true)
    private Double score;

    /**
     * 回访内容，客户意见或建议
     */
    @ApiModelProperty(value = "回访内容，客户意见或建议")
    private String visitContent;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String description;
    
    /**
     * 发票日期
     */
    @ApiModelProperty(value = "发票日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date invoiceTime;
    
    /**
     * 小区类型
     */
    @ApiModelProperty(value = "小区类型")
    private Integer estateType;
    
    /**
     * 是否独立车位 0：否 1：是
     */
    @ApiModelProperty(value = "是否独立车位 0：否 1：是")
    private Integer hasIndependentParking;
    
    /**
     * 安装位置 1：室内 2：室外
     */
    @ApiModelProperty(value = "安装位置 1：室内 2：室外")
    private Integer installPosition;
    
    /**
     * 物业态度 0：不同意 1：同意
     */
    @ApiModelProperty(value = "物业态度 0：不同意 1：同意")
    private Integer propertyAgree;
    
    /**
     * 是否需要电力报装 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要电力报装 0：否 1：是")
    private Integer electricExpand;
    
    /**
     * 是否需要立柱 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要立柱 0：否 1：是")
    private Integer needErectPile;
    
    /**
     * 派单时间
     */
    @ApiModelProperty(hidden = true)
    private Date dispatchTime;
    
    /**
     * 提交勘测审核时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveySubmitExamineTime;
    
    /**
     * 勘测审核通过时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyApproveTime;
    
    /**
     * 安装提交审核时间
     */
    @ApiModelProperty(hidden = true)
    private Date installSubmitExamineTime;
    
    /**
     * 安装审核通过时间
     */
    @ApiModelProperty(hidden = true)
    private Date installApproveTime;
    
    /**
     * 回访时间
     */
    @ApiModelProperty(hidden = true)
    private Date returnVisitTime;
    
    /**
     * 订单关闭时间
     */
    @ApiModelProperty(hidden = true)
    private Date closeTime;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;

    /**
     * 预约勘察下次跟进时间
     */
    @ApiModelProperty(hidden = true)
    private Date surveyFollowTime;

    /**
     * 预约安装下次跟进时间
     */
    @ApiModelProperty(hidden = true)
    private Date installFollowTime;

    /**
     * 地址纬度
     */
    @ApiModelProperty(value = "地址纬度")
    private String addressLat;

    /**
     * 地址经度
     */
    @ApiModelProperty(value = "地址经度")
    private String addressLng;

    /**
     * 首联人
     */
    @ApiModelProperty(value = "首联人")
    private String connectPerson;

    /**
     * 客户希望上门时间
     */
    @ApiModelProperty(value = "客户希望上门时间")
    private String wantHomeTime;

    /**
     * 安装紧急程度
     */
    @ApiModelProperty(value = "安装紧急程度 1:一般 2:紧急")
    private Integer installEmergencyLevel;

    /**
     * 其他说明
     */
    @ApiModelProperty(value = "其他说明")
    private String remark;

    /**
     * 是否联系上客户：0-否，1：是
     */
    @ApiModelProperty(value = "是否联系上客户：0-否，1：是")
    private Integer isConnect;

    /**
     * 是否需要勘测：0-否，1：是
     */
    @ApiModelProperty(value = "是否需要勘测：0-否，1：是")
    private Integer isNeedSurvey;

    /**
     * 物流单号
     */
    @ApiModelProperty(value = "物流单号")
    private String shipno;

    public String getShipno() {
        return shipno;
    }

    public void setShipno(String shipno) {
        this.shipno = shipno;
    }

    public String getConnectPerson() {
        return connectPerson;
    }

    public void setConnectPerson(String connectPerson) {
        this.connectPerson = connectPerson;
    }

    public String getWantHomeTime() {
        return wantHomeTime;
    }

    public void setWantHomeTime(String wantHomeTime) {
        this.wantHomeTime = wantHomeTime;
    }

    public Integer getInstallEmergencyLevel() {
        return installEmergencyLevel;
    }

    public void setInstallEmergencyLevel(Integer installEmergencyLevel) {
        this.installEmergencyLevel = installEmergencyLevel;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getIsConnect() {
        return isConnect;
    }

    public void setIsConnect(Integer isConnect) {
        this.isConnect = isConnect;
    }

    public Integer getIsNeedSurvey() {
        return isNeedSurvey;
    }

    public void setIsNeedSurvey(Integer isNeedSurvey) {
        this.isNeedSurvey = isNeedSurvey;
    }

    public String getAddressLat() {
        return addressLat;
    }

    public void setAddressLat(String addressLat) {
        this.addressLat = addressLat;
    }

    public String getAddressLng() {
        return addressLng;
    }

    public void setAddressLng(String addressLng) {
        this.addressLng = addressLng;
    }

    public String getId() {
        return id;
    }
    
    public void setId(String id) {
        if(StrUtil.isNotBlank(id)){
            id = id.trim();
        }
        this.id = id;
    }
    
    public Integer getOemId() {
        return oemId;
    }
    
    public void setOemId(Integer oemId) {
        this.oemId = oemId;
    }
    
    public String getOutOrderId() {
        return outOrderId;
    }
    
    public void setOutOrderId(String outOrderId) {
        if(StrUtil.isNotBlank(outOrderId)){
            outOrderId = outOrderId.trim();
        }
        this.outOrderId = outOrderId;
    }
    
    public Integer getContractId() {
        return contractId;
    }
    
    public void setContractId(Integer contractId) {
        this.contractId = contractId;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public String getUserPhone() {
        return userPhone;
    }
    
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }
    
    public Integer getUserSex() {
        return userSex;
    }
    
    public void setUserSex(Integer userSex) {
        this.userSex = userSex;
    }
    
    public String getContactName() {
        return contactName;
    }
    
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    
    public String getContactPhone() {
        return contactPhone;
    }
    
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }
    
    public String getRegionId() {
        return regionId;
    }
    
    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }
    
    public String getAddress() {
        return address;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public String getVehicleModel() {
        return vehicleModel;
    }
    
    public void setVehicleModel(String vehicleModel) {
        this.vehicleModel = vehicleModel;
    }
    
    public String getVehicleChassisNo() {
        return vehicleChassisNo;
    }
    
    public void setVehicleChassisNo(String vehicleChassisNo) {
        this.vehicleChassisNo = vehicleChassisNo;
    }
    
    public String getVehicleVin() {
        return vehicleVin;
    }
    
    public void setVehicleVin(String vehicleVin) {
        this.vehicleVin = vehicleVin;
    }
    
    public String getWallboxModel() {
        return wallboxModel;
    }
    
    public void setWallboxModel(String wallboxModel) {
        this.wallboxModel = wallboxModel;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public Integer getSurveyStaffId() {
        return surveyStaffId;
    }
    
    public void setSurveyStaffId(Integer surveyStaffId) {
        this.surveyStaffId = surveyStaffId;
    }
    
    public Integer getInstallSupplierId() {
        return installSupplierId;
    }
    
    public void setInstallSupplierId(Integer installSupplierId) {
        this.installSupplierId = installSupplierId;
    }
    
    public Integer getInstallStaffId() {
        return installStaffId;
    }
    
    public void setInstallStaffId(Integer installStaffId) {
        this.installStaffId = installStaffId;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
    
    public String getVehicleParkingNo() {
        return vehicleParkingNo;
    }
    
    public String getVehicleParkingStatus() {
        return vehicleParkingStatus;
    }
    
    public Integer getSurveyBeforeSaleEnable() {
        return surveyBeforeSaleEnable;
    }
    
    public void setVehicleParkingNo(String vehicleParkingNo) {
        this.vehicleParkingNo = vehicleParkingNo;
    }
    
    public void setVehicleParkingStatus(String vehicleParkingStatus) {
        this.vehicleParkingStatus = vehicleParkingStatus;
    }
    
    public void setSurveyBeforeSaleEnable(Integer surveyBeforeSaleEnable) {
        this.surveyBeforeSaleEnable = surveyBeforeSaleEnable;
    }
    
    public Date getSurveyFinishTime() {
        return surveyFinishTime;
    }
    
    public Date getInstallFinishTime() {
        return installFinishTime;
    }
    
    public void setSurveyFinishTime(Date surveyFinishTime) {
        this.surveyFinishTime = surveyFinishTime;
    }
    
    public void setInstallFinishTime(Date installFinishTime) {
        this.installFinishTime = installFinishTime;
    }
    
    public Integer getExpandStatus() {
        return expandStatus;
    }
    
    public String getExpandFailReason() {
        return expandFailReason;
    }
    
    public Integer getExpandFailOperate() {
        return expandFailOperate;
    }
    
    public Date getSurveyReserveTime() {
        return surveyReserveTime;
    }
    
    public String getSurveyClientName() {
        return surveyClientName;
    }
    
    public String getSurveyClientPhone() {
        return surveyClientPhone;
    }
    
    public String getSurveyCamsPhone() {
        return surveyCamsPhone;
    }
    
    public Date getInstallReserveTime() {
        return installReserveTime;
    }
    
    public String getInstallClientName() {
        return installClientName;
    }
    
    public String getInstallClientPhone() {
        return installClientPhone;
    }
    
    public String getInstallCamsPhone() {
        return installCamsPhone;
    }
    
    public String getSurveyFinishFailReason() {
        return surveyFinishFailReason;
    }
    
    public String getSurveyRectifyFailReason() {
        return surveyRectifyFailReason;
    }
    
    public String getInstallChangeFailReason() {
        return installChangeFailReason;
    }
    
    public String getInstallFinishFailReason() {
        return installFinishFailReason;
    }
    
    public String getInstallRectifyFailReason() {
        return installRectifyFailReason;
    }
    
    public String getInstallChangeAttachmentFiles() {
        return installChangeAttachmentFiles;
    }
    
    public void setExpandStatus(Integer expandStatus) {
        this.expandStatus = expandStatus;
    }
    
    public void setExpandFailReason(String expandFailReason) {
        this.expandFailReason = expandFailReason;
    }
    
    public void setExpandFailOperate(Integer expandFailOperate) {
        this.expandFailOperate = expandFailOperate;
    }
    
    public void setSurveyReserveTime(Date surveyReserveTime) {
        this.surveyReserveTime = surveyReserveTime;
    }
    
    public void setSurveyClientName(String surveyClientName) {
        this.surveyClientName = surveyClientName;
    }
    
    public void setSurveyClientPhone(String surveyClientPhone) {
        this.surveyClientPhone = surveyClientPhone;
    }
    
    public void setSurveyCamsPhone(String surveyCamsPhone) {
        this.surveyCamsPhone = surveyCamsPhone;
    }
    
    public void setInstallReserveTime(Date installReserveTime) {
        this.installReserveTime = installReserveTime;
    }
    
    public void setInstallClientName(String installClientName) {
        this.installClientName = installClientName;
    }
    
    public void setInstallClientPhone(String installClientPhone) {
        this.installClientPhone = installClientPhone;
    }
    
    public void setInstallCamsPhone(String installCamsPhone) {
        this.installCamsPhone = installCamsPhone;
    }
    
    public void setSurveyFinishFailReason(String surveyFinishFailReason) {
        this.surveyFinishFailReason = surveyFinishFailReason;
    }
    
    public void setSurveyRectifyFailReason(String surveyRectifyFailReason) {
        this.surveyRectifyFailReason = surveyRectifyFailReason;
    }
    
    public void setInstallChangeFailReason(String installChangeFailReason) {
        this.installChangeFailReason = installChangeFailReason;
    }
    
    public void setInstallFinishFailReason(String installFinishFailReason) {
        this.installFinishFailReason = installFinishFailReason;
    }
    
    public void setInstallRectifyFailReason(String installRectifyFailReason) {
        this.installRectifyFailReason = installRectifyFailReason;
    }
    
    public void setInstallChangeAttachmentFiles(String installChangeAttachmentFiles) {
        this.installChangeAttachmentFiles = installChangeAttachmentFiles;
    }
    
    public String getCloseOrderReason() {
        return closeOrderReason;
    }
    
    public void setCloseOrderReason(String closeOrderReason) {
        this.closeOrderReason = closeOrderReason;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public String getSurveyReserveFailInfo() {
        return surveyReserveFailInfo;
    }
    
    public String getFiles() {
        return files;
    }
    
    public Double getScore() {
        return score;
    }

    public void setSurveyReserveFailInfo(String surveyReserveFailInfo) {
        this.surveyReserveFailInfo = surveyReserveFailInfo;
    }
    
    public void setFiles(String files) {
        this.files = files;
    }
    
    public void setScore(Double score) {
        this.score = score;
    }
    
    public Integer getManuDispatchEnable() {
        return manuDispatchEnable;
    }
    
    public void setManuDispatchEnable(Integer manuDispatchEnable) {
        this.manuDispatchEnable = manuDispatchEnable;
    }
    
    public String getVisitContent() {
        return visitContent;
    }
    
    public void setVisitContent(String visitContent) {
        this.visitContent = visitContent;
    }
    
    public String getExpandRemark() {
        return expandRemark;
    }
    
    public void setExpandRemark(String expandRemark) {
        this.expandRemark = expandRemark;
    }
    
    public String getSurveyReserveRemark() {
        return surveyReserveRemark;
    }
    
    public String getInstallReserveRemark() {
        return installReserveRemark;
    }
    
    public void setSurveyReserveRemark(String surveyReserveRemark) {
        this.surveyReserveRemark = surveyReserveRemark;
    }
    
    public void setInstallReserveRemark(String installReserveRemark) {
        this.installReserveRemark = installReserveRemark;
    }
    
    public String getInstallReserveFailInfo() {
        return installReserveFailInfo;
    }
    
    public void setInstallReserveFailInfo(String installReserveFailInfo) {
        this.installReserveFailInfo = installReserveFailInfo;
    }
    
    public String getWarehouseId() {
        return warehouseId;
    }
    
    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }
    
    public Integer getSupplierContractId() {
        return supplierContractId;
    }
    
    public void setSupplierContractId(Integer supplierContractId) {
        this.supplierContractId = supplierContractId;
    }
    
    public Date getInvoiceTime() {
        return invoiceTime;
    }
    
    public Integer getEstateType() {
        return estateType;
    }
    
    public Integer getHasIndependentParking() {
        return hasIndependentParking;
    }
    
    public Integer getInstallPosition() {
        return installPosition;
    }
    
    public Integer getPropertyAgree() {
        return propertyAgree;
    }
    
    public Integer getElectricExpand() {
        return electricExpand;
    }
    
    public Integer getNeedErectPile() {
        return needErectPile;
    }
    
    public Date getDispatchTime() {
        return dispatchTime;
    }
    
    public Date getSurveySubmitExamineTime() {
        return surveySubmitExamineTime;
    }
    
    public Date getSurveyApproveTime() {
        return surveyApproveTime;
    }
    
    public Date getInstallSubmitExamineTime() {
        return installSubmitExamineTime;
    }
    
    public Date getInstallApproveTime() {
        return installApproveTime;
    }
    
    public Date getReturnVisitTime() {
        return returnVisitTime;
    }
    
    public Date getCloseTime() {
        return closeTime;
    }
    
    public void setInvoiceTime(Date invoiceTime) {
        this.invoiceTime = invoiceTime;
    }
    
    public void setEstateType(Integer estateType) {
        this.estateType = estateType;
    }
    
    public void setHasIndependentParking(Integer hasIndependentParking) {
        this.hasIndependentParking = hasIndependentParking;
    }
    
    public void setInstallPosition(Integer installPosition) {
        this.installPosition = installPosition;
    }
    
    public void setPropertyAgree(Integer propertyAgree) {
        this.propertyAgree = propertyAgree;
    }
    
    public void setElectricExpand(Integer electricExpand) {
        this.electricExpand = electricExpand;
    }
    
    public void setNeedErectPile(Integer needErectPile) {
        this.needErectPile = needErectPile;
    }
    
    public void setDispatchTime(Date dispatchTime) {
        this.dispatchTime = dispatchTime;
    }
    
    public void setSurveySubmitExamineTime(Date surveySubmitExamineTime) {
        this.surveySubmitExamineTime = surveySubmitExamineTime;
    }
    
    public void setSurveyApproveTime(Date surveyApproveTime) {
        this.surveyApproveTime = surveyApproveTime;
    }
    
    public void setInstallSubmitExamineTime(Date installSubmitExamineTime) {
        this.installSubmitExamineTime = installSubmitExamineTime;
    }
    
    public void setInstallApproveTime(Date installApproveTime) {
        this.installApproveTime = installApproveTime;
    }
    
    public void setReturnVisitTime(Date returnVisitTime) {
        this.returnVisitTime = returnVisitTime;
    }
    
    public void setCloseTime(Date closeTime) {
        this.closeTime = closeTime;
    }
    
    public Integer getOemAgentId() {
        return oemAgentId;
    }
    
    public void setOemAgentId(Integer oemAgentId) {
        this.oemAgentId = oemAgentId;
    }
    
    public String getOemAgentContactName() {
        return oemAgentContactName;
    }
    
    public String getOemAgentContactPhone() {
        return oemAgentContactPhone;
    }
    
    public void setOemAgentContactName(String oemAgentContactName) {
        this.oemAgentContactName = oemAgentContactName;
    }
    
    public void setOemAgentContactPhone(String oemAgentContactPhone) {
        this.oemAgentContactPhone = oemAgentContactPhone;
    }
    
    public String getOemAgentInfo() {
        return oemAgentInfo;
    }
    
    public void setOemAgentInfo(String oemAgentInfo) {
        this.oemAgentInfo = oemAgentInfo;
    }

    public String getItemModel() {
        return itemModel;
    }

    public void setItemModel(String itemModel) {
        this.itemModel = itemModel;
    }

    public String getSurveyWallboxModel() {
        return surveyWallboxModel;
    }

    public void setSurveyWallboxModel(String surveyWallboxModel) {
        this.surveyWallboxModel = surveyWallboxModel;
    }

    public String getSurveyItemModel() {
        return surveyItemModel;
    }

    public void setSurveyItemModel(String surveyItemModel) {
        this.surveyItemModel = surveyItemModel;
    }

    public String getInstallWallboxModel() {
        return installWallboxModel;
    }

    public void setInstallWallboxModel(String installWallboxModel) {
        this.installWallboxModel = installWallboxModel;
    }

    public String getInstallItemModel() {
        return installItemModel;
    }

    public void setInstallItemModel(String installItemModel) {
        this.installItemModel = installItemModel;
    }

    public Date getSurveyFollowTime() {
        return surveyFollowTime;
    }

    public void setSurveyFollowTime(Date surveyFollowTime) {
        this.surveyFollowTime = surveyFollowTime;
    }

    public Date getInstallFollowTime() {
        return installFollowTime;
    }

    public void setInstallFollowTime(Date installFollowTime) {
        this.installFollowTime = installFollowTime;
    }
}