package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OrderInstall {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 订单编号
     */
    @ApiModelProperty(hidden = true)
    private String orderId;
    
    /**
     * 第三方用户id
     */
    @ApiModelProperty(value = "第三方用户id")
    private String thirdUserId;
    
    /**
     * 支付状态 0：未支付 1：已支付
     */
    @ApiModelProperty(hidden = true)
    private Integer payStatus;
    
    /**
     * 1:代报装 2：自主报装
     */
    @ApiModelProperty(value = "1:代报装 2：自主报装")
    private Integer expandMethod;

    /**
     * 车辆底盘号
     */
    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNumber;

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String wallboxNo;
    
    /**
     * 墙盒设备数量
     */
    @ApiModelProperty(value = "墙盒设备数量")
    private Integer wallboxQuantity;
    
    /**
     * 墙盒设备型号（对应物料id）
     */
    @ApiModelProperty(value = "墙盒设备型号（对应物料id）")
    private String wallboxItemId;

    /**
     * 住宅类型
     */
    @ApiModelProperty(value = "住宅类型(HouseType)")
    private Integer houseType;

    /**
     * 车位类型
     */
    @ApiModelProperty(value = "车位类型(ParkingType)")
    private Integer parkingType;

    /**
     * 施工地址
     */
    @ApiModelProperty(value = "施工地址")
    private String address;

    /**
     * 是否进行电力报装 0:否1：是
     */
    @ApiModelProperty(value = "是否进行电力报装 0:否1：是")
    private Integer electricExpand;
    
    /**
     * 电源点类型
     */
    @ApiModelProperty(value = "电源点类型(ElectricSource)")
    private String installPowerType;

    /**
     * 电源点说明
     */
    @ApiModelProperty(value = "电源点说明")
    private String installPowerRemark;
    
    /**
     * 电源接入点位置(配线箱编号)
     */
    @ApiModelProperty(value = "电源接入点位置(配线箱编号)")
    private String installPowerPosition;
    
    /**
     * 车位号
     */
    @ApiModelProperty(value = "车位号")
    private String parkingNo;
    
    /**
     * 实际安装方式
     */
    @ApiModelProperty(value = "实际安装方式")
    private Integer realInstallType;
    
    /**
     * 实际电缆规格
     */
    @ApiModelProperty(value = "实际电缆规格")
    private String realCableType;
    
    /**
     * 实际长度电缆（米）
     */
    @ApiModelProperty(value = "实际长度电缆（米）")
    private String realCableMeter;

    /**
     * 电缆敷设方式 1-pvc电工管 2-jdg镀锌管 3-电缆桥架 4-其他
     */
    @ApiModelProperty(value = "电缆敷设方式(CableBuildMethod)")
    private Integer realCableInstallType;

    /**
     * 增项费用 json存储
     */
    @ApiModelProperty(value = "增项费用 json存储")
    private String predictOverItem;
    
    /**
     * 增项总费用
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal predictTotalFee;
    
    /**
     * 报装费
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal expandFee;

    /**
     * 调试检查json
     */
    @ApiModelProperty(value = "调试检查json(ChargeDeviceCheck,CableInstallCheck)")
    private String debugCheck;

    /**
     * 附件交付
     */
    @ApiModelProperty(value = "附件交付(AttachmentDeliver)")
    private String attachment;

    /**
     * 培训内容
     */
    @ApiModelProperty(value = "培训内容(TrainContent)")
    private String trainContent;
    
    /**
     * 安装备注
     */
    @ApiModelProperty(value = "安装备注")
    private String installRemark;

    /**
     * 用户与墙盒合影
     */
    @ApiModelProperty(value = "用户与墙盒合影")
    private String userWallboxPic;

    /**
     * 墙盒铭牌
     */
    @ApiModelProperty(value = "墙盒铭牌")
    private String wallboxNameplatePic;

    /**
     * 空开
     */
    @ApiModelProperty(value = "空开")
    private String voidOpenPic;

    /**
     * 漏保
     */
    @ApiModelProperty(value = "漏保")
    private String leakageProtectPic;

    /**
     * 客户评分
     */
    @ApiModelProperty(value = "客户评分")
    private Integer clientRate;

    /**
     * 客户签字
     */
    @ApiModelProperty(value = "客户签字")
    private String clientSignature;

    /**
     * 安装附件
     */
    @ApiModelProperty(value = "安装附件")
    private String installAttachmentFiles;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public String getVehicleChassisNumber() {
        return vehicleChassisNumber;
    }
    
    public void setVehicleChassisNumber(String vehicleChassisNumber) {
        this.vehicleChassisNumber = vehicleChassisNumber;
    }
    
    public String getWallboxNo() {
        return wallboxNo;
    }
    
    public void setWallboxNo(String wallboxNo) {
        this.wallboxNo = wallboxNo;
    }
    
    public Integer getHouseType() {
        return houseType;
    }
    
    public void setHouseType(Integer houseType) {
        this.houseType = houseType;
    }
    
    public Integer getParkingType() {
        return parkingType;
    }
    
    public void setParkingType(Integer parkingType) {
        this.parkingType = parkingType;
    }
    
    public String getAddress() {
        return address;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public Integer getElectricExpand() {
        return electricExpand;
    }
    
    public void setElectricExpand(Integer electricExpand) {
        this.electricExpand = electricExpand;
    }
    
    public String getInstallPowerType() {
        return installPowerType;
    }
    
    public void setInstallPowerType(String installPowerType) {
        this.installPowerType = installPowerType;
    }
    
    public String getInstallPowerPosition() {
        return installPowerPosition;
    }
    
    public void setInstallPowerPosition(String installPowerPosition) {
        this.installPowerPosition = installPowerPosition;
    }
    
    public String getParkingNo() {
        return parkingNo;
    }
    
    public void setParkingNo(String parkingNo) {
        this.parkingNo = parkingNo;
    }
    
    public Integer getRealInstallType() {
        return realInstallType;
    }
    
    public void setRealInstallType(Integer realInstallType) {
        this.realInstallType = realInstallType;
    }
    
    public String getRealCableType() {
        return realCableType;
    }
    
    public void setRealCableType(String realCableType) {
        this.realCableType = realCableType;
    }
    
    public String getRealCableMeter() {
        return realCableMeter;
    }
    
    public void setRealCableMeter(String realCableMeter) {
        this.realCableMeter = realCableMeter;
    }
    
    public Integer getRealCableInstallType() {
        return realCableInstallType;
    }
    
    public void setRealCableInstallType(Integer realCableInstallType) {
        this.realCableInstallType = realCableInstallType;
    }
    
    public String getPredictOverItem() {
        return predictOverItem;
    }
    
    public void setPredictOverItem(String predictOverItem) {
        this.predictOverItem = predictOverItem;
    }
    
    public String getDebugCheck() {
        return debugCheck;
    }
    
    public void setDebugCheck(String debugCheck) {
        this.debugCheck = debugCheck;
    }
    
    public String getAttachment() {
        return attachment;
    }
    
    public void setAttachment(String attachment) {
        this.attachment = attachment;
    }
    
    public String getTrainContent() {
        return trainContent;
    }
    
    public void setTrainContent(String trainContent) {
        this.trainContent = trainContent;
    }
    
    public String getInstallRemark() {
        return installRemark;
    }
    
    public void setInstallRemark(String installRemark) {
        this.installRemark = installRemark;
    }
    
    public String getUserWallboxPic() {
        return userWallboxPic;
    }
    
    public void setUserWallboxPic(String userWallboxPic) {
        this.userWallboxPic = userWallboxPic;
    }
    
    public String getWallboxNameplatePic() {
        return wallboxNameplatePic;
    }
    
    public void setWallboxNameplatePic(String wallboxNameplatePic) {
        this.wallboxNameplatePic = wallboxNameplatePic;
    }
    
    public String getVoidOpenPic() {
        return voidOpenPic;
    }
    
    public void setVoidOpenPic(String voidOpenPic) {
        this.voidOpenPic = voidOpenPic;
    }
    
    public String getLeakageProtectPic() {
        return leakageProtectPic;
    }
    
    public void setLeakageProtectPic(String leakageProtectPic) {
        this.leakageProtectPic = leakageProtectPic;
    }
    
    public Integer getClientRate() {
        return clientRate;
    }
    
    public void setClientRate(Integer clientRate) {
        this.clientRate = clientRate;
    }
    
    public String getInstallAttachmentFiles() {
        return installAttachmentFiles;
    }
    
    public void setInstallAttachmentFiles(String installAttachmentFiles) {
        this.installAttachmentFiles = installAttachmentFiles;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
    
    public Integer getPayStatus() {
        return payStatus;
    }
    
    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }
    
    public Integer getWallboxQuantity() {
        return wallboxQuantity;
    }
    
    public String getWallboxItemId() {
        return wallboxItemId;
    }
    
    public void setWallboxQuantity(Integer wallboxQuantity) {
        this.wallboxQuantity = wallboxQuantity;
    }
    
    public void setWallboxItemId(String wallboxItemId) {
        this.wallboxItemId = wallboxItemId;
    }
    
    public BigDecimal getPredictTotalFee() {
        return predictTotalFee;
    }
    
    public BigDecimal getExpandFee() {
        return expandFee;
    }
    
    public void setPredictTotalFee(BigDecimal predictTotalFee) {
        this.predictTotalFee = predictTotalFee;
    }
    
    public void setExpandFee(BigDecimal expandFee) {
        this.expandFee = expandFee;
    }

    public String getInstallPowerRemark() {
        return installPowerRemark;
    }

    public void setInstallPowerRemark(String installPowerRemark) {
        this.installPowerRemark = installPowerRemark;
    }

    public String getClientSignature() {
        return clientSignature;
    }

    public void setClientSignature(String clientSignature) {
        this.clientSignature = clientSignature;
    }
    
    public Integer getExpandMethod() {
        return expandMethod;
    }
    
    public void setExpandMethod(Integer expandMethod) {
        this.expandMethod = expandMethod;
    }
    
    public String getThirdUserId() {
        return thirdUserId;
    }
    
    public void setThirdUserId(String thirdUserId) {
        this.thirdUserId = thirdUserId;
    }
}