package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OrderInstallItem {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 订单编号
     */
    @ApiModelProperty(hidden = true)
    private String orderId;
    
    /**
     * 1：勘察 2：安装 3：安装变更
     */
    @ApiModelProperty(hidden = true)
    private Integer type;
    
    /**
     * 物料类型 1-基础 2-增项
     */
    @ApiModelProperty(hidden = true)
    private Integer itemType;
    
    /**
     * 物料编号
     */
    @ApiModelProperty(value = "物料编号")
    private String itemId;
    
    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String itemName;
    
    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String itemModel;
    
    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private String itemWarehouseId;
    
    /**
     * 对应的合同itemid
     */
    @ApiModelProperty(value = "对应的合同itemid")
    private Integer contractItemId;
    
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private BigDecimal qunatity;
    
    /**
     * 总费用
     */
    @ApiModelProperty(value = "总费用")
    private BigDecimal fee;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public Integer getItemType() {
        return itemType;
    }
    
    public void setItemType(Integer itemType) {
        this.itemType = itemType;
    }
    
    public String getItemId() {
        return itemId;
    }
    
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }
    
    public String getItemName() {
        return itemName;
    }
    
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    
    public String getItemModel() {
        return itemModel;
    }
    
    public void setItemModel(String itemModel) {
        this.itemModel = itemModel;
    }
    
    public Integer getContractItemId() {
        return contractItemId;
    }
    
    public void setContractItemId(Integer contractItemId) {
        this.contractItemId = contractItemId;
    }
    
    public BigDecimal getQunatity() {
        return qunatity;
    }
    
    public void setQunatity(BigDecimal qunatity) {
        this.qunatity = qunatity;
    }
    
    public BigDecimal getFee() {
        return fee;
    }
    
    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
    
    public String getItemWarehouseId() {
        return itemWarehouseId;
    }
    
    public void setItemWarehouseId(String itemWarehouseId) {
        this.itemWarehouseId = itemWarehouseId;
    }
}