package com.starcharge.wios.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 安装项删除备份
 * @author liwenxiang
 * @date 2021/7/28 14:06
 */
@Data
public class OrderInstallItemDelete {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 订单编号
     */
    @ApiModelProperty(hidden = true)
    private String orderId;

    /**
     * 1：勘察 2：安装 3：安装变更
     */
    @ApiModelProperty(hidden = true)
    private Integer type;

    /**
     * 物料类型 1-基础 2-增项
     */
    @ApiModelProperty(hidden = true)
    private Integer itemType;

    /**
     * 物料编号
     */
    @ApiModelProperty(value = "物料编号")
    private String itemId;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String itemName;

    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String itemModel;

    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private String itemWarehouseId;

    /**
     * 对应的合同itemid
     */
    @ApiModelProperty(value = "对应的合同itemid")
    private Integer contractItemId;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private BigDecimal qunatity;

    /**
     * 总费用
     */
    @ApiModelProperty(value = "总费用")
    private BigDecimal fee;

    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;

    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;

    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
}