package com.starcharge.wios.dao.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OrderSurvey {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 订单编号
     */
    @ApiModelProperty(hidden = true)
    private String orderId;
    
    /**
     * 住宅类型 1-普通高层 2-商业两住 3-别墅 4-公司 5-厂房 6-自建房 7-其他
     */
    @ApiModelProperty(value = "住宅类型(HouseType)")
    private Integer houseType;
    
    /**
     * 车位类型 1-自主产权 2-长期租赁 3-不固定 4-其他
     */
    @ApiModelProperty(value = "车位类型(ParkingType)")
    private Integer parkingType;
    
    /**
     * 车位描述 （车库位置、车位号或其他）
     */
    @ApiModelProperty(value = "车位描述")
    private String parkingInfo;
    
    /**
     * 车位环境 1-地上 2-地下
     */
    @ApiModelProperty(value = "车位环境 1-地上 2-地下")
    private Integer parkingCondition;
    
    /**
     * 安装方式 1-壁挂 2-立式 3-其他
     */
    @ApiModelProperty(value = "安装方式 1-壁挂 2-立式 3-其他")
    private Integer installType;
    
    /**
     * 类型 1：勘察 2：安装变更
     */
    @ApiModelProperty(value = "类型 1：勘察 2：安装变更")
    private Integer type;
    
    /**
     * 物业公司
     */
    @ApiModelProperty(value = "物业公司")
    private String propertyCompany;
    
    /**
     * 物业联系人
     */
    @ApiModelProperty(value = "物业联系人")
    private String propertyContact;
    
    /**
     * 物业电话
     */
    @ApiModelProperty(value = "物业电话")
    private String propertyPhone;
    
    /**
     * 物业态度 1-同意 2-不同意
     */
    @ApiModelProperty(value = "物业态度 1-同意 2-不同意")
    private Integer propertyAgree;
    
    /**
     * 物业不同意原因
     */
    @ApiModelProperty(value = "物业不同意原因")
    private String propertyReason;
    
    /**
     * 电力来源
     */
    @ApiModelProperty(value = "电力来源(ElectricSource)")
    private Integer powerType;
    
    /**
     * 上端断路器规格（a）
     */
    @ApiModelProperty(value = "上端断路器规格（a）")
    private String upperCircuitBreaker;
    
    /**
     * 上端线径规格（mm2）
     */
    @ApiModelProperty(value = "上端线径规格（mm2）")
    private String upperLine;
    
    /**
     * 可安装功率大小（kw）
     */
    @ApiModelProperty(value = "可安装功率大小（kw）")
    private String allowPower;
    
    /**
     * 电缆规格（3x6、3x10、3x16 ）
     */
    @ApiModelProperty(value = "电缆规格（3x6、3x10、3x16 ）")
    private String cableType;
    
    /**
     * 信号类型 1-移动 2-电信 3-联通
     */
    @ApiModelProperty(value = "信号类型 1-移动 2-电信 3-联通")
    private Integer signalType;
    
    /**
     * 信号强度（dbm）
     */
    @ApiModelProperty(value = "信号强度（dbm）")
    private String signalIntensity;
    
    /**
     * 费用是否超标 1-超标 0-未超标
     */
    @ApiModelProperty(value = "费用是否超标 1-超标 0-未超标")
    private Integer overStandard;
    
    /**
     * 电缆施工长度
     */
    @ApiModelProperty(value = "电缆施工长度")
    private String cableMeter;
    
    /**
     * 电缆敷设方式 1-pvc电工管 2-jdg镀锌管 3-电缆桥架 4-其他
     */
    @ApiModelProperty(value = "电缆敷设方式()CableBuildMethod")
    private Integer cableInstallType;
    
    /**
     * 资料准备 json存储 (安装申请、产权复印件、身份证复印件、使用权证明书)
     */
    @ApiModelProperty(value = "资料准备 json存储(SurveyOrderDataNeed)")
    private String prepareInfo;
    
    /**
     * 勘察结论 1-统一安装 2-不同意安装 3-待定
     */
    @ApiModelProperty(value = "勘察结论 1-统一安装 2-不同意安装 3-待定")
    private Integer surveyResult;
    
    /**
     * 增项费用预估 json存储
     */
    @ApiModelProperty(value = "增项费用预估 json存储")
    private String predictOverItem;
    
    /**
     * 勘察备注
     */
    @ApiModelProperty(value = "勘察备注")
    private String surveyRemark;

    /**
     * 图片链接 多张逗号分割
     */
    @ApiModelProperty(hidden = true)
    private String pictures;

    /**
     * 方案说明
     */
    @ApiModelProperty(value = "方案说明")
    private String planInfo;

    /**
     * 附件url
     */
    @ApiModelProperty(hidden = true)
    private String surveyAttachment;
    
    /**
     * 勘测地址
     */
    @ApiModelProperty(value = "勘测地址")
    private String address;
    
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private String latitude;
    
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private String longitude;
    
    /**
     * 勘测日期
     */
    @ApiModelProperty(value = "勘测日期")
    private Date surveyDate;
    
    /**
     * 联系人姓名
     */
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;
    
    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;
    
    /**
     * 车位号
     */
    @ApiModelProperty(value = "车位号")
    private String parkingPositionNo;
    
    /**
     * 室内/室外 1/2
     */
    @ApiModelProperty(value = "室内/室外 1/2")
    private Integer installPosition;
    
    /**
     * 是否露天 0：否 1：是
     */
    @ApiModelProperty(value = "是否露天 0：否 1：是")
    private Integer openAir;
    
    /**
     * 变压器额定值
     */
    @ApiModelProperty(value = "变压器额定值")
    private String transformerSpecificValue;
    
    /**
     * 可接入主断路器容量
     */
    @ApiModelProperty(value = "可接入主断路器容量")
    private String accessCircuitCapacity;
    
    /**
     * 实测相电压
     */
    @ApiModelProperty(value = "实测相电压")
    private String measuredPhaseVoltage;
    
    /**
     * 实测相电流
     */
    @ApiModelProperty(value = "实测相电流")
    private String measuredPhaseCurrent;
    
    /**
     * 是否需要立柱 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要立柱 0：否 1：是")
    private Integer needErectPile;
    
    /**
     * 是否需要特殊施工 0：否 1：是
     */
    @ApiModelProperty(value = "是否需要特殊施工 0：否 1：是")
    private Integer needSpecialConstruction;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public Integer getHouseType() {
        return houseType;
    }
    
    public void setHouseType(Integer houseType) {
        this.houseType = houseType;
    }
    
    public Integer getParkingType() {
        return parkingType;
    }
    
    public void setParkingType(Integer parkingType) {
        this.parkingType = parkingType;
    }
    
    public String getParkingInfo() {
        return parkingInfo;
    }
    
    public void setParkingInfo(String parkingInfo) {
        this.parkingInfo = parkingInfo;
    }
    
    public Integer getParkingCondition() {
        return parkingCondition;
    }
    
    public void setParkingCondition(Integer parkingCondition) {
        this.parkingCondition = parkingCondition;
    }
    
    public Integer getInstallType() {
        return installType;
    }
    
    public void setInstallType(Integer installType) {
        this.installType = installType;
    }
    
    public String getPropertyCompany() {
        return propertyCompany;
    }
    
    public void setPropertyCompany(String propertyCompany) {
        this.propertyCompany = propertyCompany;
    }
    
    public String getPropertyContact() {
        return propertyContact;
    }
    
    public void setPropertyContact(String propertyContact) {
        this.propertyContact = propertyContact;
    }
    
    public String getPropertyPhone() {
        return propertyPhone;
    }
    
    public void setPropertyPhone(String propertyPhone) {
        this.propertyPhone = propertyPhone;
    }
    
    public Integer getPropertyAgree() {
        return propertyAgree;
    }
    
    public void setPropertyAgree(Integer propertyAgree) {
        this.propertyAgree = propertyAgree;
    }
    
    public String getPropertyReason() {
        return propertyReason;
    }
    
    public void setPropertyReason(String propertyReason) {
        this.propertyReason = propertyReason;
    }
    
    public Integer getPowerType() {
        return powerType;
    }
    
    public void setPowerType(Integer powerType) {
        this.powerType = powerType;
    }
    
    public String getUpperCircuitBreaker() {
        return upperCircuitBreaker;
    }
    
    public void setUpperCircuitBreaker(String upperCircuitBreaker) {
        this.upperCircuitBreaker = upperCircuitBreaker;
    }
    
    public String getUpperLine() {
        return upperLine;
    }
    
    public void setUpperLine(String upperLine) {
        this.upperLine = upperLine;
    }
    
    public String getAllowPower() {
        return allowPower;
    }
    
    public void setAllowPower(String allowPower) {
        this.allowPower = allowPower;
    }
    
    public String getCableType() {
        return cableType;
    }
    
    public void setCableType(String cableType) {
        this.cableType = cableType;
    }
    
    public Integer getSignalType() {
        return signalType;
    }
    
    public void setSignalType(Integer signalType) {
        this.signalType = signalType;
    }
    
    public String getSignalIntensity() {
        return signalIntensity;
    }
    
    public void setSignalIntensity(String signalIntensity) {
        this.signalIntensity = signalIntensity;
    }
    
    public Integer getOverStandard() {
        return overStandard;
    }
    
    public void setOverStandard(Integer overStandard) {
        this.overStandard = overStandard;
    }
    
    public String getCableMeter() {
        return cableMeter;
    }
    
    public void setCableMeter(String cableMeter) {
        this.cableMeter = cableMeter;
    }
    
    public Integer getCableInstallType() {
        return cableInstallType;
    }
    
    public void setCableInstallType(Integer cableInstallType) {
        this.cableInstallType = cableInstallType;
    }
    
    public String getPrepareInfo() {
        return prepareInfo;
    }
    
    public void setPrepareInfo(String prepareInfo) {
        this.prepareInfo = prepareInfo;
    }
    
    public Integer getSurveyResult() {
        return surveyResult;
    }
    
    public void setSurveyResult(Integer surveyResult) {
        this.surveyResult = surveyResult;
    }
    
    public String getPredictOverItem() {
        return predictOverItem;
    }
    
    public void setPredictOverItem(String predictOverItem) {
        this.predictOverItem = predictOverItem;
    }
    
    public String getSurveyRemark() {
        return surveyRemark;
    }
    
    public void setSurveyRemark(String surveyRemark) {
        this.surveyRemark = surveyRemark;
    }
    
    public String getPictures() {
        return pictures;
    }
    
    public void setPictures(String pictures) {
        this.pictures = pictures;
    }
    
    public String getPlanInfo() {
        return planInfo;
    }
    
    public void setPlanInfo(String planInfo) {
        this.planInfo = planInfo;
    }
    
    public String getSurveyAttachment() {
        return surveyAttachment;
    }
    
    public void setSurveyAttachment(String surveyAttachment) {
        this.surveyAttachment = surveyAttachment;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public String getAddress() {
        return address;
    }
    
    public String getLatitude() {
        return latitude;
    }
    
    public String getLongitude() {
        return longitude;
    }
    
    public Date getSurveyDate() {
        return surveyDate;
    }
    
    public String getContactName() {
        return contactName;
    }
    
    public String getContactPhone() {
        return contactPhone;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
    
    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
    
    public void setSurveyDate(Date surveyDate) {
        this.surveyDate = surveyDate;
    }
    
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }
    
    public String getParkingPositionNo() {
        return parkingPositionNo;
    }
    
    public Integer getInstallPosition() {
        return installPosition;
    }
    
    public Integer getOpenAir() {
        return openAir;
    }
    
    public String getTransformerSpecificValue() {
        return transformerSpecificValue;
    }
    
    public String getAccessCircuitCapacity() {
        return accessCircuitCapacity;
    }
    
    public String getMeasuredPhaseVoltage() {
        return measuredPhaseVoltage;
    }
    
    public String getMeasuredPhaseCurrent() {
        return measuredPhaseCurrent;
    }
    
    public Integer getNeedErectPile() {
        return needErectPile;
    }
    
    public Integer getNeedSpecialConstruction() {
        return needSpecialConstruction;
    }
    
    public void setParkingPositionNo(String parkingPositionNo) {
        this.parkingPositionNo = parkingPositionNo;
    }
    
    public void setInstallPosition(Integer installPosition) {
        this.installPosition = installPosition;
    }
    
    public void setOpenAir(Integer openAir) {
        this.openAir = openAir;
    }
    
    public void setTransformerSpecificValue(String transformerSpecificValue) {
        this.transformerSpecificValue = transformerSpecificValue;
    }
    
    public void setAccessCircuitCapacity(String accessCircuitCapacity) {
        this.accessCircuitCapacity = accessCircuitCapacity;
    }
    
    public void setMeasuredPhaseVoltage(String measuredPhaseVoltage) {
        this.measuredPhaseVoltage = measuredPhaseVoltage;
    }
    
    public void setMeasuredPhaseCurrent(String measuredPhaseCurrent) {
        this.measuredPhaseCurrent = measuredPhaseCurrent;
    }
    
    public void setNeedErectPile(Integer needErectPile) {
        this.needErectPile = needErectPile;
    }
    
    public void setNeedSpecialConstruction(Integer needSpecialConstruction) {
        this.needSpecialConstruction = needSpecialConstruction;
    }
}