package com.starcharge.wios.dao.entity;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "区域对象模型")
public class Region {

    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 区域编码
     */
    @ApiModelProperty(value = "区域编码")
    private String code;
    
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = true)
    private String name;
    
    /**
     * 上级id
     */
    @ApiModelProperty(value = "父级id", required = true)
    private Integer parentId;
    
    /**
     * id层级关系
     */
    @ApiModelProperty(hidden = true)
    private String idTree;
    
    /**
     * 1：正常 2：删除
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public Integer getParentId() {
        return parentId;
    }
    
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
    public String getIdTree() {
        return idTree;
    }
    
    public void setIdTree(String idTree) {
        this.idTree = idTree;
    }
}