package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class Settlement {

    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 结算单号
     */
    @ApiModelProperty(value = "结算单号")
    private String settlementId;
    
    /**
     * 开始日期
     */
    @ApiModelProperty(hidden = true)
    private Date startDate;
    
    /**
     * 结算结束日期
     */
    @ApiModelProperty(hidden = true)
    private Date endDate;
    
    /**
     * 结算方id
     */
    @ApiModelProperty(value = "结算方id")
    private Integer targetId;
    
    /**
     * 类型 1：主机厂 2：服务商
     */
    @ApiModelProperty(value = "类型 1：主机厂 2：服务商")
    private Integer type;
    
    /**
     * 总金额
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal totalPrice;
    
    /**
     * 结算总金额（含税）
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal totalPriceWithTax;
    
    /**
     * 总税金
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal totalTax;
    
    /**
     * 实际结算金额
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal totalPriceActual;
    
    /**
     * 实际结算总税金
     */
    @ApiModelProperty(hidden = true)
    private BigDecimal totalTaxActual;
    
    /**
     * 状态 1：待结算 2：已结算
     */
    @ApiModelProperty(value = "状态 1：待结算 2：已结算")
    private Integer status;
    
    /**
     * 备注
     */
    @ApiModelProperty(hidden = true)
    private String remark;
    
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    @ApiModelProperty(hidden = true)
    private Date updateTime;
    
    /**
     * 更新人
     */
    @ApiModelProperty(hidden = true)
    private Integer updateAccount;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private Integer createAccount;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getSettlementId() {
        return settlementId;
    }
    
    public void setSettlementId(String settlementId) {
        this.settlementId = settlementId;
    }
    
    public Date getStartDate() {
        return startDate;
    }
    
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    
    public Date getEndDate() {
        return endDate;
    }
    
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    
    
    public BigDecimal getTotalPrice() {
        return totalPrice;
    }
    
    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }
    
    public BigDecimal getTotalPriceWithTax() {
        return totalPriceWithTax;
    }
    
    public void setTotalPriceWithTax(BigDecimal totalPriceWithTax) {
        this.totalPriceWithTax = totalPriceWithTax;
    }
    
    public BigDecimal getTotalTax() {
        return totalTax;
    }
    
    public void setTotalTax(BigDecimal totalTax) {
        this.totalTax = totalTax;
    }
    
    public BigDecimal getTotalPriceActual() {
        return totalPriceActual;
    }
    
    public void setTotalPriceActual(BigDecimal totalPriceActual) {
        this.totalPriceActual = totalPriceActual;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
    public Integer getUpdateAccount() {
        return updateAccount;
    }
    
    public void setUpdateAccount(Integer updateAccount) {
        this.updateAccount = updateAccount;
    }
    
    public Integer getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(Integer createAccount) {
        this.createAccount = createAccount;
    }
    
    public Integer getTargetId() {
        return targetId;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setTargetId(Integer targetId) {
        this.targetId = targetId;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public BigDecimal getTotalTaxActual() {
        return totalTaxActual;
    }
    
    public void setTotalTaxActual(BigDecimal totalTaxActual) {
        this.totalTaxActual = totalTaxActual;
    }
}