package com.starcharge.wios.dao.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class SettlementDetail {
    private Integer id;
    
    /**
     * 结算单号
     */
    @ApiModelProperty(value = "结算单号")
    private String settlementId;
    
    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号")
    private String orderId;
    
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    
    /**
     * 用户手机号
     */
    @ApiModelProperty(value = "用户手机号")
    private String userPhone;
    
    /**
     * 设备价格
     */
    @ApiModelProperty(value = "设备价格")
    private BigDecimal deviceFee;
    
    /**
     * 设备价格（含税）
     */
    @ApiModelProperty(value = "设备价格（含税）")
    private BigDecimal deviceFeeWithTax;
    
    /**
     * 安装服务费
     */
    @ApiModelProperty(value = "安装服务费")
    private BigDecimal installServiceFee;
    
    /**
     * 安装服务费（含税）
     */
    @ApiModelProperty(value = "安装服务费（含税）")
    private BigDecimal installServiceFeeWithTax;
    
    /**
     * 总费用
     */
    @ApiModelProperty(value = "总费用")
    private BigDecimal totalFee;
    
    /**
     * 总费用(含税)
     */
    @ApiModelProperty(value = "总费用(含税)")
    private BigDecimal totalFeeWithTax;
    
    /**
     * 安装完成时间
     */
    @ApiModelProperty(value = "安装完成时间")
    private Date installFinishTime;
    
    private Date createTime;

    /**
     * 是否删除：0：否，1：是
     */
    @ApiModelProperty(value = "是否删除：0：否，1：是")
    private Integer isDel;
    
    public SettlementDetail() {
        if (deviceFee == null)
            deviceFee = BigDecimal.ZERO;
        if (deviceFeeWithTax == null)
            deviceFeeWithTax = BigDecimal.ZERO;
        if (installServiceFee == null)
            installServiceFee = BigDecimal.ZERO;
        if (installServiceFeeWithTax == null)
            installServiceFeeWithTax = BigDecimal.ZERO;
        if (totalFee == null)
            totalFee = BigDecimal.ZERO;
    }
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getSettlementId() {
        return settlementId;
    }
    
    public void setSettlementId(String settlementId) {
        this.settlementId = settlementId;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public String getUserPhone() {
        return userPhone;
    }
    
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }
    
    public BigDecimal getDeviceFee() {
        return deviceFee;
    }
    
    public void setDeviceFee(BigDecimal deviceFee) {
        this.deviceFee = deviceFee;
    }
    
    public BigDecimal getDeviceFeeWithTax() {
        return deviceFeeWithTax;
    }
    
    public void setDeviceFeeWithTax(BigDecimal deviceFeeWithTax) {
        this.deviceFeeWithTax = deviceFeeWithTax;
    }
    
    public BigDecimal getInstallServiceFee() {
        return installServiceFee;
    }
    
    public void setInstallServiceFee(BigDecimal installServiceFee) {
        this.installServiceFee = installServiceFee;
    }
    
    public BigDecimal getInstallServiceFeeWithTax() {
        return installServiceFeeWithTax;
    }
    
    public void setInstallServiceFeeWithTax(BigDecimal installServiceFeeWithTax) {
        this.installServiceFeeWithTax = installServiceFeeWithTax;
    }
    
    public BigDecimal getTotalFee() {
        return totalFee;
    }
    
    public void setTotalFee(BigDecimal totalFee) {
        this.totalFee = totalFee;
    }
    
    public Date getInstallFinishTime() {
        return installFinishTime;
    }
    
    public void setInstallFinishTime(Date installFinishTime) {
        this.installFinishTime = installFinishTime;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public BigDecimal getTotalFeeWithTax() {
        return totalFeeWithTax;
    }
    
    public void setTotalFeeWithTax(BigDecimal totalFeeWithTax) {
        this.totalFeeWithTax = totalFeeWithTax;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }
}