package com.starcharge.wios.dao.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class SettlementDetailSupplier {
    /**
     * 主键id
     */
    private Integer id;
    
    /**
     * 结算单号
     */
    @ApiModelProperty(value = "结算单号")
    private String settlementId;
    
    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号")
    private String orderId;
    
    /**
     * 车主姓名
     */
    @ApiModelProperty(value = "车主姓名")
    private String userName;
    
    /**
     * 车主联系方式
     */
    @ApiModelProperty(value = "车主联系方式")
    private String userPhone;
    
    /**
     * 勘察价格
     */
    @ApiModelProperty(value = "勘察价格")
    private BigDecimal surveyFee;
    
    /**
     * 勘测价格（含税）
     */
    @ApiModelProperty(value = "勘测价格（含税）")
    private BigDecimal surveyFeeWithTax;
    
    /**
     * 增项价格
     */
    @ApiModelProperty(value = "增项价格")
    private BigDecimal itemFee;
    
    /**
     * 增项价格含税
     */
    @ApiModelProperty(value = "增项价格含税")
    private BigDecimal itemFeeWithTax;
    
    /**
     * 安装价格
     */
    @ApiModelProperty(value = "安装价格")
    private BigDecimal installFee;
    
    /**
     * 安装价格（含税）
     */
    @ApiModelProperty(value = "安装价格（含税）")
    private BigDecimal installFeeWithTax;
    
    /**
     * 报装价格
     */
    @ApiModelProperty(value = "报装价格")
    private BigDecimal expandFee;
    
    /**
     * 订单总价
     */
    @ApiModelProperty(value = "订单总价")
    private BigDecimal totalFee;
    
    /**
     * 总费用(含税)
     */
    @ApiModelProperty(value = "总费用(含税)")
    private BigDecimal totalFeeWithTax;
    
    /**
     * 完成时间
     */
    @ApiModelProperty(value = "完成时间")
    private Date finishTime;
    
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 是否删除：0：否，1：是
     */
    @ApiModelProperty(value = "是否删除：0：否，1：是")
    private Integer isDel;
    
    public SettlementDetailSupplier() {
        if (surveyFee == null)
            surveyFee = BigDecimal.ZERO;
        if (surveyFeeWithTax == null)
            surveyFeeWithTax = BigDecimal.ZERO;
        if (itemFee == null)
            itemFee = BigDecimal.ZERO;
        if (itemFeeWithTax == null)
            itemFeeWithTax = BigDecimal.ZERO;
        if (installFee == null)
            installFee = BigDecimal.ZERO;
        if (installFeeWithTax == null)
            installFeeWithTax = BigDecimal.ZERO;
        if (totalFee == null)
            totalFee = BigDecimal.ZERO;
        if (totalFeeWithTax == null)
            totalFeeWithTax = BigDecimal.ZERO;
        if (expandFee == null)
            expandFee = BigDecimal.ZERO;
    }
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getSettlementId() {
        return settlementId;
    }
    
    public void setSettlementId(String settlementId) {
        this.settlementId = settlementId;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public String getUserPhone() {
        return userPhone;
    }
    
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }
    
    public BigDecimal getSurveyFee() {
        return surveyFee;
    }
    
    public void setSurveyFee(BigDecimal surveyFee) {
        this.surveyFee = surveyFee;
    }
    
    public BigDecimal getSurveyFeeWithTax() {
        return surveyFeeWithTax;
    }
    
    public void setSurveyFeeWithTax(BigDecimal surveyFeeWithTax) {
        this.surveyFeeWithTax = surveyFeeWithTax;
    }
    
    public BigDecimal getItemFee() {
        return itemFee;
    }
    
    public void setItemFee(BigDecimal itemFee) {
        this.itemFee = itemFee;
    }
    
    public BigDecimal getItemFeeWithTax() {
        return itemFeeWithTax;
    }
    
    public void setItemFeeWithTax(BigDecimal itemFeeWithTax) {
        this.itemFeeWithTax = itemFeeWithTax;
    }
    
    public BigDecimal getInstallFee() {
        return installFee;
    }
    
    public void setInstallFee(BigDecimal installFee) {
        this.installFee = installFee;
    }
    
    public BigDecimal getInstallFeeWithTax() {
        return installFeeWithTax;
    }
    
    public void setInstallFeeWithTax(BigDecimal installFeeWithTax) {
        this.installFeeWithTax = installFeeWithTax;
    }
    
    public BigDecimal getTotalFee() {
        return totalFee;
    }
    
    public void setTotalFee(BigDecimal totalFee) {
        this.totalFee = totalFee;
    }
    
    public Date getFinishTime() {
        return finishTime;
    }
    
    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public BigDecimal getTotalFeeWithTax() {
        return totalFeeWithTax;
    }

    public void setTotalFeeWithTax(BigDecimal totalFeeWithTax) {
        this.totalFeeWithTax = totalFeeWithTax;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public BigDecimal getExpandFee() {
        return expandFee;
    }
    
    public void setExpandFee(BigDecimal expandFee) {
        this.expandFee = expandFee;
    }
}