package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class SupplierContract {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 合同编号
     */
    @ApiModelProperty(value = "合同编号")
    private String code;
    
    /**
     * 安装服务商编号
     */
    @ApiModelProperty(value = "安装服务商编号")
    private String supplierId;
    
    /**
     * 区域编号
     */
    @ApiModelProperty(value = "区域编号")
    private String regionId;
    
    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contactName;
    
    /**
     * 联系人手机
     */
    @ApiModelProperty(value = "联系人手机")
    private String contactPhone;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    
    /**
     * 签约时间
     */
    @ApiModelProperty(hidden = true)
    private Date signDate;
    
    /**
     * 合同开始时间
     */
    @ApiModelProperty(hidden = true)
    private Date startTime;
    
    /**
     * 合同结束时间
     */
    @ApiModelProperty(hidden = true)
    private Date endTime;
    
    /**
     * 结算周期（月）
     */
    @ApiModelProperty(value = "结算周期（月）")
    private Integer settleInterval;
    
    /**
     * 业务类型 1-安装
     */
    @ApiModelProperty(hidden = true)
    private Integer businessType;
    
    /**
     * 仓位
     */
    @ApiModelProperty(hidden = true)
    private String locationId;
    
    /**
     * 税率（%）
     */
    @ApiModelProperty(value = "税率（%）")
    private BigDecimal taxRate;
    
    /**
     * 质保期（月）
     */
    @ApiModelProperty(hidden = true)
    private Integer guaranteePeriod;
    
    /**
     * 状态 1：未开始 2：生效中 3：已失效
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getSupplierId() {
        return supplierId;
    }
    
    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }
    
    public String getRegionId() {
        return regionId;
    }
    
    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }
    
    public String getContactName() {
        return contactName;
    }
    
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    
    public String getContactPhone() {
        return contactPhone;
    }
    
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }
    
    public String getAddress() {
        return address;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public Date getSignDate() {
        return signDate;
    }
    
    public void setSignDate(Date signDate) {
        this.signDate = signDate;
    }
    
    public Date getStartTime() {
        return startTime;
    }
    
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
    
    public Date getEndTime() {
        return endTime;
    }
    
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
    
    public Integer getSettleInterval() {
        return settleInterval;
    }
    
    public void setSettleInterval(Integer settleInterval) {
        this.settleInterval = settleInterval;
    }
    
    public Integer getBusinessType() {
        return businessType;
    }
    
    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }
    
    public String getLocationId() {
        return locationId;
    }
    
    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }
    
    public BigDecimal getTaxRate() {
        return taxRate;
    }
    
    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }
    
    public Integer getGuaranteePeriod() {
        return guaranteePeriod;
    }
    
    public void setGuaranteePeriod(Integer guaranteePeriod) {
        this.guaranteePeriod = guaranteePeriod;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}