package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class SupplierContractPrice {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 合同id
     */
    @ApiModelProperty(hidden = true)
    private Integer contractId;
    
    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    private Integer regionId;
    
    /**
     * 主机厂id
     */
    @ApiModelProperty(value = "主机厂id")
    private Integer oemId;

    /**
     * 设备型号
     */
    @ApiModelProperty(value = "设备型号")
    private String deviceModel;

    /**
     * 勘测价格（不含税）
     */
    @ApiModelProperty(value = "勘测价格（不含税）")
    private BigDecimal surveyPrice;
    
    /**
     * 勘察价格（含税）
     */
    @ApiModelProperty(value = "勘察价格（含税）")
    private BigDecimal surveyRatePrice;
    
    /**
     * 安装价格（不含税）
     */
    @ApiModelProperty(value = "安装价格（不含税）")
    private BigDecimal installationPrice;
    
    /**
     * 安装价格（含税）
     */
    @ApiModelProperty(value = "安装价格（含税）")
    private BigDecimal installationRatePrice;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getContractId() {
        return contractId;
    }
    
    public void setContractId(Integer contractId) {
        this.contractId = contractId;
    }
    
    public Integer getRegionId() {
        return regionId;
    }
    
    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }
    
    public Integer getOemId() {
        return oemId;
    }
    
    public void setOemId(Integer oemId) {
        this.oemId = oemId;
    }
    
    public String getDeviceModel() {
        return deviceModel;
    }
    
    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }
    
    public BigDecimal getSurveyPrice() {
        return surveyPrice;
    }
    
    public void setSurveyPrice(BigDecimal surveyPrice) {
        this.surveyPrice = surveyPrice;
    }
    
    public BigDecimal getSurveyRatePrice() {
        return surveyRatePrice;
    }
    
    public void setSurveyRatePrice(BigDecimal surveyRatePrice) {
        this.surveyRatePrice = surveyRatePrice;
    }
    
    public BigDecimal getInstallationPrice() {
        return installationPrice;
    }
    
    public void setInstallationPrice(BigDecimal installationPrice) {
        this.installationPrice = installationPrice;
    }
    
    public BigDecimal getInstallationRatePrice() {
        return installationRatePrice;
    }
    
    public void setInstallationRatePrice(BigDecimal installationRatePrice) {
        this.installationRatePrice = installationRatePrice;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}