package com.starcharge.wios.dao.entity;

import com.starcharge.wios.validation.CreateEntityGroup;
import com.starcharge.wios.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
*@description:: 辅材申请
*@author:luyc
*@time:2023-09-25 15:59:51 下午
 */
@Data
@ApiModel(value="Tauxiliarymaterials", description="辅材申请")
public class Tauxiliarymaterials  extends PageVo implements Serializable{
    /**
     * id
     *
     * @mbg.generated
     */
    @ApiModelProperty(required = true,value = "id")
    private Integer id;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料编码")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料名称")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String materialName;

    /**
     * 计量单位
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "计量单位")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String measurementUnit;

    /**
     * 申请数量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请数量")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String applyQuantity;

    /**
     * 批准数量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "批准数量")
    private String approvedQuantity;

    /**
     * SAP当前库存数
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "SAP当前库存数")
    private String currentySap;

    /**
     * 近一个月用量（SAP）
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "近一个月用量（SAP）")
    private String monthAmountSap;

    /**
     * 近一年用量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "近一年用量")
    private String yearAmount;

    /**
     * 申请状态  已申请  已驳回  已通过  已关闭
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请状态  已申请  已驳回  已通过  已关闭")
    private String applyStatus;

    /**
     * 申请团队
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请团队")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String team;

    /**
     * 物流状态  未发货  已发货
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流状态  未发货  已发货")
    private String logisticStatus;

    /**
     * 收货状态  未收货  已收货
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货状态  未收货  已收货")
    private String receivingStatus;

    /**
     * 收货人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货人")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String recipents;

    /**
     * 收货地址
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货地址")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String receiveAddress;

    /**
     * 联系电话
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "联系电话")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String receivePhone;

    /**
     * 申请时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请时间")
    private LocalDateTime applyTime;

    /**
     * 审核人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核人")
    private String checkUser;

    /**
     * 审核人姓名
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核人姓名")
    private String checkUserName;

    /**
     * 审核时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核时间")
    private LocalDateTime checkTime;

    /**
     * 审核意见
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核意见")
    private String checkSuggestion;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updatedTime;
    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 规格型号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "规格型号")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String specification;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 申请时库存
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请时库存")
    private String applyInventory;
    private static final long serialVersionUID = 1L;
    /**
     * 申请单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请单号")
    private String applyOrder;
    /**
     * 绑定仓库id
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "绑定仓库id")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String warehouseId;
}