package com.starcharge.wios.dao.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class UploadFile {

    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 类型 1：勘察订单 2：安装订单 3：主机厂合同 4：服务商合同
     */
    @ApiModelProperty(hidden = true)
    private Integer type;
    
    /**
     * 使用类型 随type字段变化
     */
    @ApiModelProperty(value = "使用类型 随type字段变化 比如1：图片 2：附件")
    private Integer useType;
    
    /**
     * 第三方id
     */
    @ApiModelProperty(hidden = true)
    private String thirdPartyId;
    
    /**
     * 文件名字
     */
    @ApiModelProperty(value = "文件名字")
    private String name;
    
    /**
     * 文件地址
     */
    @ApiModelProperty(value = "文件地址")
    private String url;
    
    /**
     * 状态 1：正常 2：删除
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    
    /**
     * 更新人姓名
     */
    @ApiModelProperty(hidden = true)
    private String updateBy;
    
    /**
     * 创建人姓名
     */
    @ApiModelProperty(hidden = true)
    private String createBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public String getThirdPartyId() {
        return thirdPartyId;
    }
    
    public void setThirdPartyId(String thirdPartyId) {
        this.thirdPartyId = thirdPartyId;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getUrl() {
        return url;
    }
    
    public void setUrl(String url) {
        this.url = url;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    public String getUpdateBy() {
        return updateBy;
    }
    
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    
    public String getCreateBy() {
        return createBy;
    }
    
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public Integer getUseType() {
        return useType;
    }
    
    public void setUseType(Integer useType) {
        this.useType = useType;
    }
}