package com.starcharge.wios.dao.mappers;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.bo.OrderBo;
import com.starcharge.wios.bo.WarrantyOrderBo;
import com.starcharge.wios.dao.entity.Order;
import com.starcharge.wios.dto.WarrantyOrder;
import com.starcharge.wios.vo.OrderVo;

public interface OrderMapper {
    int delete(String id);
    
    int insert(Order order);
    
    int batchInsert(List<Order> list);
    
    int insertDynamic(Order order);
    
    int updateDynamic(Order order);
    
    int update(Order order);
    
    int clearInstallStaff(String orderId);
    
    Order selectById(String id);
    OrderVo selectDetailById(String id);
    
    List<OrderVo> selectByExample(OrderBo condition);
    
    List<Order> selectAll(OrderBo condition);
    
    List<WarrantyOrder> selectWarrantyOrders(WarrantyOrderBo condition);
    
    List<OrderVo> selectByCamsPhone(String camsPhone);
    
    List<OrderVo> selectByCamsPhoneForApp(String camsPhone);

    int countByCamsPhone(@Param("camsPhone") String camsPhone);

    List<OrderVo> selectOwnOrder(OrderBo condition);

    int clearSurveyFollowTime(String orderId);

    int clearInstallFollowTime(String orderId);

    List<Order> selectSurveyPeriodOrders(@Param("dateStart") String dateStart, @Param("dateEnd")String dateEnd);

    List<Order> selectInstallPeriodOrders(@Param("dateStart") String dateStart, @Param("dateEnd")String dateEnd);
}