package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.bo.ReportOrderBo;
import com.starcharge.wios.bo.ReportOrderResponseBo;
import com.starcharge.wios.dao.entity.ScoreSupplier;
import com.starcharge.wios.dto.ReportOrderDTO;
import com.starcharge.wios.dto.ReportOrderResponseDTO;
import com.starcharge.wios.dto.ScoreSupplierDTO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ReportMapper {

    /**
     * 统计订单相关数据
     * @param reportOrderBo
     * @return
     */
    List<ReportOrderDTO> countOrderGroupBySupplierAndRegion(ReportOrderBo reportOrderBo);

    List<ReportOrderDTO> countOrderGroupBySupplier(ReportOrderBo reportOrderBo);

    /**
     * 计算工单完成的平均时间（小时）
     * @param reportOrderBo
     * @return
     */
    List<ReportOrderDTO> calcOrderFinishedTime(ReportOrderBo reportOrderBo);


    List<ReportOrderResponseDTO> orderResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> surveyResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> installResponseToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> installEfficientToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> reportPassToAdmin(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> orderResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> surveyResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> installResponseToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> installEfficientToSupplier(ReportOrderResponseBo reportOrderResponseBo);

    List<ReportOrderResponseDTO> reportPassToSupplier(ReportOrderResponseBo reportOrderResponseBo);
}