package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.WallboxApply;
import com.starcharge.wios.dto.WallboxApplyDetailQueryDTO;
import com.starcharge.wios.vo.WallboxApplyDetailVO;
import com.starcharge.wios.vo.WallboxApplyInstallInfoVO;
import com.starcharge.wios.vo.WallboxApplyInstallListVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * <p>
 * 墙盒申请Mapper接口
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
public interface WallboxApplyMapper {
    /**
     * 查询墙盒申请
     *
     * @param id 墙盒申请主键
     * @return 墙盒申请
     */
    public WallboxApplyInstallInfoVO selectWallboxApplyById(Long id);

    /**
     * 墙盒状态
     */
    WallboxApplyDetailVO selectWallboxDetail(WallboxApplyDetailQueryDTO query);

    /**
     * 查询墙盒申请
     *
     * @param id Order id
     * @return 墙盒申请
     */
    WallboxApply selectWallboxApplyByOrderId(String id);

    /**
     * 查询墙盒申请列表
     *
     * @return 墙盒申请集合
     */
    public List<WallboxApply> selectWallboxApplyList(WallboxApply WallboxApply);

    public List<WallboxApplyInstallListVO> selectWallboxApplyListFromOrder(WallboxApply WallboxApply);

    /**
     * 新增墙盒申请
     *
     * @param tWallboxApply 墙盒申请
     * @return 结果
     */
    public int insertWallboxApply(WallboxApply WallboxApply);

    /**
     * 修改墙盒申请
     *
     * @param tWallboxApply 墙盒申请
     * @return 结果
     */
    public int updateWallboxApply(WallboxApply WallboxApply);

    void batchUpdateWallboxApply(List<WallboxApply> list);

    /**
     * 删除墙盒申请
     *
     * @param id 墙盒申请主键
     * @return 结果
     */
    public int deleteWallboxApplyById(Long id);

    /**
     * 批量删除墙盒申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWallboxApplyByIds(Long[] ids);

    /**
     * 通过物料编码更新发货状态
     * @param trackingStatus
     * @param wallboxItemId
     * @return
     */
    @Update("update t_wallbox_apply set tracking_status=#{trackingStatus} where wallbox_item_id=#{wallboxItemId}")
    public int updateWallBoxTrackingStatusByMC(@Param("trackingStatus")String trackingStatus,@Param("wallboxItemId")String wallboxItemId);
}
