package com.starcharge.wios.dto;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class InvoiceDetailDTO {

    @ApiModelProperty(value = "申请人账号")
    private String applyAccount;// 申请人账号
    
    @ApiModelProperty(value = "开票主体1：个⼈，2：企业")
    private Integer businessType;// 开票主体1：个⼈，2：企业
    
    @ApiModelProperty(value = "发票类型，1：增值税普通发票，2：增值税专⽤发票，")
    private Integer invoiceType;// 发票类型，1：增值税普通发票，2：增值税专⽤发票，

    @ApiModelProperty(value = "发票材质 1：纸质发票， 2：电⼦发票")
    private Integer invoiceMaterial;

    @ApiModelProperty(value = "抬头")
    private String invoiceTitle;// 抬头
    
    @ApiModelProperty(value = "金额")
    private BigDecimal invoiceAmount;// 金额

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @ApiModelProperty(value = "状态，0待开票；1已开票；2已完成")
    private Integer status;
    
    @ApiModelProperty(value = "付款⽅税务登记号")
    private String payerRegisterNo;// 付款⽅税务登记号
    
    @ApiModelProperty(value = "付款⽅开户银⾏")
    private String payerBank;// 付款⽅开户银⾏
    
    @ApiModelProperty(value = "付款⽅银⾏账号")
    private String payerBankAccount;// 付款⽅银⾏账号
    
    @ApiModelProperty(value = "付款⽅公司地址")
    private String payerAddress;// 付款⽅公司地址
    
    @ApiModelProperty(value = "付款⽅公司电话")
    private String payerPhone;// 付款⽅公司电话
    
    @ApiModelProperty(value = "电⼦发票图⽚链接")
    private String eInvoiceMiniUrl;// 电⼦发票图⽚链接

    @ApiModelProperty(value = "收件⼈")
    private String name;

    @ApiModelProperty(value = "收件地址")
    private String address;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "快递⽀付⼈，0 购票⽅；1出票⽅")
    private String expressPayer;

    @ApiModelProperty(value = "快递名称")
    private String expressName;

    @ApiModelProperty(value = "快递单号")
    private String expressNum;

    @ApiModelProperty(value = "快递⾦额")
    private String expressAmount;

    // private String orderIds;// 第三方订单号
    
    private List<AdditionFee> additionFeeList;// 增项费用列表
    
    public class AdditionFee {

        @ApiModelProperty(value = "单号")
        private String orderId;// 单号
        
        @ApiModelProperty(value = "名称")
        private String name;// 名称
        
        @ApiModelProperty(value = "创建时间")
        private String createTime;// 创建时间
        
        @ApiModelProperty(value = "含税价格")
        private BigDecimal feeWithTax;// 含税价格
        
        @ApiModelProperty(value = "价格")
        private BigDecimal fee;// 价格
        
        @ApiModelProperty(value = "税费")
        private BigDecimal tax;// 税费
        
        @ApiModelProperty(value = "税率")
        private BigDecimal taxRate;// 税率
        
        public String getName() {
            return name;
        }
        
        public String getCreateTime() {
            return createTime;
        }
        
        public BigDecimal getFeeWithTax() {
            return feeWithTax;
        }
        
        public BigDecimal getFee() {
            return fee;
        }
        
        public BigDecimal getTax() {
            return tax;
        }
        
        public BigDecimal getTaxRate() {
            return taxRate;
        }
        
        public void setName(String name) {
            this.name = name;
        }
        
        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }
        
        public void setFeeWithTax(BigDecimal feeWithTax) {
            this.feeWithTax = feeWithTax;
        }
        
        public void setFee(BigDecimal fee) {
            this.fee = fee;
        }
        
        public void setTax(BigDecimal tax) {
            this.tax = tax;
        }
        
        public void setTaxRate(BigDecimal taxRate) {
            this.taxRate = taxRate;
        }
        
        public String getOrderId() {
            return orderId;
        }
        
        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public Integer getInvoiceMaterial() {
        return invoiceMaterial;
    }

    public void setInvoiceMaterial(Integer invoiceMaterial) {
        this.invoiceMaterial = invoiceMaterial;
    }

    public String getExpressAmount() {
        return expressAmount;
    }

    public void setExpressAmount(String expressAmount) {
        this.expressAmount = expressAmount;
    }

    public String getExpressName() {
        return expressName;
    }

    public void setExpressName(String expressName) {
        this.expressName = expressName;
    }

    public String getExpressNum() {
        return expressNum;
    }

    public void setExpressNum(String expressNum) {
        this.expressNum = expressNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getExpressPayer() {
        return expressPayer;
    }

    public void setExpressPayer(String expressPayer) {
        this.expressPayer = expressPayer;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getApplyAccount() {
        return applyAccount;
    }
    
    public Integer getBusinessType() {
        return businessType;
    }
    
    public Integer getInvoiceType() {
        return invoiceType;
    }
    
    public String getInvoiceTitle() {
        return invoiceTitle;
    }
    
    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }
    
    public String getPayerRegisterNo() {
        return payerRegisterNo;
    }
    
    public String getPayerBank() {
        return payerBank;
    }
    
    public String getPayerBankAccount() {
        return payerBankAccount;
    }
    
    public String getPayerAddress() {
        return payerAddress;
    }
    
    public String getPayerPhone() {
        return payerPhone;
    }
    
    public String geteInvoiceMiniUrl() {
        return eInvoiceMiniUrl;
    }
    
    public List<AdditionFee> getAdditionFeeList() {
        return additionFeeList;
    }
    
    public void setApplyAccount(String applyAccount) {
        this.applyAccount = applyAccount;
    }
    
    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }
    
    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }
    
    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }
    
    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }
    
    public void setPayerRegisterNo(String payerRegisterNo) {
        this.payerRegisterNo = payerRegisterNo;
    }
    
    public void setPayerBank(String payerBank) {
        this.payerBank = payerBank;
    }
    
    public void setPayerBankAccount(String payerBankAccount) {
        this.payerBankAccount = payerBankAccount;
    }
    
    public void setPayerAddress(String payerAddress) {
        this.payerAddress = payerAddress;
    }
    
    public void setPayerPhone(String payerPhone) {
        this.payerPhone = payerPhone;
    }
    
    public void seteInvoiceMiniUrl(String eInvoiceMiniUrl) {
        this.eInvoiceMiniUrl = eInvoiceMiniUrl;
    }
    
    public void setAdditionFeeList(List<AdditionFee> additionFeeList) {
        this.additionFeeList = additionFeeList;
    }
    
    // public String getOrderIds() {
    // return orderIds;
    // }
    //
    // public void setOrderIds(String orderIds) {
    // this.orderIds = orderIds;
    // }
}
