package com.starcharge.wios.enums;

public enum AlarmType implements IOperator {

    SURVEY(201, "勘测时效提醒"),
    SURVEY_APPROVE(202, "勘测审核时效提醒"),
    INSTALL_RESERVE(203, "安装预约时效（不报装）提醒"),
    INSTALL(204, "安装时效（不报装）提醒"),
    INSTALL_APPROVE(205, "安装审核时效提醒"),
    CLIENT_RATING(206, "客户低评分提醒"),
    INSTALL_RESERVE_EXPAND(207, "安装预约时效（报装）提醒"),
    INSTALL_EXPAND(208, "安装时效（报装）提醒"),
    SIGN_SURVEY(209, "勘测签到超时提醒"),
    SIGN_INSTALL(210, "安装签到超时提醒"),
    SIGN_SURVEY_BEFORE(211, "勘测签到即将超时提醒"),
    SIGN_INSTALL_BEFORE(212, "安装签到即将超时提醒"),
    NEXT_SURVEY(213, "下次预约勘测跟进超时提醒"),
    NEXT_INSTALL(214, "下次预约安装跟进超时提醒"),
    ;

    private int type;

    private String value;

    AlarmType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        AlarmType[] values = AlarmType.values();
        for (AlarmType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
