package com.starcharge.wios.enums;

public enum CableInstallCheck implements IOperator {

    ONE(1, "外观检查：外观良好，无损伤绝缘无破损。"), 
    TWO(2, "电缆敷设要满足规范要求：电缆弯曲度不得小于电缆允许的最小弯曲半径，穿墙、跨越通道应走桥架或穿电缆保护管，外皮不得破损。"),
    THREE(3, "线管应连接紧密，管口光滑，护口齐全；明配管与支吊架应排列整齐，固定平直牢固，管子弯曲处无皱折。"),
    FOUR(4, "电缆头检查：绝缘处理良好，端子压接紧固、无松动"), 
    FIVE(5,"绝缘检查：测量绝缘电阻，相间及相对地绝缘电阻不得小于5兆欧"),
    
    ;
    
    private int type;
    
    private String value;
    
    CableInstallCheck(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        CableInstallCheck[] values = CableInstallCheck.values();
        for (CableInstallCheck os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
