package com.starcharge.wios.enums;

public enum ElectricSource implements IOperator {
    ELECTRIC(1, "电力报装"), PROPERTY(2, "物业电"), HOUSE(3, "家用电"), OTHER(4, "其他"),;
    
    private int type;
    
    private String value;
    
    ElectricSource(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        ElectricSource[] values = ElectricSource.values();
        for (ElectricSource os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
