package com.starcharge.wios.enums;

public enum InstallType implements IOperator {
    WALL_HUNG(1, "壁挂"), UPRIGHT(2, "立式"), OTHER(3, "其他");

    private int type;

    private String value;

    InstallType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        InstallType[] values = InstallType.values();
        for (InstallType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
