package com.starcharge.wios.enums;

public enum OrderStatus implements IOperator {


    DISPATCHING(1, "待派单"),
    // SURVEY_TAKEING(4, "勘测待接单"),
    SURVEY_DISPATCHED(7, "勘测已转派"), 
    SURVEY_RESERVING(10, "勘测待预约"),
    SURVEY_RESERVE_EXCEPTION(11, "勘测预约异常"),
    SURVEY_RESERVED(13, "勘测已预约"),
    SURVEYING(16, "勘测进行中"),
    SURVEY_FINISH(19, "勘测完成"),
    SURVEY_EXAMINING(22, "勘测完成待审核"),
    SURVEY_EXAMINE_SUCCESS(25, "勘测审核通过"),
    SURVEY_RECTIFYING(28, "勘测待整改"),
    SURVEY_RECTIFIED_EXAMINING(31, "勘测整改待审核"),
    // INSTALL_TAKING(34, "安装待接单"),
    // INSTALL_TAKEN(37, "安装已接单"),
    INSTALL_RESERVE_EXCEPTION(32, "安装预约异常"),
    INSTALL_RESERVED(34, "安装已预约"),
    INSTALL_CHANGE_EXAMINING(37, "安装变更待审核"),
    INSTALL_CHANGE_EXAMINE_FAIL(40,"安装变更审核不通过"),
    INSTALL_CHANGE_EXAMINE_SUCCESS(41,"安装变更审核通过"),
    INSTALLING(43, "安装进行中"),
    INSTALL_FINISH(46, "安装完成"),
    INSTALL_EXAMINING(49, "安装完成待审核"),
    INSTALL_EXAMINE_SUCCESS(52, "安装审核通过"),
    INSTALL_RECTIFYING(55, "安装待整改"),
    INSTALL_RECTIFY_EXAMINING(56, "安装整改待审核"),
    // PLACE_ON_FILE(58, "已归档"),
    RETURN_VISIT(61, "已回访"),
    CLOSED(64, "已关闭"),
    
    ;
    private int type;
    
    private String value;
    
    OrderStatus(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        OrderStatus[] values = OrderStatus.values();
        for (OrderStatus os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }

    public static OrderStatus get(int type) {
        OrderStatus[] values = OrderStatus.values();
        for (OrderStatus os : values) {
            if (os.getType() == type) {
                return os;
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
