package com.starcharge.wios.enums;

public enum OverTimeType implements IOperator {

    SURVEY(201, "勘测时效超时"),
    SURVEY_APPROVE(202, "勘测审核时效超时"),
    INSTALL_RESERVE(203, "安装预约时效（不报装）超时"),
    INSTALL(204, "安装时效（不报装）超时"),
    INSTALL_APPROVE(205, "安装审核时效超时"),
    INSTALL_RESERVE_EXPAND(207, "安装预约时效（报装）超时"),
    INSTALL_EXPAND(208, "安装时效（报装）超时"),
    NEXT_SURVEY(213, "下次预约勘测跟进超时"),
    NEXT_INSTALL(214, "下次预约安装跟进超时"),
    ;

    private int type;

    private String value;

    OverTimeType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        OverTimeType[] values = OverTimeType.values();
        for (OverTimeType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
