package com.starcharge.wios.enums;

public enum ParkingType implements IOperator {
    OWN(1, "自主产权"), CHRONIC(2, "长期租赁"), NOT_FIXED(3, "不固定"), OTHER(4, "其他"),;
    
    private int type;
    
    private String value;
    
    ParkingType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        ParkingType[] values = ParkingType.values();
        for (ParkingType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
