package com.starcharge.wios.enums;

public enum SurveyOrderDataNeed implements IOperator {
    ONE(1, "关于在停车位安装电工汽车充电设备的申请"), TWO(2, "停车车位产权复印件"), THREE(3, "身份证正反面复印件"), FOUR(4, "车位使用权证明书"), FIVE(5, "无需资料准备"),;
    
    private int type;
    
    private String value;
    
    SurveyOrderDataNeed(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        SurveyOrderDataNeed[] values = SurveyOrderDataNeed.values();
        for (SurveyOrderDataNeed os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
