package com.starcharge.wios.enums;

public enum SurveyResult implements IOperator {
    AGREE(1, "同意安装"), REJECT(2, "不同意安装"), PENDING(3, "待定");

    private int type;

    private String value;

    SurveyResult(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        SurveyResult[] values = SurveyResult.values();
        for (SurveyResult os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
