package com.starcharge.wios.enums;

public enum TimingConfig implements IOperator {

    ACCEPT(100, "接单时效"), 
    SURVEY_RESERVE(200, "勘测预约时效"),
    SURVEY(300, "勘测时效"), 
    SURVEY_APPROVE(400, "勘测审核时效"),
    INSTALL_RESERVE(500, "安装预约时效（不报装）"),
    INSTALL(600, "安装时效（不报装）"),
    INSTALL_APPROVE(700, "安装审核时效"),
    RESERVE_EXCEPTION(800, "预约异常时效性"),
    CLIENT_RATING(900, "客户评分提醒"),
    INSTALL_RESERVE_EXPAND(1000, "安装预约时效（报装）"),
    INSTALL_EXPAND(1100, "安装时效（报装）"),
    
    ;
    
    private int type;
    
    private String value;
    
    TimingConfig(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        TimingConfig[] values = TimingConfig.values();
        for (TimingConfig os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
