package com.starcharge.wios.enums;

/**
 * 上传文件类型
 * 
 * @author xgl
 * @version [版本号, 2020年10月10日]
 */
public enum UploadFileType implements IOperator {

    SURVEY_ORDER(1, "勘察订单"), 
    INSTALL_ORDER(2, "安装订单"),
    OEM_CONTRACT(3, "主机厂合同"), 
    SUPPLIER_CONTRACT(4, "服务商合同"),
    INSTALL_CHANGE_ORDER(5, "变更安装订单"),
    INSTALL_CHANGE(6, "变更安装审核"),
    ORDER(7, "订单附件"),
    OEM(8, "主机厂"),
    
    ;
    
    private int type;
    
    private String value;
    
    UploadFileType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        UploadFileType[] values = UploadFileType.values();
        for (UploadFileType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
