package com.starcharge.wios.enums2;

import org.springframework.util.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.enums
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/9/2515:49
 */
public enum TauxiliarymaterialStatusEnum {
    已申请(0,1),已驳回(0,2),已通过(0,3),已关闭(0,4),
    未发货(1,1),已发货(1,1),
    未收货(2,1), 已收货(2,1);

    private int statusType;
    private int value;

    TauxiliarymaterialStatusEnum(int statusType, int value){
        this.value=value;
        this.statusType = statusType;
    }


    public static List<TauxiliarymaterialStatusEnum> getStatusTypeEnums(int statusType) {
        TauxiliarymaterialStatusEnum[] values = TauxiliarymaterialStatusEnum.values();
        return Arrays.asList(values).stream().filter(v->v.getStatusType() == statusType).collect(Collectors.toList());

    }
    public static TauxiliarymaterialStatusEnum getEnumsByValue(int statusType,int value) {
        TauxiliarymaterialStatusEnum[] values = TauxiliarymaterialStatusEnum.values();
        return Arrays.asList(values).stream().filter(v->v.getStatusType() == statusType&&v.getValue()==value).findFirst().orElse(null);
    }
    public static String getEnumNameByName(int statusType,String name) {
        if(StringUtils.hasLength(name)){
            TauxiliarymaterialStatusEnum[] values = TauxiliarymaterialStatusEnum.values();
            TauxiliarymaterialStatusEnum target= Arrays.asList(values).stream().filter(v->v.getStatusType() == statusType&&v.name().equals(name)).findFirst().orElse(null);
            if(target!=null){
                return target.name();
            }
        }
        return null;
    }
    public static TauxiliarymaterialStatusEnum getEnumByName(int statusType,String name) {
        if(StringUtils.hasLength(name)){
            TauxiliarymaterialStatusEnum[] values = TauxiliarymaterialStatusEnum.values();
            TauxiliarymaterialStatusEnum target= Arrays.asList(values).stream().filter(v->v.getStatusType() == statusType&&v.name().equals(name)).findFirst().orElse(null);
            if(target!=null){
                return target;
            }
        }
        return null;
    }
    public int getStatusType() {
        return this.statusType;
    }

    public int getValue() {
        return value;
    }
}
