package com.starcharge.wios.export.bo;

import io.swagger.annotations.ApiModelProperty;

public class OrderSurveyExportBo {

    @ApiModelProperty(value = "勘察订单id", required = true)
    private String id;

    @ApiModelProperty(value = "订单号", required = true)
    private String orderId;
    
    @ApiModelProperty(value = "类型 1：勘察 2：安装变更", required = true)
    private Integer type;
    
    @ApiModelProperty(value = "客户姓名")
    private String userName;
    
    @ApiModelProperty(value = "联系电话")
    private String userPhone;
    
    @ApiModelProperty(value = "车型")
    private String carTypeStr;
    
    @ApiModelProperty(value = "车企订单编号")
    private String outOrderId;
    
    @ApiModelProperty(value = "北纬")
    private String latitude;
    
    @ApiModelProperty(value = "东经")
    private String longitude;
    
    @ApiModelProperty(value = "勘测日期")
    private String surveyDateStr;
    
    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;
    
    @ApiModelProperty(value = "经销商联系人")
    private String oemAgentContactName;
    
    @ApiModelProperty(value = "经销商联系电话")
    private String oemAgentContactPhone;
    
    @ApiModelProperty(value = "勘察人员")
    private String installStaffName;
    
    @ApiModelProperty(value = "勘察人员联系电话")
    private String installStaffPhone;
    
    @ApiModelProperty(value = "墙盒服务商名称")
    private String wallboxModelName;
    
    @ApiModelProperty(value = "勘测地址")
    private String address;
    
    @ApiModelProperty(value = "住宅类型")
    private String houseTypeStr;
    
    @ApiModelProperty(value = "车位类型")
    private String parkingTypeStr;
    
    @ApiModelProperty(value = "车位号")
    private String parkingPositionNo;
    
    @ApiModelProperty(value = "安装位置描述")
    private String parkingInfo;
    
    @ApiModelProperty(value = "室内室外")
    private String installPositionStr;
    
    @ApiModelProperty(value = "是否露天")
    private String openAirStr;
    
    @ApiModelProperty(value = "车位环境")
    private String parkingConditionStr;
    
    @ApiModelProperty(value = "安装方式")
    private String installTypeStr;
    
    @ApiModelProperty(value = "物业名称")
    private String propertyCompany;
    
    @ApiModelProperty(value = "物业联系人")
    private String propertyContact;
    
    @ApiModelProperty(value = "物业联系电话")
    private String propertyPhone;
    
    @ApiModelProperty(value = "物业态度")
    private String propertyAgree;
    
    @ApiModelProperty(value = "电力来源")
    private String powerType;
    
    @ApiModelProperty(value = "变压器额定值")
    private String tsv;
    
    @ApiModelProperty(value = "可接入主断路器容量")
    private String acc;
    
    @ApiModelProperty(value = "上端断路器规格")
    private String upperCircuitBreaker;
    
    @ApiModelProperty(value = "上端线径规格")
    private String upperLine;
    
    @ApiModelProperty(value = "实测相电压")
    private String mpv;
    
    @ApiModelProperty(value = "实测相电流")
    private String mpc;
    
    @ApiModelProperty(value = "可安装充电墙盒功率大小")
    private String allowPower;
    
    @ApiModelProperty(value = "选用电缆规格")
    private String cableType;
    
    @ApiModelProperty(value = "信号运营商")
    private String signalTypeStr;
    
    @ApiModelProperty(value = "信号强度")
    private String signalIntensity;
    
    @ApiModelProperty(value = "费用是否超标")
    private String overStandard;
    
    @ApiModelProperty(value = "电缆施工长度")
    private String cableMeter;
    
    @ApiModelProperty(value = "电缆敷设方式")
    private String cableInstallTypeStr;
    
    @ApiModelProperty(value = "需要的资料准备")
    private String prepareInfo;
    
    @ApiModelProperty(value = "是否需要立柱")
    private String needErectPileStr;
    
    @ApiModelProperty(value = "是否需要特殊施工")
    private String needSpecialContructionStr;
    
    @ApiModelProperty(value = "勘测结论")
    private String surveyResultStr;
    
    @ApiModelProperty(value = "备注")
    private String surveyRemark;
    
    @ApiModelProperty(value = "方案说明")
    private String planInfo;
    
    public String getOrderId() {
        return orderId;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public String getUserPhone() {
        return userPhone;
    }
    
    
    public String getWallboxModelName() {
        return wallboxModelName;
    }
    
    public String getAddress() {
        return address;
    }
    
    public String getHouseTypeStr() {
        return houseTypeStr;
    }
    
    public String getParkingTypeStr() {
        return parkingTypeStr;
    }
    
    public String getParkingInfo() {
        return parkingInfo;
    }
    
    public String getParkingConditionStr() {
        return parkingConditionStr;
    }
    
    public String getInstallTypeStr() {
        return installTypeStr;
    }
    
    public String getPropertyCompany() {
        return propertyCompany;
    }
    
    public String getPropertyContact() {
        return propertyContact;
    }
    
    public String getPropertyPhone() {
        return propertyPhone;
    }
    
    public String getPropertyAgree() {
        return propertyAgree;
    }
    
    public String getPowerType() {
        return powerType;
    }
    
    public String getUpperCircuitBreaker() {
        return upperCircuitBreaker;
    }
    
    public String getUpperLine() {
        return upperLine;
    }
    
    public String getAllowPower() {
        return allowPower;
    }
    
    public String getCableType() {
        return cableType;
    }
    
    public String getSignalTypeStr() {
        return signalTypeStr;
    }
    
    public String getSignalIntensity() {
        return signalIntensity;
    }
    
    public String getOverStandard() {
        return overStandard;
    }
    
    public String getCableMeter() {
        return cableMeter;
    }
    
    public String getCableInstallTypeStr() {
        return cableInstallTypeStr;
    }
    
    public String getPrepareInfo() {
        return prepareInfo;
    }
    
    public String getSurveyResultStr() {
        return surveyResultStr;
    }
    
    public String getSurveyRemark() {
        return surveyRemark;
    }
    
    public String getPlanInfo() {
        return planInfo;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }
    
    public void setWallboxModelName(String wallboxModelName) {
        this.wallboxModelName = wallboxModelName;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public void setHouseTypeStr(String houseTypeStr) {
        this.houseTypeStr = houseTypeStr;
    }
    
    public void setParkingTypeStr(String parkingTypeStr) {
        this.parkingTypeStr = parkingTypeStr;
    }
    
    public void setParkingInfo(String parkingInfo) {
        this.parkingInfo = parkingInfo;
    }
    
    public void setParkingConditionStr(String parkingConditionStr) {
        this.parkingConditionStr = parkingConditionStr;
    }
    
    public void setInstallTypeStr(String installTypeStr) {
        this.installTypeStr = installTypeStr;
    }
    
    public void setPropertyCompany(String propertyCompany) {
        this.propertyCompany = propertyCompany;
    }
    
    public void setPropertyContact(String propertyContact) {
        this.propertyContact = propertyContact;
    }
    
    public void setPropertyPhone(String propertyPhone) {
        this.propertyPhone = propertyPhone;
    }
    
    public void setPropertyAgree(String propertyAgree) {
        this.propertyAgree = propertyAgree;
    }
    
    public void setPowerType(String powerType) {
        this.powerType = powerType;
    }
    
    public void setUpperCircuitBreaker(String upperCircuitBreaker) {
        this.upperCircuitBreaker = upperCircuitBreaker;
    }
    
    public void setUpperLine(String upperLine) {
        this.upperLine = upperLine;
    }
    
    public void setAllowPower(String allowPower) {
        this.allowPower = allowPower;
    }
    
    public void setCableType(String cableType) {
        this.cableType = cableType;
    }
    
    public void setSignalTypeStr(String signalTypeStr) {
        this.signalTypeStr = signalTypeStr;
    }
    
    public void setSignalIntensity(String signalIntensity) {
        this.signalIntensity = signalIntensity;
    }
    
    public void setOverStandard(String overStandard) {
        this.overStandard = overStandard;
    }
    
    public void setCableMeter(String cableMeter) {
        this.cableMeter = cableMeter;
    }
    
    public void setCableInstallTypeStr(String cableInstallTypeStr) {
        this.cableInstallTypeStr = cableInstallTypeStr;
    }
    
    public void setPrepareInfo(String prepareInfo) {
        this.prepareInfo = prepareInfo;
    }
    
    public void setSurveyResultStr(String surveyResultStr) {
        this.surveyResultStr = surveyResultStr;
    }
    
    public void setSurveyRemark(String surveyRemark) {
        this.surveyRemark = surveyRemark;
    }
    
    public void setPlanInfo(String planInfo) {
        this.planInfo = planInfo;
    }
    
    public String getId() {
        return id;
    }
    
    public void setId(String id) {
        this.id = id;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public String getInstallStaffName() {
        return installStaffName;
    }
    
    public String getInstallStaffPhone() {
        return installStaffPhone;
    }
    
    public void setInstallStaffName(String installStaffName) {
        this.installStaffName = installStaffName;
    }
    
    public void setInstallStaffPhone(String installStaffPhone) {
        this.installStaffPhone = installStaffPhone;
    }
    
    public String getCarTypeStr() {
        return carTypeStr;
    }
    
    public String getOutOrderId() {
        return outOrderId;
    }
    
    public String getLatitude() {
        return latitude;
    }
    
    public String getLongitude() {
        return longitude;
    }
    
    public String getSurveyDateStr() {
        return surveyDateStr;
    }
    
    public String getOemAgentName() {
        return oemAgentName;
    }
    
    public String getOemAgentContactName() {
        return oemAgentContactName;
    }
    
    public String getOemAgentContactPhone() {
        return oemAgentContactPhone;
    }
    
    public String getParkingPositionNo() {
        return parkingPositionNo;
    }
    
    public String getInstallPositionStr() {
        return installPositionStr;
    }
    
    public String getOpenAirStr() {
        return openAirStr;
    }
    
    public String getNeedErectPileStr() {
        return needErectPileStr;
    }
    
    public String getNeedSpecialContructionStr() {
        return needSpecialContructionStr;
    }
    
    public void setCarTypeStr(String carTypeStr) {
        this.carTypeStr = carTypeStr;
    }
    
    public void setOutOrderId(String outOrderId) {
        this.outOrderId = outOrderId;
    }
    
    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
    
    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
    
    public void setSurveyDateStr(String surveyDateStr) {
        this.surveyDateStr = surveyDateStr;
    }
    
    public void setOemAgentName(String oemAgentName) {
        this.oemAgentName = oemAgentName;
    }
    
    public void setOemAgentContactName(String oemAgentContactName) {
        this.oemAgentContactName = oemAgentContactName;
    }
    
    public void setOemAgentContactPhone(String oemAgentContactPhone) {
        this.oemAgentContactPhone = oemAgentContactPhone;
    }
    
    public void setParkingPositionNo(String parkingPositionNo) {
        this.parkingPositionNo = parkingPositionNo;
    }
    
    public void setInstallPositionStr(String installPositionStr) {
        this.installPositionStr = installPositionStr;
    }
    
    public void setOpenAirStr(String openAirStr) {
        this.openAirStr = openAirStr;
    }
    
    
    public void setNeedErectPileStr(String needErectPileStr) {
        this.needErectPileStr = needErectPileStr;
    }
    
    public void setNeedSpecialContructionStr(String needSpecialContructionStr) {
        this.needSpecialContructionStr = needSpecialContructionStr;
    }
    
    public String getTsv() {
        return tsv;
    }
    
    public String getAcc() {
        return acc;
    }
    
    public String getMpv() {
        return mpv;
    }
    
    public String getMpc() {
        return mpc;
    }
    
    public void setTsv(String tsv) {
        this.tsv = tsv;
    }
    
    public void setAcc(String acc) {
        this.acc = acc;
    }
    
    public void setMpv(String mpv) {
        this.mpv = mpv;
    }
    
    public void setMpc(String mpc) {
        this.mpc = mpc;
    }
    
}
