package com.starcharge.wios.export.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.starcharge.wios.bo.OemBo;
import com.starcharge.wios.export.Export;
import com.starcharge.wios.service.OemService;
import com.starcharge.wios.vo.OemVo;

/**
 * 主机厂导出
 * 
 * @author xgl
 * @version [版本号, 2020年10月23日]
 */
@Service
public class OemExport implements Export<OemVo> {
    
    @Autowired
    private OemService oemService;
    
    @Override
    public List<OemVo> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        OemBo condition = mapper.readValue(json, OemBo.class);
        List<OemVo> oemList = oemService.getList(condition);
        int no = 1;
        for (int i = 0; i < oemList.size(); i++) {
            OemVo item = oemList.get(i);
            item.setNo(no++);
            if (item.getManualDispatchOrder() != null) {
                item.setManualDispatchOrderStr(item.getManualDispatchOrder().intValue() == 0 ? "否" : "是");
            }
        }
        return oemList;
    }
    
}
