package com.starcharge.wios.export.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.starcharge.wios.dto.ScoreSupplierDTO;
import com.starcharge.wios.export.Export;
import com.starcharge.wios.service.ScoreSupplierService;

/**
 * 服务商评分主表记录的excel导出
 */
@Service("Score_supplierExport")
public class ScoreSupplierExport implements Export<ScoreSupplierDTO> {
    
    @Autowired
    private ScoreSupplierService scoreSupplierService;
    
    @Override
    public List<ScoreSupplierDTO>  getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        ScoreSupplierDTO condition = mapper.readValue(json, ScoreSupplierDTO.class);
        List<ScoreSupplierDTO> list = scoreSupplierService.getList(condition);
        return list;
    }
    
}
