package com.starcharge.wios.export.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.starcharge.wios.bo.SupplierBo;
import com.starcharge.wios.export.Export;
import com.starcharge.wios.service.SupplierService;
import com.starcharge.wios.vo.SupplierVo;

/**
 * 服务商导出
 * 
 * @author xgl
 * @version [版本号, 2020年10月23日]
 */
@Service
public class SupplierExport implements Export<SupplierVo> {
    
    @Autowired
    private SupplierService supplierService;
    
    @Override
    public List<SupplierVo> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        SupplierBo condition = mapper.readValue(json, SupplierBo.class);
        List<SupplierVo> list = supplierService.getList(condition);
        int no = 1;
        for (SupplierVo vo : list) {
            vo.setNo(no++);
        }
        return list;
    }
    
}
