package com.starcharge.wios.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/7/4 10:49
 * @version:V1.0
 * @description:TODO BaseQo
 * @modify:
 */
@Data
public class BaseQo {

    @ApiModelProperty(value = "用户Id", hidden = true)
    private String userId;

    @ApiModelProperty(value = "流程编号", hidden = true)
    private String flowCode;

    @ApiModelProperty(value = "登录用户名", hidden = true)
    private String loginUserName;

    @ApiModelProperty(value = "登录用户", hidden = true)
    private String account;

    @ApiModelProperty(value = "页码", required = true, example = "1")
    private Integer pageIndex;

    @ApiModelProperty(value = "每页记录数", required = true, example = "50")
    private Integer pageSize;

    @ApiModelProperty(value = "是否分页", required = true, example = "true")
    private Boolean isPaged;

    @ApiModelProperty(value = "菜单Id")
    private String menuId;

    @ApiModelProperty(value = "呈现（导出）字段", hidden = true)
    private List<MenuFieldBO> fields;

    @ApiModelProperty(value = "是否导出", hidden = true)
    private Boolean areExport;

    @ApiModelProperty(value = "是否小程序接口", hidden = true)
    private Boolean areMina;

    @ApiModelProperty(value = "是否判断转派处理", hidden = true)
    private Boolean areTransfer;
}
