package com.starcharge.wios.query;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author:cao hai
 * @date:2022/7/4 10:45
 * @version:V1.0
 * @description:CamsOrderQo
 * @modify:
 */
@Data
public class CamsOrderQo extends BaseQo {

    @ApiModelProperty(value = "车企单号")
    private String outOrderId;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "车主电话")
    private String userPhone;

    @ApiModelProperty(value = "经销商信息")
    private String oemAgentInfo;

    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;

    @ApiModelProperty(value = "安装单号")
    private String id;

    @ApiModelProperty(value = "车企品牌")
    private Long oemId;

    @ApiModelProperty(value = "订单状态")
    private String status;

    /**
     * modify 2022-10-10 db中把这个字段定义程String
     */
    @ApiModelProperty(value = "区域")
    private String regionId;

    @ApiModelProperty(value = "墙盒设备编号")
    private String wallboxNo;

    @ApiModelProperty(value = "服务商名称")
    private String supplierName;

    @ApiModelProperty(value = "服务商名称")
    private String supplierId;

    @ApiModelProperty(value = "节点")
    private String next;

    @ApiModelProperty(value = "订单类型:1 安装工单 2 移桩工单", example = "1")
    private Integer type;

    /**
     * 起止时间
     */
    @ApiModelProperty(value = "勘察完成时间")
    private String surveyFinishTime;

    @ApiModelProperty(value = "安装完成时间")
    private String installFinishTime;


    @ApiModelProperty(value = "超时类型")
    private Integer overtimeType;

    @ApiModelProperty(value = "客户评价分小于等于")
    private Float scoreLt;

    /**
     * 安装环节 client_rate
     */
    @ApiModelProperty(value = "客户评价分大于")
    private Float scoreGt;

    /**
     * modify 2022-11-18兼容一期归档查询
     */
    /**
     * 安装服务商编号
     */
    @ApiModelProperty(hidden = true)
    private Integer installSupplierId;

    @ApiModelProperty(hidden = true)
    private String countryId;

    @ApiModelProperty(hidden = true)
    private String areaId;

    @ApiModelProperty(hidden = true)
    private String provinceId;

    @ApiModelProperty(hidden = true)
    private String cityId;

    @ApiModelProperty(hidden = true)
    private String surveyFinishTimeStart;

    @ApiModelProperty(hidden = true)
    private String surveyFinishTimeEnd;

    @ApiModelProperty(hidden = true)
    private String installFinishTimeStart;

    @ApiModelProperty(hidden = true)
    private String installFinishTimeEnd;




}
