package com.starcharge.wios.service;

import com.ihidea.core.support.session.SessionInfo;
import com.starcharge.wios.auth.service.TokenService;
import lombok.var;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.lang.reflect.Field;
import java.time.LocalDateTime;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.service
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/814:26
 */
@Service
public class CommonUpdateService {
    @Autowired
    private TokenService tokenService;

    public static final String CREATEDBY="createdBy";
    public static final String CREATEDTIME="createdTime";
    public static final String UPDATEDBY="updatedBy";
    public static final String UPDATEDTIME="updatedTime";

    public void UpdateColumns(Object entity,boolean isCreate){
        SessionInfo sessionInfo = tokenService.getUser();
        if(sessionInfo==null){
            return;
        }
        try {
            var now=LocalDateTime.now();
            if(isCreate){
                Field createdby=entity.getClass().getDeclaredField(CREATEDBY);
                if(createdby!=null){
                    createdby.setAccessible(true);
                    createdby.set(entity,sessionInfo.getUserId());
                }
                Field createdtime=entity.getClass().getDeclaredField(CREATEDTIME);
                if(createdtime!=null){
                    createdtime.setAccessible(true);
                    createdtime.set(entity,now);
                }
            }
            Field updatedby=entity.getClass().getDeclaredField(UPDATEDBY);
            if(updatedby!=null){
                updatedby.setAccessible(true);
                updatedby.set(entity,sessionInfo.getUserId());
            }
            Field updatedtime=entity.getClass().getDeclaredField(UPDATEDTIME);
            if(updatedtime!=null){
                updatedtime.setAccessible(true);
                updatedtime.set(entity,now);
            }
        } catch (NoSuchFieldException e) {
           return;
        } catch (IllegalAccessException e) {
            return;
        }
    }
}
