package com.starcharge.wios.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ihidea.core.support.exception.ServiceException;
import com.starcharge.wios.dao.ExpandPriceDao;
import com.starcharge.wios.dao.entity.ExpandPrice;

/**
 * 报装价格service
 * 
 * @author xgl
 * @version [版本号, 2020年10月19日]
 */
@Service
public class ExpandPriceService {
    @Autowired
    private ExpandPriceDao expandPriceDao;
    
    public List<ExpandPrice> getByRegionId(Integer regionId) {
        return expandPriceDao.selectByRegionId(regionId);
    }
    
    public void add(ExpandPrice expandPrice) {
        List<ExpandPrice> list = getByRegionId(expandPrice.getRegionId());
        if (!list.isEmpty()) {
            throw new ServiceException("该区域的报装价格已存在");
        }
        expandPriceDao.insert(expandPrice);
    }
    
    public void update(int id, ExpandPrice expandPrice) {
        if (expandPrice.getRegionId() != null) {
            List<ExpandPrice> list = getByRegionId(expandPrice.getRegionId());
            if (!list.isEmpty() && list.get(0).getId().intValue() != id) {
                throw new ServiceException("该区域的报装价格已存在");
            }
        }
        expandPriceDao.update(id, expandPrice);
    }
}
