package com.starcharge.wios.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.starcharge.wios.bo.OperateLogBo;
import com.starcharge.wios.dao.OperateLogDao;
import com.starcharge.wios.dao.entity.OperateLog;
import com.starcharge.wios.enums.OrderStatus;

/**
 * 操作日志service
 * 
 * @author xgl
 * @version [版本号, 2020年9月29日]
 */
@Service
public class OperateLogService {
    @Autowired
    private OperateLogDao operateLogDao;
    
    public List<OperateLog> getList(OperateLogBo condition) {
        List<OperateLog> list = operateLogDao.selectByExample(condition);
        for (OperateLog log : list) {
            if (!StringUtils.isEmpty(log.getName())) {
                if (log.getName().equals(OrderStatus.SURVEY_RESERVED.getType() + "")
                    || log.getName().equals(OrderStatus.INSTALL_RESERVED.getType() + "")) {
                    log.setDesc("");
                }
            }
        }
        return list;
    }

    public OperateLog selectById(Integer id) {
        return operateLogDao.selectById(id);
    }
    
}
