package com.starcharge.wios.utils;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider;
import org.springframework.core.type.classreading.MetadataReader;
import org.springframework.core.type.classreading.MetadataReaderFactory;
import org.springframework.core.type.filter.TypeFilter;

public class ClassUtil {
    
    public static List<Class<?>> getClasssFromPackage(String... packges) {
        final List<Class<?>> clazzs = new ArrayList<>();
        for (String packge : packges) {
            ClassPathScanningCandidateComponentProvider provider = new ClassPathScanningCandidateComponentProvider(false);
            provider.addIncludeFilter(new TypeFilter() {
                
                @Override
                public boolean match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory) throws IOException {
                    
                    String className = metadataReader.getClassMetadata().getClassName();
                    try {
                        Class<?> clazz = Class.forName(className);
                        clazzs.add(clazz);
                    } catch (ClassNotFoundException e) {
                        e.printStackTrace();
                    }
                    
                    return true;
                }
            });
            provider.findCandidateComponents(packge);
        }
        return clazzs;
    }
    
}
