package com.starcharge.wios.utils;

/**
 * 类说明 :根据经纬度计算距离
 */

public class DistanceUtil {
    private static final  double EARTH_RADIUS = 6378137;//赤道半径
    private static double rad(double d){
        return d * Math.PI / 180.0;
    }
    public static double getDistance(double lon1,double lat1,double lon2, double lat2) {
        double radLat1 = rad(lat1);
        double radLat2 = rad(lat2);
        double a = radLat1 - radLat2;
        double b = rad(lon1) - rad(lon2);
        double s = 2 *Math.asin(Math.sqrt(Math.pow(Math.sin(a/2),2)+Math.cos(radLat1)*Math.cos(radLat2)*Math.pow(Math.sin(b/2),2)));
        s = s * EARTH_RADIUS;
        return NumberUtil.roundDouble(s);//单位米
    }

    public static void main(String[] args) {
        double dist = getDistance(116.403933, 39.914147, 116.403237, 39.921919);
        System.out.println("两点相距：" + dist + "米");
    }

}