package com.starcharge.wios.vo;

import com.starcharge.wios.dao.entity.OrderInstall;
import com.starcharge.wios.dao.entity.UploadFile;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class OrderInstallVo extends OrderInstall {

    @ApiModelProperty(value = "用户姓名")
    private String userName;
    
    @ApiModelProperty(value = "用户手机")
    private String userPhone;
    
    @ApiModelProperty(hidden = true)
    private Date installFinishTime;
    
    @ApiModelProperty(value = "区域id")
    private Integer regionId;
    
    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;
    
    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVo> itemFees;

    @ApiModelProperty(value = "是否生成账单 0-否 1-是")
    private Integer hasGenBill;
    
    @ApiModelProperty(value = "墙盒设备名称")
    private String wallboxItemName;
    
    @ApiModelProperty(value = "墙盒设备型号")
    private String wallboxItemModel;

    @ApiModelProperty(value = "上次审核不通过原因描述")
    private String checkFailDesc;

    /**
     *安装墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（安装）")
    private String installWallboxModel;

    public String getUserName() {
        return userName;
    }
    
    public String getUserPhone() {
        return userPhone;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }
    
    public Date getInstallFinishTime() {
        return installFinishTime;
    }
    
    public void setInstallFinishTime(Date installFinishTime) {
        this.installFinishTime = installFinishTime;
    }
    
    public Integer getRegionId() {
        return regionId;
    }
    
    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }
    
    public List<UploadFile> getFiles() {
        return files;
    }
    
    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }
    
    public List<OrderInstallItemVo> getItemFees() {
        return itemFees;
    }
    
    public void setItemFees(List<OrderInstallItemVo> itemFees) {
        this.itemFees = itemFees;
    }

    public Integer getHasGenBill() {
        return hasGenBill;
    }

    public void setHasGenBill(Integer hasGenBill) {
        this.hasGenBill = hasGenBill;
    }
    
    public String getWallboxItemName() {
        return wallboxItemName;
    }
    
    public void setWallboxItemName(String wallboxItemName) {
        this.wallboxItemName = wallboxItemName;
    }
    
    public String getWallboxItemModel() {
        return wallboxItemModel;
    }
    
    public void setWallboxItemModel(String wallboxItemModel) {
        this.wallboxItemModel = wallboxItemModel;
    }

    public String getCheckFailDesc() {
        return checkFailDesc;
    }

    public void setCheckFailDesc(String checkFailDesc) {
        this.checkFailDesc = checkFailDesc;
    }

    public String getInstallWallboxModel() {
        return installWallboxModel;
    }

    public void setInstallWallboxModel(String installWallboxModel) {
        this.installWallboxModel = installWallboxModel;
    }
}
