package com.starcharge.wios.vo;

import com.starcharge.wios.dao.entity.Order;
import com.starcharge.wios.dao.entity.UploadFile;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class OrderVo extends Order {

    @ApiModelProperty(value = "主机厂名称")
    private String oemName;// 主机厂名称
    
    @ApiModelProperty(value = "主机厂编码")
    private String oemCode;// 主机厂编码
    
    @ApiModelProperty(value = "主机厂机构代码")
    private String oemOrgCode;// 主机厂机构代码
    
    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;// 经销商名称
    
    @ApiModelProperty(value = "经销商编码")
    private String oemAgentCode;// 经销商编码
    
    @ApiModelProperty(value = "经销商社会信用代码")
    private String oemAgentOrgCode;// 经销商机构代码
    
    @ApiModelProperty(value = "服务商名称")
    private String supplierName;// 服务商名称

    @ApiModelProperty(value = "服务商级别")
    private String supplierLevel;// 服务商级别
    
    @ApiModelProperty(value = "勘察员工姓名")
    private String surveyStaffName;// 勘察员工姓名
    
    @ApiModelProperty(value = "勘察员工电话")
    private String surveyStaffPhone;// 勘察员工电话
    
    @ApiModelProperty(value = "安装员工姓名")
    private String installStaffName;// 安装员工姓名
    
    @ApiModelProperty(value = "安装员工电话")
    private String installStaffPhone;// 安装员工电话
    
    @ApiModelProperty(value = "地区名称")
    private String regionName;// 地区名称
    
    @ApiModelProperty(value = "地区id层级")
    private String regionIdTree;// 地区id层级

    @ApiModelProperty(value = "首联人")
    private String connectPersonName;
    
    @ApiModelProperty(hidden = true)
    private List<UploadFile> installChangeFiles;// 安装变更审批文件
    
    @ApiModelProperty(hidden = true)
    private List<UploadFile> attachFiles;// 订单附件
    
    @ApiModelProperty(hidden = true)
    private BigDecimal installAdditionTotalFee = BigDecimal.ZERO;// 安装增项总费用
    
    @ApiModelProperty(hidden = true)
    private BigDecimal expandFee = BigDecimal.ZERO;// 报装费用
    
    @ApiModelProperty(hidden = true)
    private boolean showReserveExpBtn = false;// 是否显示预约异常的按钮

    @ApiModelProperty("是否已评价")
    private Boolean hasOrderScore;
    
    private String billId;
    
    private Integer billStatus;
    
    private BigDecimal billFee;
    
    @ApiModelProperty(value = "车主虚拟手机号")
    private String virtualUserPhone;// 车主虚拟手机号
    
    private String wallboxNo;// 设备编号
    
    private String realCableMeter;// 电缆长度
    
    private BigDecimal predictTotalFee;// 增项费用
    
    private Integer appSort;// app接口订单排序 1：进行中 2：待评价 3：已评价 4：

    @ApiModelProperty("超时类型")
    private  Integer overtimeFlag;

    private String invoiceNumber;// 发票号

    private String latitude;// 纬度
    private String longitude;// 经度
    private String wallboxItemId;// 设备id

    public String getWallboxItemId() {
        return wallboxItemId;
    }

    public void setWallboxItemId(String wallboxItemId) {
        this.wallboxItemId = wallboxItemId;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getConnectPersonName() {
        return connectPersonName;
    }

    public void setConnectPersonName(String connectPersonName) {
        this.connectPersonName = connectPersonName;
    }

    public String getOemName() {
        return oemName;
    }
    
    public void setOemName(String oemName) {
        this.oemName = oemName;
    }
    
    public String getSupplierName() {
        return supplierName;
    }
    
    public String getSurveyStaffName() {
        return surveyStaffName;
    }
    
    public String getInstallStaffName() {
        return installStaffName;
    }
    
    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
    
    public void setSurveyStaffName(String surveyStaffName) {
        this.surveyStaffName = surveyStaffName;
    }
    
    public void setInstallStaffName(String installStaffName) {
        this.installStaffName = installStaffName;
    }
    
    public String getRegionName() {
        return regionName;
    }
    
    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }
    
    public String getSurveyStaffPhone() {
        return surveyStaffPhone;
    }
    
    public String getInstallStaffPhone() {
        return installStaffPhone;
    }
    
    public void setSurveyStaffPhone(String surveyStaffPhone) {
        this.surveyStaffPhone = surveyStaffPhone;
    }
    
    public void setInstallStaffPhone(String installStaffPhone) {
        this.installStaffPhone = installStaffPhone;
    }
    
    public List<UploadFile> getInstallChangeFiles() {
        return installChangeFiles;
    }
    
    public void setInstallChangeFiles(List<UploadFile> installChangeFiles) {
        this.installChangeFiles = installChangeFiles;
    }
    
    public BigDecimal getExpandFee() {
        return expandFee;
    }
    
    public void setExpandFee(BigDecimal expandFee) {
        this.expandFee = expandFee;
    }
    
    public BigDecimal getInstallAdditionTotalFee() {
        return installAdditionTotalFee;
    }
    
    public void setInstallAdditionTotalFee(BigDecimal installAdditionTotalFee) {
        this.installAdditionTotalFee = installAdditionTotalFee;
    }

    public List<UploadFile> getAttachFiles() {
        return attachFiles;
    }

    public void setAttachFiles(List<UploadFile> attachFiles) {
        this.attachFiles = attachFiles;
    }
    
    public boolean isShowReserveExpBtn() {
        return showReserveExpBtn;
    }
    
    public void setShowReserveExpBtn(boolean showReserveExpBtn) {
        this.showReserveExpBtn = showReserveExpBtn;
    }

    public Boolean getHasOrderScore() {
        return hasOrderScore;
    }

    public void setHasOrderScore(Boolean hasOrderScore) {
        this.hasOrderScore = hasOrderScore;
    }
    
    public String getBillId() {
        return billId;
    }
    
    public Integer getBillStatus() {
        return billStatus;
    }
    
    public void setBillId(String billId) {
        this.billId = billId;
    }
    
    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }
    
    public BigDecimal getBillFee() {
        return billFee;
    }
    
    public void setBillFee(BigDecimal billFee) {
        this.billFee = billFee;
    }
    
    public String getVirtualUserPhone() {
        return virtualUserPhone;
    }
    
    public void setVirtualUserPhone(String virtualUserPhone) {
        this.virtualUserPhone = virtualUserPhone;
    }
    
    public String getWallboxNo() {
        return wallboxNo;
    }
    
    public String getRealCableMeter() {
        return realCableMeter;
    }
    
    public void setWallboxNo(String wallboxNo) {
        this.wallboxNo = wallboxNo;
    }
    
    public void setRealCableMeter(String realCableMeter) {
        this.realCableMeter = realCableMeter;
    }
    
    public BigDecimal getPredictTotalFee() {
        return predictTotalFee;
    }
    
    public void setPredictTotalFee(BigDecimal predictTotalFee) {
        this.predictTotalFee = predictTotalFee;
    }
    
    public String getOemAgentName() {
        return oemAgentName;
    }
    
    public void setOemAgentName(String oemAgentName) {
        this.oemAgentName = oemAgentName;
    }
    
    public String getRegionIdTree() {
        return regionIdTree;
    }
    
    public void setRegionIdTree(String regionIdTree) {
        this.regionIdTree = regionIdTree;
    }
    
    public String getOemOrgCode() {
        return oemOrgCode;
    }
    
    public void setOemOrgCode(String oemOrgCode) {
        this.oemOrgCode = oemOrgCode;
    }
    
    public String getOemAgentOrgCode() {
        return oemAgentOrgCode;
    }
    
    public void setOemAgentOrgCode(String oemAgentOrgCode) {
        this.oemAgentOrgCode = oemAgentOrgCode;
    }
    
    public Integer getAppSort() {
        return appSort;
    }
    
    public void setAppSort(Integer appSort) {
        this.appSort = appSort;
    }
    
    public String getOemCode() {
        return oemCode;
    }
    
    public String getOemAgentCode() {
        return oemAgentCode;
    }
    
    public void setOemCode(String oemCode) {
        this.oemCode = oemCode;
    }
    
    public void setOemAgentCode(String oemAgentCode) {
        this.oemAgentCode = oemAgentCode;
    }

    public Integer getOvertimeFlag() {
        return overtimeFlag;
    }

    public void setOvertimeFlag(Integer overtimeFlag) {
        this.overtimeFlag = overtimeFlag;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public String getSupplierLevel() {
        return supplierLevel;
    }

    public void setSupplierLevel(String supplierLevel) {
        this.supplierLevel = supplierLevel;
    }
}
