package com.starcharge.wios.vo;

import com.starcharge.wios.validation.CreateEntityGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.vo
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/814:40
 */
@Data
public class ReceivednoteAddVo {




    /**
     * 产品批次
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "产品批次")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String productBatch;

    /**
     * 物料类别
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料类别")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String materialCategory;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料名称")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String materialName;

    /**
     * 到货仓库
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "到货仓库")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String arrivalWarehouse;

    /**
     * 到货仓库id
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "到货仓库id")
    @NotNull(groups = CreateEntityGroup.class)
    private Integer arrivalWarehouseId;

    /**
     * 收货人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货人")
    private String receiver;

    /**
     * 收货时间
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货时间")
    private LocalDateTime receivingTime;

    @ApiModelProperty(value = "单条收货详情")
    @NotNull(groups = CreateEntityGroup.class)
    @Size(min=1,groups = CreateEntityGroup.class)
    private List<SingleReceivenote> singleReceivenotes;
    /**
     * 是否产品或辅料
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "是否产品或辅料 1 是 0 否")
    @NotNull(groups = CreateEntityGroup.class)
    @Range(min=0,max = 1,message = "是否产品或辅料只可填0或1",groups = CreateEntityGroup.class)
    private Integer isproduct;

    @Data
    public static class SingleReceivenote{
        /**
         * 物料编码
         *
         * @mbg.generated
         */
        @ApiModelProperty(value = "物料编码群")
        @NotNull(groups = CreateEntityGroup.class)
        @NotEmpty(groups = CreateEntityGroup.class)
        private String materialCode;
        /**
         * 到货数量
         *
         * @mbg.generated
         */
        @ApiModelProperty(value = "到货数量")
        @NotNull(groups = CreateEntityGroup.class)
        @Size(min=1,groups = CreateEntityGroup.class)
        private Integer arrivalQuantity;

        /**
         * 安装单号
         *
         * @mbg.generated
         */
        @ApiModelProperty(value = "安装单号")
        private String installOrder;

        /**
         * 辅料申请单号
         *
         * @mbg.generated
         */
        @ApiModelProperty(value = "辅料申请单号")
        private Integer auxiliaryId;


    }


}
