package com.starcharge.wios.vo;

import com.starcharge.wios.validation.CreateEntityGroup;
import com.starcharge.wios.validation.UpdateEntityGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.vo
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/818:37
 */
@Data
public class RejectAddVo {
    /**
     * id
     *
     * @mbg.generated
     */
    @ApiModelProperty(required = true,value = "id")
    @NotNull(groups = UpdateEntityGroup.class)
    @Min(value = 1,groups = UpdateEntityGroup.class)
    private Integer id;
    /**
     * 退货单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货单号")
    private String rejectOrder;

    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 产品批次
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "产品批次")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String productBatch;

    /**
     * 退货数量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货数量")
    @NotNull(groups = CreateEntityGroup.class)
    @Min(value = 1,groups =CreateEntityGroup.class )
    private Integer quantity;

    /**
     * 物料类别
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料类别")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String materialCategory;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料编码")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料名称")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String materialName;

    /**
     * 物料厂商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料厂商")
    private String materialCompany;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 物流服务商
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流服务商")
    private String logisticCompany;

    /**
     * 退货仓库
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货仓库")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String warehouseName;

    /**
     * 退货仓库id
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货仓库id")
    @NotNull(groups = CreateEntityGroup.class)
    @Min(value = 1,groups =CreateEntityGroup.class )
    private Integer warehouseId;

    /**
     * 退货原因
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "退货原因")
    @NotNull(groups = CreateEntityGroup.class)
    @NotEmpty(groups = CreateEntityGroup.class)
    private String reason;

    /**
     * 是否产品或辅料
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "是否产品或辅料 1 是 0 否")
    @NotNull(groups = CreateEntityGroup.class)
    @Range(min=0,max = 1,message = "是否产品或辅料只可填0或1",groups = {CreateEntityGroup.class,UpdateEntityGroup.class})
    private Integer isproduct;
}
