package com.starcharge.wios.vo;

import com.starcharge.wios.validation.CreateEntityGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.vo
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/9/269:31
 */
@Data
public class TauxiliarymaterialsVo {
    /**
     * id
     *
     * @mbg.generated
     */
    @ApiModelProperty(required = true,value = "id")
    @NotNull
    private Integer id;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料编码")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物料名称")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String materialName;

    /**
     * 计量单位
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "计量单位")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String measurementUnit;

    /**
     * 申请数量
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请数量")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String applyQuantity;


    /**
     * 申请团队
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请团队")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String team;


    /**
     * 收货人
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货人")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String recipents;

    /**
     * 收货地址
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "收货地址")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String receiveAddress;

    /**
     * 联系电话
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "联系电话")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String receivePhone;

    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 规格型号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "规格型号")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String specification;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 申请时库存
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请时库存")
    private String applyInventory;
    /**
     * 申请单号
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "申请单号")
    private String applyOrder;
    /**
     * 绑定仓库id
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "绑定仓库id")
    @NotEmpty(groups = {CreateEntityGroup.class})
    @NotNull(groups = {CreateEntityGroup.class})
    private String warehouseId;
}
