package com.starcharge.wios.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 墙盒申请审核
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyCheckVO {

    @ApiModelProperty(value = "数据id", notes = "不是安装订单号", example = "1", required = true)
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "安装订单号", notes = "", example = "CA20201204044558", required = true)
    private String orderId;

    /** 申请状态：0：已申请，1：已通过，2：已驳回，3：已关闭 */
    @ApiModelProperty(value = "审核意见", notes = "1：通过，2：驳回", example = "1", required = true)
    @NotNull(message = "审核意见不能为空")
    private Long checkStatus;

    @ApiModelProperty(value = "审核备注", notes = "", example = "同意", required = true)
    private String checkRemarks;
}
