package com.starcharge.wios.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.starcharge.wios.validation.CreateEntityGroup;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 墙盒申请excel
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyExcelVO {

    /** 安装订单号 */
    @ExcelProperty("安装订单号")
    @NotNull(groups = CreateEntityGroup.class,message = "缺少安装单号")
    @NotEmpty(groups = CreateEntityGroup.class,message = "缺少安装单号")
    private String orderId;

    /** 墙盒设备型号（对应物料id） */
    @ExcelIgnore
    private String wallboxItemId;

    @ExcelIgnore
    private String wallboxModel;

    /** 是否紧急：0：否，1：是 */
    @ExcelProperty("是否紧急(0否，1是)")
    @NotNull(groups = CreateEntityGroup.class,message = "缺少是否紧急数据")
    private Integer ifEmergency;

    /**
     * 错误信息
     */
    @ExcelIgnore
    private String errorMessage;

}
