package com.starcharge.wios.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 墙盒申请安装团队
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyInstallListVO {

    /** 自增id */
    private Long id;

    /** 安装订单号 */
    @ApiModelProperty(value = "安装订单号")
    @ExcelProperty("安装订单号")
    private String orderId;

    @ApiModelProperty(value = "安装状态")
    private String installStatus;

    /** 安装服务商id */
    @ApiModelProperty(value = "安装服务商id")
    private String supplierId;

    /** 申请团队名称 */
    @ApiModelProperty(value = "申请团队名称")
    @ExcelProperty("申请团队名称")
    private String supplierTeam;

    /** 墙盒设备型号（对应物料id） */
    @ApiModelProperty(value = "墙盒设备型号（对应物料id）")
    private String wallboxItemId;
    /** 物料类型 */
    @ApiModelProperty(value = "物料类型")
    private String materialType;
    /** 墙盒品牌*/
    @ApiModelProperty(value = "墙盒品牌")
    @ExcelProperty("墙盒品牌")
    private String wallboxModel;
    /** 墙盒类型*/
    @ApiModelProperty(value = "墙盒类型")
    private String wallboxType;

    @ApiModelProperty(value = "剩余时间")
    private String timeRemaining;

    /** 区域id */
    @ApiModelProperty(value = "区域id")
    private String regionId;

    @ExcelProperty("仓库名称")
    private String regionName;

    /** 是否紧急：0：否，1：是 */
    @ApiModelProperty(value = "是否特殊申请")
    private Integer ifEmergency;

    /** 是否超时:0：未超时，1：已超时 */
    @ApiModelProperty(value = "超时类型")
    private Long ifTimeout;

    /** 申请状态：0：已申请，1：已通过，2：已驳回，3：已关闭 */
    @ApiModelProperty(value = "申请状态")
    private Long checkStatus;

    /** 创建时间 */
    @ApiModelProperty(value = "申请时间")
    private Date createdTime;

    @ApiModelProperty(value = "物流单号")
    private String trackingNumber;

    /** 物流状态 */
    @ApiModelProperty(value = "物流状态")
    private String logisticsStatus;

    @ApiModelProperty(value = "数量")
    private String number;
}
