package com.starcharge.wios.wx.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author kevin
 * @create 2020/11/30 11:44
 */
public class WxBillVO implements Serializable {

    @ApiModelProperty("账单编号")
    private String id;

    @ApiModelProperty("工单编号")
    private String orderId;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("创建日期")
    private String createDate;

    @ApiModelProperty("账单状态 0-未支付 1-已支付")
    private Integer status;

    @ApiModelProperty("账单金额")
    private BigDecimal billAmount;

    @ApiModelProperty("增项费用")
    private BigDecimal predictTotalFee;

    @ApiModelProperty("报装费用")
    private BigDecimal expandFee;

    @ApiModelProperty("增项明细")
    private List<WxItemVO> predictItems;

    @ApiModelProperty("是否已申请开票 0-未申请 1-已申请 2-未知")
    private Integer hasInvoice;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public BigDecimal getBillAmount() {
        return billAmount;
    }

    public void setBillAmount(BigDecimal billAmount) {
        this.billAmount = billAmount;
    }

    public BigDecimal getPredictTotalFee() {
        return predictTotalFee;
    }

    public void setPredictTotalFee(BigDecimal predictTotalFee) {
        this.predictTotalFee = predictTotalFee;
    }

    public BigDecimal getExpandFee() {
        return expandFee;
    }

    public void setExpandFee(BigDecimal expandFee) {
        this.expandFee = expandFee;
    }

    public List<WxItemVO> getPredictItems() {
        return predictItems;
    }

    public void setPredictItems(List<WxItemVO> predictItems) {
        this.predictItems = predictItems;
    }

    public Integer getHasInvoice() {
        return hasInvoice;
    }

    public void setHasInvoice(Integer hasInvoice) {
        this.hasInvoice = hasInvoice;
    }
}
