package com.starcharge.wios.app.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.app.dto.AppOrderDTO;
import com.starcharge.wios.app.dto.AppOrderDetailDTO;
import com.starcharge.wios.app.dto.AppOrderInstallDTO;
import com.starcharge.wios.app.dto.AppPayBillDTO;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
// @ActiveProfiles(profiles = "test")
public class AppOrderServiceTest {
    
    @Autowired
    private AppOrderService appOrderService;
    
    @Test
    public void test() {
        List<AppOrderDTO> list = appOrderService.getList("13721212121");
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test1() {
        List<AppPayBillDTO> qryBill = appOrderService.qryBill("13721212121", null, null);
        System.out.println(JSONUtilsEx.serialize(qryBill));
    }
    
    @Test
    public void test2() {
        AppOrderInstallDTO installDetail = appOrderService.getInstallDetail("CA20201204110657");
        System.out.println(JSONUtilsEx.serialize(installDetail));
    }
    
    @Test
    public void test3() {
        AppOrderDetailDTO orderDetail = appOrderService.getOrderDetail("CA20201228112955");
        System.out.println(JSONUtilsEx.serialize(orderDetail));
    }
}
