package com.starcharge.wios.auth.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.auth.bo.RoleBo;
import com.starcharge.wios.auth.dao.RoleMenuMapper;
import com.starcharge.wios.auth.dao.model.Menu;
import com.starcharge.wios.auth.dao.model.RoleMenu;
import com.starcharge.wios.auth.dao.model.RoleMenuCriteria;
import com.starcharge.wios.auth.daoex.MenuMapperEx;
import com.starcharge.wios.auth.vo.AbsractTreeNode;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
// @ActiveProfiles(profiles = "test")
public class RoleServiceTest {
    
    @Autowired
    MenuMapperEx menuMapperEx;
    
    @Autowired
    RoleMenuMapper rmMapper;
    
    @Autowired
    RoleService roleService;
    
    @Test
    public void test() {
        List<Menu> menuList = menuMapperEx.findAll();
        // menuList = menuList.stream().filter(item -> !item.getId().startsWith("90")).collect(Collectors.toList());
        RoleMenuCriteria example = new RoleMenuCriteria();
        example.createCriteria().andRoleIdEqualTo(1);
        rmMapper.deleteByExample(example);
        for (Menu m : menuList) {
            RoleMenu record = new RoleMenu();
            record.setMenuId(m.getId());
            record.setRoleId(1);
            rmMapper.insert(record);
        }
    }
    
    @Test
    public void test1() {
        List<AbsractTreeNode> menuList = roleService.getMenuList(1);
        System.out.println(JSONUtilsEx.serialize(menuList));
    }
    
    @Test
    public void test2() {
        RoleBo role = new RoleBo();
        role.setId(2);
        role.setMenuIds("020101,020102,020501,020502,020503,05,0501,0502,0503,050301,050302");
        roleService.updateRole(role);
    }
    
    @Test
    public void test12() {
        List<Menu> pageBtnList = roleService.getPageBtnList("0401", "91");
        System.out.println(JSONUtilsEx.serialize(pageBtnList));
    }
    
    // @Test
    // public void test124() {
    // List<AbsractTreeNode> roleMenuList = roleService.getRoleMenuList(2);
    // System.out.println(JSONUtilsEx.serialize(roleMenuList));
    // }
}
