package com.starcharge.wios.service;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.OrderBo;
import com.starcharge.wios.bo.WarrantyOrderBo;
import com.starcharge.wios.dto.WarehouseMaterialDTO;
import com.starcharge.wios.dto.WarrantyOrder;
import com.starcharge.wios.vo.OrderVo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;
import java.util.UUID;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles(value = "test")
public class OrderServiceTest {

    @Autowired
    OrderService orderService;

    @Test
    public void test() {
        for (int i = 0; i < 3; i++) {
            OrderBo order = new OrderBo();
            order.setId(UUID.randomUUID().toString());
            order.setAddress("address");
            order.setRegionId("41");
            order.setContactName("cname");
            order.setContractId(1);
            order.setOemId(1);
            order.setStatus(1);
            orderService.add(order);
        }
    }

    @Test
    public void test2() {
        WarrantyOrderBo condition = new WarrantyOrderBo();
        List<WarrantyOrder> list = orderService.getWarrantyOrders(condition);
        System.out.println(JSONUtilsEx.serialize(list));
    }

    @Test
    public void test123() {
        orderService.orderTiming("CA20201215184659");
    }

    @Test
    public void test23() {
        orderService.getAutoDispatchOrderSupplier(108, "CA20201113094826");
    }

    @Test
    public void test24() {
        WarrantyOrderBo condition = new WarrantyOrderBo();
        condition.setExpireStartDateStr("2020-12-01");
        condition.setExpireEndDateStr("2022-02-28");
        List<WarrantyOrder> warrantyOrders = orderService.getWarrantyOrders(condition);
        System.out.println(JSONUtilsEx.serialize(warrantyOrders));
    }

    @Test
    public void test26() {
        OrderVo detail = orderService.getDetail("CA20201229104601");
        System.out.println(JSONUtilsEx.serialize(detail));
    }

    @Test
    public void test226() {
        WarehouseMaterialDTO xx = orderService.getStubQuantityBySupplier(158, "41");
        System.out.println(JSONUtilsEx.serialize(xx));
    }
}
