package com.starcharge.wios.service;

import com.starcharge.wios.dao.InvoiceDao;
import com.starcharge.wios.dao.OrderDao;
import com.starcharge.wios.dao.entity.Invoice;
import com.starcharge.wios.dao.entity.Order;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles(value = "test")
public class SapRemoteServiceTest {

    @Autowired
    private SapRemoteService sapRemoteService;

    @Autowired
    private OrderDao orderDao;

    @Autowired
    private InvoiceDao invoiceDao;

    @Test
    public void test1(){
        Order order=orderDao.selectById("CA20220224111001");
        if(order==null){
            return;
        }
        if(order.getStatus()==52){
            //订单安装审核通过
            sapRemoteService.pushOrder(order);
        }
    }

    @Test
    public void test2(){
        Order order=orderDao.selectById("CA20210917180647");
        if(order==null){
            return;
        }
        if(order.getStatus()==52){
            Invoice invoice =invoiceDao.selectByPrimaryKey(order.getId());
            if(invoice==null){
                return;
            }
            if(invoice.getPackageDeviceInvoiceStatus()==1||invoice.getPackageInstallInvoiceStatus()==1){
                //套包内安装服务开票后调用
                sapRemoteService.pushOrderOrInvoice(order,invoice);
            }
        }
    }

    @Test
    public void test3(){
        Order order=orderDao.selectById("CA20210917180647");
        Invoice invoice =invoiceDao.selectByPrimaryKey(order.getId());
        if(invoice==null){
            return;
        }
        if(invoice.getSupplierReceiveInvoiceStatus()==1){
            //服务商收票后调用
            sapRemoteService.syncSettlementData(order,invoice);
        }
    }

    @Test
    public void test4(){
       int result=sapRemoteService.verifyServiceProvider("91320412321194627C");
       System.out.println(result);
    }
}
