package com.starcharge.wios.service;

import java.util.List;
import java.util.OptionalDouble;
import java.util.stream.Collectors;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.OrderBo;
import com.starcharge.wios.contants.ScoreConstant;
import com.starcharge.wios.dao.OrderDao;
import com.starcharge.wios.dao.OrderScoreDao;
import com.starcharge.wios.dao.ScoreSupplierDao;
import com.starcharge.wios.dao.ScoreSupplierDetailDao;
import com.starcharge.wios.dao.entity.Order;
import com.starcharge.wios.dao.entity.OrderScore;
import com.starcharge.wios.dao.entity.ScoreSupplier;
import com.starcharge.wios.dao.entity.ScoreSupplierDetail;
import com.starcharge.wios.dto.ScoreSupplierDTO;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class ScoreSupplierServiceTest {
    
    @Autowired
    ScoreSupplierService scoreSupplierService;

    @Autowired
    ScoreSupplierDao scoreSupplierDao;
    
    @Autowired
    ScoreSupplierDetailDao scoreSupplierDetailDao;

    @Autowired
    ScoreSupplierDetailService scoreSupplierDetailService;
    
    @Autowired
    OrderScoreDao orderScoreDao;
    
    @Autowired
    OrderDao orderDao;

    @Test
    public void test() {
        int ret = scoreSupplierService.beginScoreSupplier();
        System.out.println(String.format("生成服务商评分表： %d",ret) );
    }

    @Test
    public void insertMonthDetailTest() {
        scoreSupplierDao.insertMonthDetail(1L);
    }
    
    @Test
    public void test2() {
        scoreSupplierService.endScoreSupplier();
    }

    @Test
    public void test5() {
        ScoreSupplier scoreSupplierParm = new ScoreSupplier();
        scoreSupplierService.setFinalScore(scoreSupplierParm);
    }
    
    @Test
    public void test6() {
        List<ScoreSupplierDetail> list = scoreSupplierDetailService.getListByScoreSupplierId(364L);
        Double sumScore = 0.0;
        for (ScoreSupplierDetail item : list) {
            if (ScoreConstant.CUSTOMER.equals(item.getParentCode())) {
                sumScore += item.getScore() * (item.getWeight() / 100.0);
            }
        }
        System.out.println(sumScore);
    }
    
    @Test
    public void test7() {
        OrderBo condition = new OrderBo();
        condition.setInstallSupplierId(34);
        condition.setRegionId("85");
        condition.setMonth("202010");
        List<Order> orderList = orderDao.selectAll(condition);
        List<String> orderIds = orderList.stream().map(Order::getId).collect(Collectors.toList());
        if (!orderIds.isEmpty()) {
            List<OrderScore> orderScoreList = orderScoreDao.selectByTypeAndOrderIds(1, orderIds);
            List<ScoreSupplierDetail> ssdList = scoreSupplierDetailDao.getListByScoreSupplierIdAndPCode(364L, ScoreConstant.CUSTOMER);
            for (ScoreSupplierDetail ssd : ssdList) {
                String code = ssd.getCode();
                OptionalDouble averScore = orderScoreList.stream().filter(o -> o.getCode().equals(code) && o.getScore() != null)
                    .mapToDouble(OrderScore::getScore).average();
                Double score = null;
                if (averScore.isPresent())
                    score = averScore.getAsDouble();
                if (score != null) {
                    System.out.println(ssd.getId() + "-------" + score);
                }
            }
        }
    }
}
