package com.starcharge.wios.service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.warehouse.dto.materials.MaterialsDTO;
import com.starcharge.warehouse.dto.single.SingleDTO;
import com.starcharge.warehouse.dto.single.SingleMaterialsDTO;
import com.starcharge.warehouse.query.MaterialsListQuery;
import com.starcharge.warehouse.query.MaterialsQuery;
import com.starcharge.warehouse.query.MaterialsSaveQuery;
import com.starcharge.warehouse.query.SingleQuery;
import com.starcharge.warehouse.query.WarehouseLevenSaveQuery;
import com.starcharge.warehouse.query.WarehouseMaterialsQuery;
import com.starcharge.warehouse.query.WarehouseSaveQuery;
import com.starcharge.wios.dto.SingleSaveQuery2;
import com.starcharge.wios.dto.WarehouseDTO2;
import com.starcharge.wios.dto.WarehouseLevelDTO2;
import com.starcharge.wios.dto.WarehouseQuery2;
import com.starcharge.wios.dto.WarehouseSelectorData;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
// @ActiveProfiles(profiles = "test")
public class WarehouseServiceTest {
    
    @Autowired
    private WarehouseService warehouseService;
    
    @Test
    public void test() {
        WarehouseSaveQuery warehouse = new WarehouseSaveQuery();
        warehouse.setArea("1");
        warehouse.setAccountId("12");
        warehouse.setIsEnabled(1);
        warehouse.setName("测试仓库");
        warehouse.setWarehouseAttribution("2");
        warehouse.setServiceProvider("9");
        warehouse.setWarehouseLevenId("10");
        warehouseService.saveWarehouse(warehouse);
    }
    
    @Test
    public void test12() {
        WarehouseLevenSaveQuery warehouseLevenSaveQuery = new WarehouseLevenSaveQuery();
        warehouseLevenSaveQuery.setName("测试11");
        warehouseLevenSaveQuery.setParentId(1);
        warehouseLevenSaveQuery.setAccountId("1");
        warehouseService.saveWarehouseLevel(warehouseLevenSaveQuery);
    }
    
    @Test
    public void test1() {
        WarehouseQuery2 warehouseQuery = new WarehouseQuery2();
        warehouseQuery.setPage(1);
        warehouseQuery.setPagecount(10);
        // warehouseQuery.setWarehouseLevenId("10");
        List<WarehouseDTO2> list = warehouseService.qryWarehouseDetailList(warehouseQuery);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test14() {
        List<WarehouseLevelDTO2> list = warehouseService.qryWarehouseLevel(null, null, "华东");
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test141() {
        SingleSaveQuery2 singleSaveQuery = new SingleSaveQuery2();
        singleSaveQuery.setType(1);
        singleSaveQuery.setId("ceshi00");
        singleSaveQuery.setReceiver("zhangsan");
        singleSaveQuery.setShippingAddress("常州武进科教城");
        singleSaveQuery.setContactNumber("13900000000");
        singleSaveQuery.setInfo("hahahahahahaha");
        singleSaveQuery.setTransferIn("1");
        singleSaveQuery.setTransferOut("2");
        singleSaveQuery.setAccountId("1");
        List<WarehouseMaterialsQuery> warehouseMaterialsQueryList = new ArrayList<>();
        WarehouseMaterialsQuery q = new WarehouseMaterialsQuery();
        q.setMaterialsCode("code");
        q.setMaterialsId("1");
        q.setMaterialsName("name");
        q.setNumber(new BigDecimal(12));
        q.setUnit("台");
        warehouseMaterialsQueryList.add(q);
        singleSaveQuery.setWarehouseMaterialsQueryList(warehouseMaterialsQueryList);
        warehouseService.saveSingle(singleSaveQuery);
    }
    
    @Test
    public void test21() {
        MaterialsListQuery materialsListQuery = new MaterialsListQuery();
        List<MaterialsSaveQuery> materialsSaveQueryList = new ArrayList<>();
        MaterialsSaveQuery q = new MaterialsSaveQuery();
        q.setMaterialsCode("code");
        q.setMaterialsName("test11");
        q.setRegularModel("model");
        q.setUnit("台");
        q.setType(1);
        materialsSaveQueryList.add(q);
        materialsListQuery.setMaterialsSaveQueryList(materialsSaveQueryList);
        materialsListQuery.setAccountId("1");
        // warehouseService.saveMaterials(materialsListQuery);
    }
    
    @Test
    public void test22() {
        MaterialsQuery materialsQuery = new MaterialsQuery();
        materialsQuery.setPage(1);
        materialsQuery.setPagecount(10);
        materialsQuery.setTypes("1,3");
        // materialsQuery.setWarehouseId("10c434aa-63c4-4cfc-8e58-6d7fbdcee682");
        List<MaterialsDTO> adf = warehouseService.qryMaterials(materialsQuery);
        System.out.println(JSONUtilsEx.serialize(adf));
    }
    
    @Test
    public void test23() {
        SingleQuery singleQuery = new SingleQuery();
        singleQuery.setPage(1);
        singleQuery.setPagecount(10);
        List<SingleDTO> qrySingal = warehouseService.qrySingal(singleQuery);
        System.out.println(JSONUtilsEx.serialize(qrySingal));
    }
    
    @Test
    public void test24() {
        List<SingleMaterialsDTO> xx = warehouseService.qrySingleMaterialsBySingleId("MA1YDN61X202010261538456232", 1, 10);
        System.out.println(JSONUtilsEx.serialize(xx));
    }
    
    @Test
    public void test25() {
        warehouseService.delMaterials("fae91eee-0718-4bc9-8de0-9b8e5d889d3a");
    }
    
    @Test
    public void test215() {
        List<WarehouseSelectorData> list = warehouseService.combineSelectorData(0, 1);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test65() {
        warehouseService.addOutSingle("test1233123", "4beb76d9-f5c8-4eb0-8b12-b0adaf4e2e4f", "4e44c0b0-b556-4f83-b21d-1340f8cad3c7", 1);
    }
    
    @Test
    public void test66() {
        warehouseService.materailNumberUpdate("4beb76d9-f5c8-4eb0-8b12-b0adaf4e2e4f", 1, 1, "0c2526bb-e45a-4d1b-aff5-d0599586e05b");
    }
}
